Übersicht über alle Kanalparameter

Kursiv dargestellte Parameter werden momentan nicht verwendet bzw. sind nicht verfügbar.

ID | Struktur | Parameter | Konfiguration
P-CHAN-00001 | prog_start.slope. | acceleration | Default Slopeeinstellung
P-CHAN-00002 | vector. | acceleration | Bahndynamikgrenzwerte
P-CHAN-00003 | gruppe[i]. | achs_anzahl | Gruppendaten
P-CHAN-00004 | spindel[i]. | autom_range | Spindelgetriebeschalten
P-CHAN-00005 | gruppe[i]. | bezeichnung | Gruppendaten
P-CHAN-00006 | gruppe[i].achse[j]. | bezeichnung | Achsdaten
P-CHAN-00007 | spindel[i]. | bezeichnung | Spindeldaten
P-CHAN-00008 |  | cax_face_id | C-Achse
P-CHAN-00009 |  | corr_v_trans_jerk | Ruck am tang. Satzübergang
P-CHAN-00010 |  | default_ax_name_of_spindle | C-Achse, Gewindebohren
P-CHAN-00011 | gruppe[i].achse[j]. | default_feed_axis | Vorschubachsgruppe
P-CHAN-00012 | speed_limit_look_ahead. | dist_from_corner | Geschwindigkeits Look Ahead
P-CHAN-00013 | speed_limit_look_ahead. | dist_to_corner | Geschwindigkeits Look Ahead
P-CHAN-00014 |  | einrechnen_mit_t | Werkzeugverwaltung
P-CHAN-00015 |  | einzelschrittmodus | Einzelschrittbetrieb
P-CHAN-00016 |  | ext_wzv_vorhanden | Ext. Werkzeugverwaltung
P-CHAN-00017 | speed_limit_look_ahead. | f_enable | Geschwindigkeits Look Ahead
P-CHAN-00018 | speed_limit_look_ahead. | f_time | Geschwindigkeits Look Ahead
P-CHAN-00019 | syn_chk. | fehler_gesamt | Syntaxcheck
P-CHAN-00020 | syn_chk. | fehler_pro_zeile | Syntaxcheck
P-CHAN-00021 |  | create_cont_mask_warnings | Werkzeugradiuskorrektur
P-CHAN-00022 | aep. | g_gruppe[i] | Änderungsprotokollierung
P-CHAN-00023 |  | grp_anzahl | Gruppendaten
P-CHAN-00024 | aep. | output_mode | Änderungsprotokollierung
P-CHAN-00025 |  | h_default_output_ax_name[i] | Achsspezifische H-Funktion
P-CHAN-00026 |  | h_prozess_zeit[i] | Fertigungszeitberechnung
P-CHAN-00027 |  | h_synch[i] | Technodaten
P-CHAN-00028 | syn_chk. | interaktiv | Syntaxcheck
P-CHAN-00029 |  | kasto_multi_block | Kantenstoßen
P-CHAN-00030 |  | kasto_residual_path | Kantenstoßen
P-CHAN-00031 |  | kind_of_2nd_ecs_ax | Konfiguration ECS
P-CHAN-00032 |  | kinematik_id | RTCP
P-CHAN-00033 | prog_start. | late_sync_ready | Late Sync am Programmende
P-CHAN-00034 |  | lin_aufloes | Maßeinstellungen
P-CHAN-00035 | gruppe[i].achse[j]. | log_achs_nr | Achsdaten
P-CHAN-00036 | spindel[i]. | log_achs_nr | Spindeldaten
P-CHAN-00037 | synchro_data.koppel_gruppe[i]. paar[j]. | log_achs_nr_master | Synchronbetrieb
P-CHAN-00038 | synchro_data.koppel_gruppe[i]. paar[j]. | log_achs_nr_slave | Synchronbetrieb
P-CHAN-00039 |  | m_default_output_ax_name[i] | Achsspezifische M-Funktion
P-CHAN-00040 |  | m_prozess_zeit[i] | Fertigungszeitberechnung
P-CHAN-00041 |  | m_synch[i] | Technodaten
P-CHAN-00042 | spindel[i]. | m19_prozess_zeit | Fertigungszeitberechnung
P-CHAN-00043 | spindel[i]. | m19_synch | Technodaten
P-CHAN-00044 | spindel[i]. | m3_prozess_zeit | Fertigungszeitberechnung
P-CHAN-00045 | spindel[i]. | m3_synch | Technodaten
P-CHAN-00046 | spindel[i]. | m4_prozess_zeit | Fertigungszeitberechnung
P-CHAN-00047 | spindel[i]. | m4_synch | Technodaten
P-CHAN-00048 | spindel[i]. | m5_prozess_zeit | Fertigungszeitberechnung
P-CHAN-00049 | spindel[i]. | m5_synch | Technodaten
P-CHAN-00050 |  | mach_plane_of_2nd_ecs_ax | Konfiguration ECS
P-CHAN-00051 |  | main_spindle_ax_nr | Spindelkonfigurierung
P-CHAN-00052 |  | main_spindle_gear_change | Spindelgetriebeschalten
P-CHAN-00053 |  | main_spindle_name | Spindelkonfigurierung
P-CHAN-00054 |  | mass_einh | Maßeinstellungen
P-CHAN-00055 | range_table[j]. | max_speed | Spindelgetriebeschalten
P-CHAN-00056 |  | max_vb_override | Kanaloverride
P-CHAN-00057 |  | messtyp | Defaultmeßtyp
P-CHAN-00058 | range_table[j]. | min_speed | Spindelgetriebeschalten
P-CHAN-00059 |  | mittelpkt_diff | Kreiskorrektur
P-CHAN-00060 |  | mittelpkt_faktor | Kreiskorrektur
P-CHAN-00061 | synchro_data.koppel_gruppe[i]. paar[j]. | mode | Synchronbetrieb
P-CHAN-00062 | makro_def[i]. | nc_code | Symbolische Zeichenketten
P-CHAN-00063 | prog_start.g_gruppe[i]. | nr | Default G-Funktionen
P-CHAN-00064 | prog_start.m_gruppe[i]. | nr | Default M-Funktionen
P-CHAN-00065 |  | override_delay | Abtastung Override
P-CHAN-00066 |  | override_weight_prog_feed | Wirkungsweise Override
P-CHAN-00067 |  | p_param_haltend | P-Parameter modal
P-CHAN-00068 | aep. | p_parameter | Änderungsprotokollierung
P-CHAN-00069 | spindel[i]. | plc_control | Kanalspezifische PLC-Spindel
P-CHAN-00070 |  | m_pre_outp[i] | Ausgabe(/-zeit)punkt M Funktion
P-CHAN-00071 | prog_start.slope. | profile | Default Slopeeinstellung
P-CHAN-00072 | tool. (Alte Syntax: werkzeug.) | prozess_zeit | Fertigungszeitberechnung
P-CHAN-00073 | prog_start.slope. | ramp_time | Default Slopeeinstellung
P-CHAN-00074 | spindel[i]. | range_way | Spindelgetriebeschalten
P-CHAN-00075 |  | reset_no_axis_to_axv | Achsabgabe nach Reset
P-CHAN-00076 |  | tool_life_to_wzv | Erfasste Standgrößen an WZV
P-CHAN-00077 |  | rpf_prozess_zeit | Fertigungszeitberechnung
P-CHAN-00078 |  | rund_aufloes | Maßeinstellungen
P-CHAN-00079 |  | rund_mass_einh | Maßeinstellungen
P-CHAN-00080 | spindel[i]. | s_prozess_zeit | Fertigungszeitberechnung
P-CHAN-00081 | spindel[i]. | s_synch | Technodaten
P-CHAN-00082 |  | spdl_anzahl | Spindelkonfigurierung
P-CHAN-00083 |  | spind_aufloes | Maßeinstellungen
P-CHAN-00084 | gruppe[i]. | sub_call | Subcall
P-CHAN-00085 | makro_def[i]. | symbol | Symbolische Zeichenketten
P-CHAN-00086 | tool. (Alte Syntax: werkzeug.) | synch | Technodaten
P-CHAN-00087 |  | t_info_to_wzv | Ext. Werkzeugverwaltung
P-CHAN-00088 | aep. | v_eigendef | Änderungsprotokollierung
P-CHAN-00089 | speed_limit_look_ahead. | v_limit | Geschwindigkeits Look Ahead
P-CHAN-00090 | vector. | velocity | Bahndynamikgrenzwerte
P-CHAN-00091 |  | versch_im_durchm | Drehen
P-CHAN-00092 |  | wrk_im_kanal_vorhanden | Kanalkonfiguration
P-CHAN-00093 | aep. | wz_daten | Änderungsprotokollierung
P-CHAN-00094 | kinematik[i]. | param[i] (ab V263) wz_kopf_versatz[i] (bis V260) | RTCP
P-CHAN-00095 |  | log_number_tracking_axis | Automatische Achsnachführung
P-CHAN-00096 |  | feed_to_weakest_axis | Anwahl Defaultvorschubachse
P-CHAN-00097 |  | use_drive_curr_limit | Bremsen bei Feedhold
P-CHAN-00098 |  | spindle_m_fct_free | Bedeutung von M-Funktionen
P-CHAN-00099 | prog_start. | feedrate | Default-Vorschub
P-CHAN-00100 |  | move_tool_offsets_directly | Wirksamkeit WZ-Korrekturen
P-CHAN-00101 |  | auto_align_tracking_axis | Automatische Achsnachführung
P-CHAN-00102 |  | plc_command_rapid_speed | Wirkung des PLC geführten Vorschubes
P-CHAN-00103 |  | d_clear_to_wzv | Ext. Werkzeugverwaltung
P-CHAN-00104 | synchro_data. | restore_coupling_after_reset | Synchronbetrieb
P-CHAN-00105 | synchro_data. | preserve_coupling_after_prog_end | Synchronbetrieb
P-CHAN-00106 |  | t_with_implicit_flush | Ext. Werkzeugverwaltung
P-CHAN-00107 |  | h_pre_outp[i] | Ausgabe(/-zeit)punkt H Funktion
P-CHAN-00108 | prog_start. | feedrate_factor | Defaulteinheit des Vorschubes
P-CHAN-00109 |  | fast_tracking_transition | Automatische Achsnachführung
P-CHAN-00110 |  | check_jerk_on_poly_path | Ruckbetrachtung im Polynom
P-CHAN-00111 |  | time_override_weight_dwell_time | Zeitoverride
P-CHAN-00112 |  | ori_rotation_angle | Kinematische Transformation
P-CHAN-00113 |  | path_reject_std_manual_mode | Handbetrieb
P-CHAN-00114 |  | rel_offset_limits_std_manual_mode | Handbetrieb
P-CHAN-00115 |  | release_non_channel_axis | Achsabgabe nach Reset
P-CHAN-00116 |  | multi_dimension_in_block | Mehrfachprogrammierung des Maßsystems im NC-Satz
P-CHAN-00117 |  | mode_trans_jerk | Ruckbegrenzung
P-CHAN-00118 |  | m6_prog_file | Unterprogrammaufruf bei M6
P-CHAN-00119 |  | start_init_prog_file | Unterprogrammaufruf bei Prog.start
P-CHAN-00120 |  | soft_limit_tolerance | Softwareendschalterüberwachung
P-CHAN-00121 |  | simu_output_wcs | Umschaltung von Anzeigedaten
P-CHAN-00122 | hsc.bspline. | path_deviation | HSC BSpline Initialisierung
P-CHAN-00123 | hsc.bspline. | track_deviation | HSC BSpline Initialisierung
P-CHAN-00124 | hsc.bspline. | max_path_length | HSC BSpline Initialisierung
P-CHAN-00125 | hsc.bspline. | max_angle | HSC BSpline Initialisierung
P-CHAN-00126 | hsc.bspline. | merge_retry | HSC BSpline Initialisierung
P-CHAN-00127 | hsc.bspline. | merge_window | HSC BSpline Initialisierung
P-CHAN-00128 | hsc.bspline. | auto_off_g00 | HSC BSpline Initialisierung
P-CHAN-00129 | hsc.bspline. | auto_off_path | HSC BSpline Initialisierung
P-CHAN-00130 | hsc.bspline. | auto_off_track | HSC BSpline Initialisierung
P-CHAN-00131 | hsc.bspline. | limit_corner_dist | HSC BSpline Initialisierung
P-CHAN-00132 | hsc.gen. | linear_segmentation | HSC Allgemeine Initialisierung
P-CHAN-00133 | hsc.gen. | linear_center_point | HSC Allgemeine Initialisierung
P-CHAN-00134 | hsc.gen. | linear_continuous_split | HSC Allgemeine Initialisierung
P-CHAN-00135 | hsc.gen. | linear_split_length | HSC Allgemeine Initialisierung
P-CHAN-00136 | hsc.gen. | circular_secant_error | HSC Allgemeine Initialisierung
P-CHAN-00137 | hsc.gen. | circular_segmentation | HSC Allgemeine Initialisierung
P-CHAN-00138 | hsc.gen. | circular_param | HSC Allgemeine Initialisierung
P-CHAN-00139 | hsc.gen. | filter_deviation | HSC Allgemeine Initialisierung
P-CHAN-00140 | hsc.gen. | min_segment_length | HSC Allgemeine Initialisierung
P-CHAN-00141 | hsc.gen. | jerk_monitoring_mode | HSC Allgemeine Initialisierung
P-CHAN-00142 | hsc.gen. | jerk_weighting_5ax | HSC Allgemeine Initialisierung
P-CHAN-00143 | hsc.gen. | jerk_weighting | HSC Allgemeine Initialisierung
P-CHAN-00144 |  | suppress_cs_tracking_offset | Automatische Achsnachführung
P-CHAN-00145 |  | kin_trafo_display | Anzeige TCP im WO-KS
P-CHAN-00146 |  | parameter_change_during_execution | Freigabe Listeninterpretation
P-CHAN-00147 |  | soft_limit_warning_axes | Softwareendschalterüberwachung
P-CHAN-00148 |  | multi_axes_in_block | Mehrfachprogrammierung von Achsen im NC-Satz
P-CHAN-00149 |  | kasto_reject_rest_block | Kantenstoßen
P-CHAN-00150 |  | remain_block_number_sub_prog_call | Gültigkeit der Satznummer
P-CHAN-00151 |  | auto_enable_kin_trafo | Trafoanwahl bei Programmstart
P-CHAN-00152 |  | auto_disable_kin_trafo | Trafoabwahl bei Programmende
P-CHAN-00153 |  | kasto_remain_active | Kantenstoßen, Messen
P-CHAN-00154 |  | ax_exchange_with_implicit_flush | Achstausch mit Flush Wait
P-CHAN-00155 | speed_limit_look_ahead. | f_override_weight_v_limit | Geschwindigkeits Look Ahead
P-CHAN-00156 | tool. | minimum_length | Werkzeugüberwachung
P-CHAN-00157 | tool. | minimum_radius | Werkzeugüberwachung
P-CHAN-00158 |  | streaming_prog_file | Streamingbetrieb
P-CHAN-00159 |  | modal_i_j_k_for_circle | Modale Wirkung I/J/K bei Kreisen
P-CHAN-00160 |  | g80_prog_file | Unterprogrammaufruf bei G80
P-CHAN-00161 |  | g81_prog_file | Unterprogrammaufruf bei G81
P-CHAN-00162 |  | g82_prog_file | Unterprogrammaufruf bei G82
P-CHAN-00163 |  | g83_prog_file | Unterprogrammaufruf bei G83
P-CHAN-00154 |  | g84_prog_file | Unterprogrammaufruf bei G84
P-CHAN-00165 |  | g85_prog_file | Unterprogrammaufruf bei G85
P-CHAN-00166 |  | g86_prog_file | Unterprogrammaufruf bei G86
P-CHAN-00167 |  | g87_prog_file | Unterprogrammaufruf bei G87
P-CHAN-00168 |  | g88_prog_file | Unterprogrammaufruf bei G88
P-CHAN-00169 |  | g89_prog_file | Unterprogrammaufruf bei G89
P-CHAN-00170 |  | override_weight_acc | Wirkungsweise Override
P-CHAN-00171 |  | max_radius_diff_circle | Kreisradiusausgleich
P-CHAN-00172 |  | max_proz_radius_diff_circle | Kreisradiusausgleich
P-CHAN-00173 |  | suppress_ax_group_in_pos_check | Prüfung Genauhaltfenster
P-CHAN-00174 |  | channel_name | Kanalinformation
P-CHAN-00175 |  | channel_type | Kanalinformation
P-CHAN-00176 |  | meas_error_no_signal | Reaktion bei fehlendem Mess-signal bei Messtyp 1
P-CHAN-00177 | ori. | mode | Punkt-Vektorprogrammierung
P-CHAN-00178 | ori. | fixed_axis_index | Punkt-Vektorprogrammierung
P-CHAN-00179 |  | ax_default_config_after_reset | Kanalachsen nach Reset
P-CHAN-00180 |  | suppress_prg_display_level | Anzeigedaten
P-CHAN-00181 |  | g00_override_mode | Wirkungsweise Override
P-CHAN-00183 |  | simu_ignore_internal_stop_cond | Einstellung für Sollkont.visu.
P-CHAN-00185 |  | tracking_axis_rot_wc | Automatische Achsnachführung
P-CHAN-00186 |  | override_v_handwheel | Override bei Handbetrieb
P-CHAN-00187 |  | g800_prog_file[i] | Unterprogrammaufruf bei G800  G819
P-CHAN-00188 | tool_ori_cs. | axis | Automatisches Ausrichten
P-CHAN-00190 |  | dynamic_weighting_active | Wegabhängige Dynamik
P-CHAN-00191 | dynamic_weighting[i]. | path_limit | Wegabhängige Dynamik
P-CHAN-00192 | dynamic_weighting[i]. | velocity_fact | Wegabhängige Dynamik
P-CHAN-00193 | dynamic_weighting[i]. | acceleration_fact | Wegabhängige Dynamik
P-CHAN-00194 | dynamic_weighting[i]. | ramp_time_fact | Wegabhängige Dynamik
P-CHAN-00201 | hsc.filter. | auto_enable | HSC Filterparameter
P-CHAN-00202 | hsc.filter. | order_cart | HSC Filterparameter
P-CHAN-00203 | hsc.filter. | order_track | HSC Filterparameter
P-CHAN-00208 | vector. | deceleration | Bahndynamikgrenzwerte
P-CHAN-00209 |  | m_h_pre_outp_time_calc_mode | Berechnung Ausgabezeitpunkt
P-CHAN-00210 |  | cycle_changes_modal | Zyklenprogrammierung
P-CHAN-00211 |  | suppress_cycle_logging | Zyklenprogrammierung
P-CHAN-00212 |  | m_h_pre_outp_calc_value_to_go | Berechnung Restweg-/zeit
P-CHAN-00213 |  | gap_in_trafo_axis_sequence | Transformationen


Gliederung der Kanalparameter

Die Daten des Maschinen-Daten-Satzes für die Steuer-Daten-Aufbereitung (kurz SDA_MDS bzw. Kanalparameter) enthalten applikationsspezifische Konfigurierungsdaten.

In dieser Liste werden achsübergreifende Systemparameter der Steuerung definiert. Außerdem wird die Default-Achs- und Spindelkonfiguration einer Achsgruppe festgelegt. Weiterhin werden die gewünschten Technologiebefehle und ihre Codierung für die Übergabe an die SPS definiert. Die Maßeinheiten und Dimensionen der im NC-Programm angegebenen Fahrwege werden vorgegeben.

Die für die Achsdaten anzugebenden Feldindizes entsprechen der kanalinternen Achs- und Achsgruppenindizierung.

Wertebereiche von Parametern werden ggf. auch durch Angabe einer Grenze, die sich aufgrund der Datenbreite ergibt, mit z.B. MAX(UNS32) etc. definiert.


Syntax, Interpretation und Prüfung des Kanalparameter-ASCII-Files

Die Kanalparameter werden in einem ASCII-File definiert und von einem ASCII-Interpreter interpretiert und in den entsprechenden Strukturen gespeichert.

Danach werden für die Kanalparameter Plausibilitätsprüfungen durchgeführt.

Dieses Dokument definiert Inhalt und Syntax des ASCII-Files (Beispiel "sda_mds1.lis") sowie die Elemente des Kanalparameterdatensatzes.

Für Kanalparameter vom Typ BOOLEAN gilt folgende Vereinbarung:

Wert | Bedeutung
0 | Definition von FALSE
1 | Definition von TRUE


Kommentar im Kanalparameter-ASCII-File

Kommentare können ganzzeilig, oder am Ende einer Zeile eingefügt werden.

Bei ganzzeiligem Kommentar muß am Zeilenanfang das Kommentarzeichen "'#", gefolgt von einem Leerzeichen eingefügt werden.

Soll am Ende einer Zeile ein Kommentar eingefügt werden, so muß vor dem Kommentar lediglich ein Leerzeichen vorhanden sein. Wurde in der Zeile jedoch ein String definiert, so muß dem Kommentar das Kommentarzeichen "(" vorangestellt werden.

Leerzeilen sind ebenfalls möglich.

Beispiel:

# ***********************************************

# Daten

# ***********************************************

#

# Auflistung

dummy[1] 1 Kommentar

dummy[2] 1 # Kommentar

dummy[3] 1 ( Kommentar

dummy[4] 1 /* Kommentar

...

...

beispiel[0].bezeichnung STRING_2 (Hier Kommentarklammern nötig!)


Listeninterpretation beim Steuerungshochlauf

Beim Steuerungshochlauf werden die Kanalparameter der einzelnen Kanäle in einem mehrstufigen Interpretationsprozess aus den beteiligten Listen und einer steuerungsintern festgelegten Defaultbelegung erzeugt. Hierbei können interne Maschinendaten durch die Interpretation einer Liste überschrieben werden, während Einträge, die in der interpretierten Liste nicht vorhanden sind, beibehalten werden.

Die beteiligten Listen sind dabei:

q Defaultliste (Identische Defaultbelegung für alle Kanäle in einer Liste)

q Kanalspezifische Liste

Der Name der beteiligten Defaultliste ist dabei in der Datei hochlauf.lis im Eintrag P-STUP-00034 (default_sda_mds) anzugeben. In dieser Liste können Einträge, die für alle Kanäle gelten, eingetragen werden.

Der Ablauf der Listeninterpretation ist dabei wie folgt:

1. Grundinitialisierung der Listen mit der steuerungsintern festgelegten Defaultinitialisierung.

2. Überlagerung der Defaultinitialisierung mit den Einträgen der Defaultliste.

3. Überlagerung mit den Einträgen der kanalspezifischen Liste des jeweiligen Kanals.

Die folgende Zeichnung stellt diesen Vorgang nochmals dar.


Konfiguration von SPS-Funktionen

Mehr:

button Einstellungen für M-Funktionen

button Einstellungen für H-Funktionen

button Einstellungen für die Werkzeuganforderung (tool.* oder werkzeug.*)

button Prozesszeit der Referenzpunktfahrt (P-CHAN-00077)

button Berechnungsmodell bei M/H-Vorausgabezeit (P-CHAN-00209)

button Restweg/-zeit bei M/H-Code Look-Ahead (P-CHAN-00212)


Einstellungen für M-Funktionen

Mehr:

button Synchronisationsarten der M-Funktionen (P-CHAN-00041)

button Vorgezogene Ausgabe von M-Funktionen (P-CHAN-00070)

button Achsspezifische M-Funktionen (P-CHAN-00039)

button Timeout- bzw. Prozesszeit der M-Funktionen (P-CHAN-00040)


Synchronisationsarten der M-Funktionen (P-CHAN-00041)

Im Array "m_synch[i]" wird die Synchronisationsart der entsprechenden M-Funktion definiert. Dabei definiert der Feldindex "i" die Nummer der M-Funktion. Der Wert gibt an, welche Synchronisationsart die M-Funktion besitzt, d.h. wann eine Überprüfung auf das Vorliegen der SPS-Quittierung erfolgt. Eine Bewegung wird nicht ausgeführt bzw. spätestens zum Satzende hin gestoppt, wenn zum Zeitpunkt der Überprüfung keine Quittierung von der SPS eingetroffen ist.

Variablenname | Typ | erlaubter Bereich | Dimension
m_synch[i] | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, MVS_SLM, MVS_SLP, MOS_TS, MEP_SVS, MET_SVS, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----
i | UNS16 | 0 ... [M_FKT_ANZ-1] | ----

Wert M_FKT_ANZ | Bedeutung
applikationsabhängig | Maximale Anzahl der M-Funktionen

Konstante | Wert | Bedeutung
NO_SYNCH | 0x00000000 | Keine Ausgabe der M-Funktion an SPS
MOS | 0x00000001 | Ausgabe M-Funktion an SPS ohne Synchronisation. Wird die M-Funktion in einem Bewegungssatz programmiert, so erfolgt die Ausgabe der M-Funktion vor der Bewegung.
MVS_SVS | 0x00000002 | Ausgabe M-Funktion an SPS vor Bewegungssatz, Synchronisation vor Bewegungssatz
MVS_SNS | 0x00000004 | Ausgabe M-Funktion an SPS vor Bewegungssatz, Synchronisation nach Bewegungssatz
MNS_SNS | 0x00000008 | Ausgabe M-Funktion an SPS nach Bewegungssatz, Synchronisation nach Bewegungssatz
MNE_SNS | 0x00000020 | Ausgabe M-Funktion an SPS nach (Mess-)Ereignis, Synchronisation nach Bewegungssatz (Nur für Option Kantenstoßen)
MVS_SLM | 0x00004000 | Späte Synchronisation, Ausgabe M-Funktion an SPS im Satz, Synchronisation bei Übergang zu G01/G02/G03 (Implizite Synchronisation)
MVS_SLP | 0x00008000 | Späte Synchronisation, Ausgabe M-Funktion an SPS im Satz, Synchronisation bei NC-Befehl #EXPL SYN (Explizite Synchronisation)
MOS_TS | 0x00040000 | Ausgabe M-Funktion an SPS vor Bewegungssatz ohne Synchronisation, Abtastzeitoffset als Parameter für hochgenaue zeitliche Ausgabe in SPS
BWD_SYNCH | 0x00400000 | Synchronisation M-Funktion während Rückwärtsfahrt mit MVS_SVS
FWD_SYNCH | 0x00800000 | Synchronisation M-Funktion während "Simulierter Vorwärtsfahrt" mit der entsprechenden Synchronisationsart
MEP_SVS | 0x01000000 | Ausgabe M-Funktion bei angegebenem Weg, Synchronisation vor nächstem Satz
MET_SVS | 0x02000000 | Ausgabe M-Funktion bei angegebener Zeit, Synchronisation vor nächstem Satz
FAW_SYNCH | 0x10000000 | Decodierstopp (Flush and Wait): Ausgabe M-Funktion an SPS und Anhalten der Programmdecodierung am Satzende bis Programmvorlauf abgebaut ist. FAW_SYNCH kann additiv zu den anderen Synchronisationsarten gesetzt werden. M-Funktionen mit FAW_SYNCH dürfen nicht bei aktiver WRK, Polynomüberschleifen und HSC-Modus verwendet werden.

Mehr:

button Synchronisationsart MOS (ohne Synchronisation)

button Synchronisationsart MVS_SVS

button Synchronisationsart MVS_SNS

button Synchronisationsart MNS_SNS

button Synchronisationsart MNE_SNS (nur für Option Kantenstoßen)

button Synchronisationsart MVS_SLM

button Synchronisationsart MVS_SLP

button Ohne Synchronisation MOS_TS

button Synchronisationsarten MET_SVS, MEP_SVS


Synchronisationsart MOS (ohne Synchronisation)

N20 G00 X25

N30 X50

N40 X75 M25 ( M25 vom Typ MOS )

N50 G01 X100 F2000

N60 X125 Z100

M30


Synchronisationsart MVS_SVS

N20 G00 X25

N30 X50

N40 X75 M25 ( M25 vom Typ MVS_SVS )

N50 G01 X100 F2000

N60 X125 Z100

M30


Synchronisationsart MVS_SNS

N20 G00 G90 X25

N30 X50

N40 X75 M25 ( M25 vom Typ MVS_SNS )

N50 G01 X100 F2000

N60 X125 Z100

M30


Synchronisationsart MNS_SNS

N20 G00 X25

N30 X50

N40 X75 M25 ( M25 vom Typ MNS_SNS )

N50 G01 X100 F2000

N60 X125 Z100

M30


Synchronisationsart MNE_SNS (nur für Option Kantenstoßen)

N05 X0 Y0

N10 G108 (Start Messen Kantenstoßen)

N20 G01 X90 Y90 F20

N30 G01 X150 Y150 M33 F8 (M33 vom Typ MNE_SNS)

N40 G107 (Ende Messen Kantenstoßen)

N50 G00 X200 Y200

M30


Synchronisationsart MVS_SLM

N05 M24 (M24,Synchronisationstyp MVS_SLM)

N10 M25 G00 X25 (M25,Synchronisationstyp MVS_SLM)

N20 X50

N30 X75

N40 X100

N50 G01 X125 F2000 <-- Triggerung von M24, M25 vor Ausführung des Bewegungssatzes

N60 Z100

M30


Synchronisationsart MVS_SLP

N05 M26 G00 X25 (M26, Synchronisationstyp MVS_SLP)

N10 M27 (M27, Synchronisationstyp MVS_SLP)

N20 X50

N30 X75

N40 X100

N50 G01 X125 F2000

N60 #EXPL SYN ß Triggerung von M26, M27 vor Ausführung des nächsten Satzes

N70 G00 X0

N80 X0 Y0

M30


Ohne Synchronisation MOS_TS

N10 G01 X25 G90 F5000

N20 X50

N30 M25 (M25 MOS_TS)

N40 X100

N50 X200

M30


Synchronisationsarten MET_SVS, MEP_SVS

N10 G01 X10 G90 F5000

N20 X20

N30 X30

N40 X40

N45 M96 (M96 MEP_SVS m_pre_outp = 250000)

(oder MET_SVS m_pre_outp = 300000µs)

N50 X80

N60 X0

M30

Bei überlagerter Programmierung mehrerer M-Funktionen dieser Synchronisationsarten bzgl. ihrer Wirkungsbereiche und Positionierung im NC-Programm, bestimmt die in der Satzreihenfolge zuerst programmierte M-Funktion den frühestmöglichen Zeitpunkt der Ausgabe aller nachfolgenden M-Funktionen (siehe folgende Beispiele).

Dies kann zu einer Verschiebung bzw. geänderten Reihenfolge der Ausgabezeitpunkte führen. Bereichsüberlappungen sind daher möglichst zu vermeiden!

Programmierbeispiele:

Bereichsüberlappung und Ausgabe bei MEP_SVS, MET_SVS

M-Funktionen in unterschiedlichen NC-Sätzen, Bereichsüberlappung führt zu geänderten Ausgabezeitpunkten:

(M95 MEP_SVS m_pre_outp = 50000)

(M96 MEP_SVS m_pre_outp = 250000)

M-Funktionen im gleichen NC-Satz, Bereichsüberlappung hat keine Auswirkung auf die Ausgabezeitpunkte:

(M95 MEP_SVS m_pre_outp = 50000)

(M96 MEP_SVS m_pre_outp = 250000)


Vorgezogene Ausgabe von M-Funktionen (P-CHAN-00070)

Für die vorgezogene Ausgabe der M-Funktionen kann in der Kanalparameterliste der Wert als Weg/Zeit festgelegt werden. Dieser Wert kann auch im NC-Programm programmiert werden [PROG - Kapitel V.G.-Variablen].

Der Parameter m_pre_outp[i] legt den Wert für den Ausgabe(zeit)punkt vor Bearbeitung der M-Funktion im Bahninterpolator fest.

Variablenname | Typ | Erlaubter Bereich | Dimension
m_pre_outp[i] | UNS32 | 0 MAX(UNS32) | 0.1µm oder µs
i | UNS16 | 0 ... [M_FKT_ANZ-1] | ----

Wert M_FKT_ANZ | Bedeutung
applikationsabhängig | Maximale Anzahl der M-Funktionen

Mehr:

button Synchronisationsarten MET_SVS, MEP_SVS

button Synchronisationsarten MOS, MOS_TS, MVS_SVS, MVS_SNS, MNS_SNS mit vorgezogener Ausgabe


Synchronisationsarten MET_SVS, MEP_SVS

Beim Typ MET_SVS erfolgt die Angabe des Zeitvorlaufs, beim Typ MEP_SVS erfolgt die Angabe des Wegvorlaufes (siehe auch Kapitel 2.1.1.1.9).

BEISPIEL: Die anwenderspezifische M-Funktion M96 soll 10 Millimeter vor Erreichen der Synchronisationsposition in der Satzsequenz an die PLC ausgegeben werden.

Die anwenderspezifische M-Funktion M97 soll 40 Millisekunden vor Erreichen des Synchronisationszeitpunktes in der Satzsequenz an die PLC ausgegeben werden.

Auszug aus Kanalparameterliste:

# Festlegung der M-Funktionen und Synchronisationsarten

# ======================================================

:

m_synch[96] 0x01000000 MEP_SVS

m_synch[97] 0x02000000 MET_SVS

#

# Einstellung von Vorausgabezeit, Vorausgabeweg mit Typ MET_SVS, MEP_SVS

# ===============================================================

m_pre_outp[96] 100000 in 0.1 um

m_pre_outp[97] 40000 in us


Synchronisationsarten MOS, MOS_TS, MVS_SVS, MVS_SNS, MNS_SNS mit vorgezogener Ausgabe

Bei den Synchronisationsarten MOS, MOS_TS, MVS_SVS, MVS_SNS und MNS_SNS kann zusätzlich eine wegbezogene Vorabausgabe angegeben werden. Dieser Weg kann in der Kanalparameterliste oder im NC-Programm gesetzt werden.

In diesem Fall wird die M-Funktion um den angegebenen Weg, bezogen auf den aktuellen Satzanfang, vorher ausgegeben. Die vorgezogenen M-Funktionen werden dann so behandelt, als ob sie ohne eine Bewegung programmiert worden wären.

Bei den Synchronisationsarten MVS_SVS, MVS_SNS, und MNS_SNS wird dann auch an dieser Stelle auf die Quittierung gewartet (MOS und MOS_TS brauchen keine Quittierung).

Programmierbeispiel

N01 V.G.M_FCT[11].PRE_OUTP_PATH = 25 (* in [mm] *)

N02 V.G.M_FCT[11].SYNCH = 2 (* MVS_SVS *)

N10 G01 X10 G90 F5000

N20 X20

N30 X30

N40 X40

N50 X80 M11 (M11 als MVS_SVS m_pre_outp = 250000)

N60 X0

M30

Programmierbeispiel : Wirkung

N01 V.G.M_FCT[11].PRE_OUTP_PATH = 0 (* in [mm] *)

N02 V.G.M_FCT[11].SYNCH = 2 (* MVS_SVS *)

N10 G01 X10 G90 F5000

N20 X15

N20 M11 (resultierende vorgezogene Ausgabe und Synchronisation)

N20 X20

N30 X30

N40 X40

N50 X80

N60 X0

M30

Abbildung 2-1: Vorabausgabe und Quittierung einer M-Funktion

Diese Funktionalität ist ab Release V2.10.1507.05 verfügbar und wird in der Hochlaufliste ([STUP]) pro CNC-Kanal beispielhaft wie folgt freigeschaltet:

configuration.channel[<i>].path_preparation.function FCT_DEFAULT | FCT_M_PRE_OUTPUT


Achsspezifische M-Funktionen (P-CHAN-00039)

Anwenderspezifische M-Funktionen, die in der DIN-Syntax programmiert werden, werden kanalspezifisch behandelt und ausgeführt.

Will der Anwender für bestimmte M-Funktionen eine achsspezifische Behandlung erzwingen, so besteht die Möglichkeit durch den Parameter m_default_outp_ax_name diese so zu konfigurieren, daß sie achsspezifisch wirken. Jeder M-Funktion kann ein Achsname zugeordnet werden, auf die sie wirken soll. Hierbei sind neben Spindelachsen auch Bahnachsen zulässig.

Variablenname | Typ | erlaubter Bereich | Dimension
m_default_outp_ax_name[i] | ISG_CHAR | 0 ... [ACHS_NAME_LÄNGE-1] | ----
i | UNS16 | 0 ... [M_FKT_ANZ-1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | Maximale Länge vom Achsnamen

Wert M_FKT_ANZ | Bedeutung
applikationsabhängig | Maximale Anzahl der M-Funktionen

BEISPIEL: Die anwenderspezifische M-Funktion M10 soll bei der Programmierung in DIN-Syntax auf Z-Achse wirken.
Die anwenderspezifische M-Funktion M11 soll bei der Programmierung in DIN-Syntax auf die S2-Spindelachse wirken.

Auszug aus Kanalparameterliste:

# Festlegung der achsspezifischen M-Funktionen

m_default_outp_ax_name[10] Z

m_default_outp_ax_name[11] S2


Timeout- bzw. Prozesszeit der M-Funktionen (P-CHAN-00040)

Im Array "m_prozess_zeit[i]" werden die Timeout-Zeiten der M-Funktionen angegeben. Der Feldindex "i" gibt dabei die Nummer der M-Funktion an. Bei aktivierter Fertigungszeitberechnung werden in diesem Array die Prozesszeiten der M-Funktionen angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
m_prozess_zeit[i] | UNS32 | 0 < m_prozess_zeit < MAX(UNS32) | µs
i | UNS16 | 0 ... [M_FKT_ANZ-1] | ----

Wert M_FKT_ANZ | Bedeutung
applikationsabhängig | Maximale Anzahl der M-Funktionen

BEISPIEL: Im nachfolgenden Beispiel wird die Timeout- bzw. Prozesszeit der M-Funktion "M15" mit 0,5s angegeben.

Auszug aus Kanalparameterliste:

# Timeout- bzw. Prozesszeiten der M-Funktionen

m_prozess_zeit[15] 500000


Einstellungen für H-Funktionen

Mehr:

button Synchronisationsart der H-Funktionen (P-CHAN-00027)

button Vorgezogene Ausgabe von H-Funktionen (P-CHAN-00107)

button Achsspezifische H-Funktionen (P-CHAN-00025)

button Timeout- bzw. Prozesszeit der H-Funktionen (P-CHAN-00026)


Synchronisationsart der H-Funktionen (P-CHAN-00027)

Im Array "h_synch[i]" wird die Synchronisationsart der entsprechenden H-Funktion definiert. Dabei definiert der Feldindex "i" die Nummer der H-Funktion. Der Wert gibt an, welche Synchronisationsart die H-Funktion besitzt, d.h. wann die Überprüfung auf das Vorliegen der SPS-Quittierung erfolgt. Eine Bewegung wird nicht ausgeführt bzw. spätestens zum Satzende hin gestoppt, wenn zum Zeitpunkt der Überprüfung keine Quittierung von der SPS eingetroffen ist.

Variablenname | Typ | erlaubter Bereich | Dimension
h_synch[i] | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, MEP_SVS, MET_SVS, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----
i | UNS16 | 0 ... [H_FKT_ANZ-1] | ----

Wert H_FKT_ANZ | Bedeutung
applikationsabhängig | Maximale Anzahl der H-Funktionen

Konstante | Wert | Bedeutung
NO_SYNCH | 0x00000000 | Keine Ausgabe der H-Funktion an SPS
MOS | 0x00000001 | Ausgabe H-Funktion an SPS ohne Synchronisation
MVS_SVS | 0x00000002 | Ausgabe H-Funktion an SPS vor Bewegungssatz, Synchronisation vor Bewegungssatz
MVS_SNS | 0x00000004 | Ausgabe H-Funktion an SPS vor Bewegungssatz, Synchronisation nach Bewegungssatz
MNS_SNS | 0x00000008 | Ausgabe H-Funktion an SPS nach Bewegungssatz, Synchronisation nach Bewegungssatz
MNE_SNS | 0x00000020 | Ausgabe H-Funktion an SPS nach (Mess-)Ereignis, Synchronisation nach Bewegungssatz (Nur für Option Kantenstoßen)
BWD_SYNCH | 0x00400000 | Synchronisation H-Funktion während Rückwärtsfahrt mit MVS_SVS
FWD_SYNCH | 0x00800000 | Synchronisation H-Funktion während "Simulierter Vorwärtsfahrt" mit der entsprechenden Synchronisationsart
MEP_SVS | 0x01000000 | Ausgabe H-Funktion bei angegebenem Weg, Synchronisation vor nächstem Satz
MET_SVS | 0x02000000 | Ausgabe H-Funktion bei angegebener Zeit, Synchronisation vor nächstem Satz
FAW_SYNCH | 0x10000000 | Decodierstopp (Flush and Wait): Ausgabe H-Funktion an SPS und Anhalten der Programmdecodierung am Satzende bis Programmvorlauf abgebaut ist. FAW_SYNCH kann additiv zu den anderen Synchronisationsarten gesetzt werden. H-Funktionen mit FAW_SYNCH dürfen nicht bei aktiver WRK, Polynomüberschleifen und HSC-Modus verwendet werden.

Beispiele siehe Kapitel 2.1.1.1- Synchronisationsarten der M-Funktionen.


Vorgezogene Ausgabe von H-Funktionen (P-CHAN-00107)

Dieser Parameter wird in Verbindung mit den Synchronisationstypen MET_SVS und MEP_SVS verwendet. Der Parameter h_pre_outp[i] legt den Wert für den Ausgabezeitpunkt vor Bearbeitung der H-Funktion im Bahninterpolator fest. Beim Typ MET_SVS erfolgt die Angabe des Zeitvorlaufs, beim Typ MEP_SVS erfolgt die Angabe des Wegvorlaufes (siehe auch Kapitel 2.1.1.1.9).

Variablenname | Typ | Erlaubter Bereich | Dimension
h_pre_outp[i] | UNS32 | 0 MAX(UNS32) | 0.1µm oder µs
i | UNS16 | 0 ... [H_FKT_ANZ-1] | ----

Wert H_FKT_ANZ | Bedeutung
applikationsabhängig | Maximale Anzahl der H-Funktionen

Beispiele siehe Kapitel 2.1.1.1- Synchronisationsarten der M-Funktionen.

BEISPIEL: Die anwenderspezifische H-Funktion M96 soll 10 Millimeter vor Erreichen der Synchronisationsposition in der Satzsequenz an die PLC ausgegeben werden.

Die anwenderspezifische H-Funktion M97 soll 40 Millisekunden vor Erreichen des Synchronisationszeitpunktes in der Satzsequenz an die PLC ausgegeben werden.

Auszug aus Kanalparameterliste:

# Festlegung der H-Funktionen und Synchronisationsarten

# ======================================================

:

h_synch[96] 0x01000000 MEP_SVS

h_synch[97] 0x02000000 MET_SVS

#

# Einstellung von Vorausgabezeit, Vorausgabeweg mit Typ MET_SVS, MEP_SVS

# ===============================================================

h_pre_outp[96] 100000 in 0.1 um

h_pre_outp[97] 40000 in us


Achsspezifische H-Funktionen (P-CHAN-00025)

Anwenderspezifische H-Funktionen, die in der DIN-Syntax programmiert werden, werden kanalspezifisch behandelt und ausgeführt.

Will der Anwender für bestimmte H-Funktionen eine achsspezifische Behandlung erzwingen, so besteht die Möglichkeit durch den Parameter h_default_outp_ax_name diese so zu konfigurieren, daß sie achsspezifisch wirken. Jeder H-Funktion kann ein Achsname zugeordnet werden, auf die sie wirken soll. Hierbei sind neben Spindelachsen auch Bahnachsen zulässig.

Variablenname | Typ | erlaubter Bereich | Dimension
h_default_outp_ax_name[i] | ISG_CHAR | 0... [ACHS_NAME_LÄNGE-1] | ----
i | UNS16 | 0 ... [H_FKT_ANZ-1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | Maximale Länge vom Achsnamen

BEISPIEL: Die anwenderspezifische H-Funktion H10 soll bei der Programmierung in DIN-Syntax auf Z-Achse wirken.
Die anwenderspezifische H-Funktion H11 soll bei der Programmierung in DIN-Syntax auf die S2-Spindelachse wirken.

Auszug aus Kanalparameterliste:

# Festlegung der achsspezifischen H-Funktionen

h_default_outp_ax_name[10] Z

h_default_outp_ax_name[11] S2


Timeout- bzw. Prozesszeit der H-Funktionen (P-CHAN-00026)

Im Array "h_prozess_zeit[i]" werden die Timeout-Zeiten der H-Funktionen angegeben. Der Feldindex "i" gibt dabei die Nummer der H-Funktion an. Bei aktivierter Fertigungszeitberechnung werden in diesem Array die Prozesszeiten der H-Funktionen angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
h_prozess_zeit[i] | UNS32 | 0 < h_prozess_zeit < MAX(UNS32) | µs
i | UNS16 | 0 ... [H_FKT_ANZ-1] | ----

Wert H_FKT_ANZ | Bedeutung
applikationsabhängig | Maximale Anzahl der H-Funktionen

BEISPIEL: Im nachfolgenden Beispiel wird die Timeout- bzw. Prozesszeit der H-Funktion "H1" mit 20ms angegeben.

Auszug aus Kanalparameterliste:

# Timeout- bzw. Prozesszeiten der H-Funktionen

h_prozess_zeit[15] 20000


Einstellungen für die Werkzeuganforderung (tool.* oder werkzeug.*)

Mehr:

button Synchronisationsart der Werkzeuganforderung (P-CHAN-00086)

button Timeout- / Prozesszeit der Werkzeuganforderung (P-CHAN-00072)

button Minimale Werkzeuglaenge (P-CHAN-00156)

button Minimaler Werkzeugradius (P-CHAN-00157)


Synchronisationsart der Werkzeuganforderung (P-CHAN-00086)

Mit dem Element "synch" wird die Synchronisationsart einer Werkzeuganforderung definiert.

Variablenname | Typ | erlaubter Bereich | Dimension
synch | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----

Konstante | Wert | Bedeutung
NO_SYNCH | 0x00000000 | Keine Ausgabe der T-Funktion an SPS
MOS | 0x00000001 | Ausgabe T-Funktion an SPS ohne Synchronisation
MVS_SVS | 0x00000002 | Ausgabe T-Funktion an SPS vor Bewegungssatz, Synchronisation vor Bewegungssatz
MVS_SNS | 0x00000004 | Ausgabe T-Funktion an SPS vor Bewegungssatz, Synchronisation nach Bewegungssatz
MNS_SNS | 0x00000008 | Ausgabe T-Funktion an SPS nach Bewegungssatz, Synchronisation nach Bewegungssatz
MNE_SNS | 0x00000020 | Ausgabe T-Funktion an SPS nach (Mess-)Ereignis, Synchronisation nach Bewegungssatz (Nur für Option Kantenstoßen)
BWD_SYNCH | 0x00400000 | Synchronisation T-Funktion während Rückwärtsfahrt mit MVS_SVS
FWD_SYNCH | 0x00800000 | Synchronisation T-Funktion während "Simulierter Vorwärtsfahrt" mit der entsprechenden Synchronisationsart
FAW_SYNCH | 0x10000000 | Decodierstopp (Flush and Wait): Ausgabe T-Funktion an SPS und Anhalten der Programmdecodierung am Satzende bis Programmvorlauf abgebaut ist. FAW_SYNCH kann additiv zu den anderen Synchronisationsarten gesetzt werden. T-Funktionen mit FAW_SYNCH dürfen nicht bei aktiver WRK, Polynomüberschleifen und HSC-Modus verwendet werden.

Beispiele siehe Kapitel 2.1.1.1- Synchronisationsarten der M-Funktionen.


Timeout- / Prozesszeit der Werkzeuganforderung (P-CHAN-00072)

Mit dem Element "prozess_zeit" wird die Timeout-Zeit einer Werkzeuganforderung angegeben. Bei aktivierter Fertigungszeitberechnung wird über dieses Element die Prozesszeit der Werkzeuganforderung angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
prozess_zeit | UNS32 | 0 < prozess_zeit < MAX(UNS32) | µs

BEISPIEL: Im nachfolgenden Beispiel wird die Timeout- bzw. Prozesszeit einer Werkzeuganforderung mit 2s angegeben.

Auszug aus Kanalparameterliste:

# Timeout- bzw. Prozesszeit einer Werkzeuganforderung

tool.prozess_zeit 2000000


Minimale Werkzeuglaenge (P-CHAN-00156)

Wenn dieser Parameter mit einem Wert ungleich Null belegt ist, wird entsprechend die Länge des neuen einzuwechselnden Werkzeuges auf diesen Minimalwert hin geprüft und ggf. die Fehlermeldung P-ERR-21426 "Werkzeuglaenge ist kleiner als minimaler Grenzwert" ausgegeben.

Der Grenzwert muss in der Dimension 0,1 µm definiert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
minimum_length | UNS32 | 0 < minimum_length < MAX(UNS32) | 0.1µm


Minimaler Werkzeugradius (P-CHAN-00157)

Wenn dieser Parameter mit einem Wert ungleich Null belegt ist, wird entsprechend der Radius des neuen einzuwechselnden Werkzeuges auf diesen Minimalwert hin geprüft und ggf. die Fehlermeldung P-ERR-21427 "Werkzeugradius ist kleiner als minimaler Grenzwert" ausgegeben.

Der Grenzwert muss in der Dimension 0,1 µm definiert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
minimum_radius | UNS32 | 0 < minimum_radius < MAX(UNS32) | 0.1µm


Prozesszeit der Referenzpunktfahrt (P-CHAN-00077)

Zur Berechnung der Fertigungszeit muß für die Referenzpunktfahrt eine Prozesszeit angegeben werden. Diese wird über das Element "rpf_prozess_zeit" definiert.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
rpf_prozess_zeit | UNS32 | 0 < rpf_prozess_zeit < MAX(UNS32) | µs

BEISPIEL: Im nachfolgenden Beispiel wird die Prozesszeit der Referenzpunktfahrt mit 3s angegeben.

Auszug aus Kanalparameterliste:

# Prozesszeit der Referenzpunktfahrt

rpf_prozess_zeit 3000000


Berechnungsmodell bei M/H-Vorausgabezeit (P-CHAN-00209)

Für den M/H-Synchronisationstyp MET_SVS kann über diesen Parameter die Zeitberechnungsfunktion für die Vorausgabezeit gesteuert werden. Ist der Parameter auf den Wert 0 gesetzt, so wird die Vorausgabezeit unabhängig vom tatsächlich aktiven Slope-Profil mit einem linearen Profilmodell berechnet. Bei aktivem nichtlinearen Slope-Profil ist dann die Profilzeit nur abgeschätzt.

Ist der Parameter auf den Wert 1 gesetzt, so wird die Vorausgabezeit abhängig vom aktiven Slope-Profil berechnet. Man erhält dann wegen der Berücksichtigung der Rampenzeit beim nichtlinearen Profil präzisere Zeitwerte. Der aufwendigere Algorithmus in der Zeitberechnungsfunktion benötigt aber erheblich mehr Rechenzeit im Echtzeitteil der CNC.

Variablenname | Typ | Erlaubter Bereich | Dimension
m_h_pre_outp_time_calc_mode | BOOLEAN | 0/1 | ----

0 | Zeitberechnungsmodell basierend auf linearem Slope-Profil (Default).
1 | Zeitberechnungsmodell basierend auf aktivem Slope-Profil.


Restweg/-zeit bei M/H-Code Look-Ahead (P-CHAN-00212)

Für die M/H-Synchronisationstypen MEP_SVS und MET_SVS kann über diesen Parameter die Berechnung und Bereitstellung von Restweg-/zeit aktiviert werden. Ist der Parameter auf den Wert 1 gesetzt, so wird nach Ausgabe aller M-Funktionen vom Typ MEP_SVS und MET_SVS, bezogen auf den Synchronisationspunkt, der Restweg und die Restzeit berechnet. Auf die Werte kann mittels ADS* zugegriffen werden. In diesem Fall wartet die Look-Ahead Funktion das Überfahren des aktuell aktiven Synchronisationspunktes ab, bevor zum nächsten Synchronisationspunkt gewechselt wird.

Variablenname | Typ | Erlaubter Bereich | Dimension
m_h_pre_outp_calc_value_to_go | BOOLEAN | 0/1 | ----

0 | Keine Restweg-/zeitberechnung. Sobald alle M-Funktionen eines Synchronisationspunktes ausgegeben wurden, wird zum nächsten Synchronisationspunkt gewechselt (Default).
1 | M-Code Look Ahead mit Restweg-/zeitberechnung. Erst nach Überfahren des Synchronisationspunktes wird zum nächsten Synchronisationspunkt gewechselt.

Programmierbeispiel

N10 G01 X10 G90 F5000

N20 X20

N30 X30

N40 X40

N45 M96

N50 X80

N60 X0

N70 M30

* ADS-Zugriffe: | Weg bis Synchronisationspunkt: [0.1 mikrom] Index Group: 0x21301 Offset: 0x27
 | Zeit bis Synchronisationspunkt: [1 mikrosec] Index Group: 0x21301 Offset: 0x28


Maßeinheiten und Auflösungen

Mehr:

button Maßeinheit für translatorische Achsen (P-CHAN-00054)

button Maßeinheit für rotatorische Achsen (P-CHAN-00079)

button Auflösung der Linearachsen (P-CHAN-00034)

button Auflösung der Rundachsen (P-CHAN-00078)

button Auflösung der Spindeln (P-CHAN-00083)


Maßeinheit für translatorische Achsen (P-CHAN-00054)

In diesem Element wird die Maßeinheit definiert, in der die Bewegungen aller translatorischen Achsen im NC-Programm programmiert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
mass_einh | UNS08 | 0/1 | ----

0 | Maßeinheit ist Millimeter
1 | Maßeinheit ist Inch

BEISPIEL: Nachfolgendes Beispiel definiert, daß alle translatorischen Achsen in der Maßeinheit "Millimeter" programmiert werden.

Auszug aus Kanalparameterliste:

# Masseinheit für translatorische Achsen

mass_einh 0


Maßeinheit für rotatorische Achsen (P-CHAN-00079)

In diesem Element wird die Maßeinheit definiert, in der die Bewegungen aller rotatorischen Achsen im NC-Programm programmiert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
rund_mass_einh | UNS08 | 0/1 | ----

0 | Maßeinheit ist Grad
1 | Maßeinheit ist Neugrad


Auflösung der Linearachsen (P-CHAN-00034)

Dieser Wert stellt den Umrechnungsfaktor zwischen den im NC-Programm programmierten Fahrwegen oder Positionen und der internen Darstellung für Positionswerte bei Linearachsen dar.

Nicht zu verwechseln mit der Auflösung der Meßwert-Geber [AXIS] !

Variablenname | Typ | erlaubter Bereich | Dimension
lin_aufloes | REAL64 | 0 < lin_aufloes < MAX(REAL64) | ----

Interne Darstellung in [0.1 µm] | Typischer Wert für Linearauflösung | Programmierter Wert im NC- Programm in [mm]
10 000 [0.1 µm] | 10 000 | 1 [mm]

BEISPIEL: Nachfolgendes Beispiel definiert, daß alle translatorischen Achsen in der Dimension "Millimeter" [MM] im NC-Programm angegeben werden.

Auszug aus Kanalparameterliste:

# Auflösung der Linearachsen

lin_aufloes 10000


Auflösung der Rundachsen (P-CHAN-00078)

Dieser Wert stellt den Umrechnungsfaktor zwischen den im NC-Programm programmierten Fahrwegen oder Positionen und der internen Darstellung für Positionswerte bei Rundachsen dar.

Nicht zu verwechseln mit der Auflösung der Meßwert-Geber [AXIS] !

Variablenname | Typ | erlaubter Bereich | Dimension
rund_aufloes | REAL64 | 0 < rund_aufloes < MAX(REAL64) | ----

interne Darstellung in [0.0001 °] | Typischer Wert für Rundachsenauflösung | programmierter Wert im NC-Programm in [°]
10 000 [0.0001 °] | 10 000 | 1 [°]

BEISPIEL: Nachfolgendes Beispiel definiert, daß alle rotatorischen Achsen in der Dimension "Grad" [] im NC-Programm angegeben werden.

Auszug aus Kanalparameterliste:

# Auflösung der Rundachsen

rund_aufloes 10000


Auflösung der Spindeln (P-CHAN-00083)

Dieser Wert stellt den Umrechnungsfaktor zwischen den im NC-Programm programmierten Positionen und der internen Darstellung für Positionswerte bei Spindeln (M19) dar.

Diese Auflösung wird bei geregelten und gesteuerten Spindeln verwendet. Sie wird nur bei Positionswerten (M19), nicht bei Drehzahlen verwendet.

Nicht zu verwechseln mit der Auflösung der Meßwert-Geber [AXIS] !

Variablenname | Typ | erlaubter Bereich | Dimension
spind_aufloes | REAL64 | 0 < spind_aufloes < MAX(REAL64) | ----

interne Darstellung in [0.0001 °] | Typischer Wert für Spindelauflösung | programmierter Wert im NC-Programm in [°]
10 000 [0.0001 °] | 10 000 | 1 [°]

BEISPIEL: Nachfolgendes Beispiel definiert, daß alle Spindeln in der Dimension "Grad" [°] im NC-Programm angegeben werden.

Auszug aus Kanalparameterliste:

# Auflösung der Spindeln

spind_aufloes 10000


Einstellungen für die Werkzeugverwaltung

Mehr:

button Kennung für t-mit-d Funktionalität (P-CHAN-00014)

button Kennung für externe Werkzeugverwaltung (P-CHAN-00016)

button Information der externen Werkzeugverwaltung (P-CHAN-00087)

button Sichern und Löschen von Werkzeugdaten (P-CHAN-00103)

button WZ-Standgrößen an ext. WZ-Verwaltung senden (P-CHAN-00076)

button Freigabe von Bewegungssätzen bei T-Anwahl (P-CHAN-00106)


Kennung für t-mit-d Funktionalität (P-CHAN-00014)

Für Werkzeugnummern T wird implizit bei der Programmierung des T-Befehls der D-Befehl mit derselben Nummer durchgeführt.

Variablenname | Typ | erlaubter Bereich | Dimension
einrechnen_mit_t | BOOLEAN | 0/1 | ----

BEISPIEL: Das Flag "einrechnen_mit_t" ist mit 1 belegt. Die Programmierung von "T80" entspricht dann dem Programmierbefehl "T80 D80".

Auszug aus Kanalparameterliste:

# T_mit_D-Behandlung

einrechnen_mit_t 1


Kennung für externe Werkzeugverwaltung (P-CHAN-00016)

Wenn im System eine externe Werkzeugverwaltung vorhanden ist, ist dieses Flag auf 1 zu setzen.

Variablenname | Typ | erlaubter Bereich | Dimension
ext_wzv_vorhanden | BOOLEAN | 0/1 | ----

BEISPIEL: Im System wird mit einer externen Werkzeugverwaltung gearbeitet. Das Flag "ext_wzv_vorhanden" wird deshalb mit 1 belegt.

Auszug aus Kanalparameterliste:

# Flag für externe Werkzeugverwaltung

ext_wzv_vorhanden 1


Information der externen Werkzeugverwaltung (P-CHAN-00087)

Die Programmierung des T-Befehls initiiert eine Meldung an die externe Werkzeugverwaltung zur Vorbereitung eines Werkzeugwechsels im Magazin. Dieses Flag wird nur dann ausgewertet, wenn eine externe Werkzeugverwaltung vorhanden ist. Die Belegung ist daher nur in diesem Fall sinnvoll (P-CHAN-00016).

Variablenname | Typ | erlaubter Bereich | Dimension
t_info_to_wzv | BOOLEAN | 0/1 | ----

BEISPIEL: Bei Programmierung einer T-Nummer soll die externe Werkzeugverwaltung einen Werkzeugwechsel vorbereiten.

Auszug aus Kanalparameterliste:

# Flag für externe Werkzeugverwaltung

ext_wzv_vorhanden 1

# Info an externe Werkzeugverwaltung

t_info_to_wzv 1


Sichern und Löschen von Werkzeugdaten (P-CHAN-00103)

Im NC-Programm können Werkzeugdaten des aktuellen Werkzeuges (z.B. Verschleißparameter) über Variablenzugriff (V.G.WZ_AKT...) modifiziert werden.

Zur Sicherung werden diese Daten jeweils mit der Anwahl eines neuen Werkzeuges an die externe Werkzeugverwaltung zurückgeschrieben. Wurde in einem vorhergehenden NC-Programm ein Werkzeug programmiert, so wird bei einem Programmneustart implizit ein D0 (Werkzeugabwahl) angefordert. Bei dieser Anforderung werden gleichzeitig die Daten des letzten genutzten Werkzeugs an die Werkzeugverwaltung zurückübertragen. Somit ist sichergestellt, das keine eventuell modifizierten Werkzeugdaten verloren gehen.

Dieses implizite Anfordern eines D0 beim Programmstart kann über den Parameter "d_clear_to_wzv" geschaltet werden. Das Flag wird nur dann ausgewertet, wenn eine externe Werkzeugverwaltung vorhanden ist. Die Belegung ist daher nur in diesem Fall sinnvoll (P-CHAN-00016).

Variablenname | Typ | erlaubter Bereich | Dimension
d_clear_to_wzv | BOOLEAN | 0/1 | ----

Bei Reset wird kein implizites D0 angefordert, d.h. die Daten des letzten genutzten Werkzeugs werden erst beim nächsten Programmstart gesichert.

Dieser Parameter wird nur in TwinCAT-Systemen verwendet.


WZ-Standgrößen an ext. WZ-Verwaltung senden (P-CHAN-00076)

Bei TwinCAT-Steuerungen werden bei aktivierter externer Werkzeugverwaltung standardmäßig nur die Werkzeugdaten von der externen Werkzeugverwaltung angefordert. Um die im NC-Kern ermittelten Standgrößen eines Werkzeugs zur Werkzeugverwaltung zu schicken, ist zusätzlich der Parameter "tool_life_to_wzv" zu setzen.

Variablenname | Typ | erlaubter Bereich | Dimension
tool_life_to_wzv | BOOLEAN | 0/1 | ----

Dieser Parameter wird nur in TwinCAT-Systemen verwendet.

BEISPIEL: Um die Werkzeugstandgrößen an die externe Werkzeugverwaltung zu schicken muß zusätzlich zu "ext_wzv_vorhanden" auch "tool_life_to_wzv" mit 1 belegt werden.

Auszug aus Kanalparameterliste:

# Flag für externe Werkzeugverwaltung

ext_wzv_vorhanden 1

# Flag zum Senden der Werkzeugstandzeiten

tool_life_to_wzv 1


Freigabe von Bewegungssätzen bei T-Anwahl (P-CHAN-00106)

Beim T-Wort kann es während der Kommunikation mit einer externen Werkzeugverwaltung aus Synchronisationsgründen zu Wartezeiten bei der Abbarbeitung kommen. Dies führt aufgrund der Bufferwirkung des NC-Kanals dazu, dass eine bestimmte Anzahl bewegungsrelevanter NC-Sätze, die vor dem T-Wort programmiert sind, zurückgehalten werden. Durch Setzen des Flags "t_with_implicit_flush" wird erzwungen, dass alle Bewegungssätze bis zum T-Wort ausgeführt werden. Es handelt sich hierbei um ein durch das T-Wort implizit ausgelöstes "#FLUSH CONTINUE" (vgl. [PRG]).

Das Flag wird nur dann ausgewertet, wenn eine externe Werkzeugverwaltung vorhanden ist. Die Belegung ist daher nur in diesem Fall sinnvoll (P-CHAN-00016).

Variablenname | Typ | erlaubter Bereich | Dimension
t_with_implicit_flush | BOOLEAN | 0/1 | ----


Einstellungen für das Kantenstoßen

Das Kantenstoßen ist in [PROG] ausführlicher beschrieben.

Mehr:

button Restweg (P-CHAN-00030)

button Satzübergreifendes Kantenstoßen (P-CHAN-00029)

button Restsatz verwerfen (P-CHAN-00149)

button Haltend aktive Messinitialisierung (P-CHAN-00153)


Restweg (P-CHAN-00030)

Der Restweg ist der noch zu verfahrende Weg nach dem Eintreffen des Meßsignals beim Kantenstoßen. Die Maßeinheiten entsprechen den Einstellungen für die Einheiten und Auflösungen.

Bei gekrümmten Konturen ist zu berücksichtigen, dass die Angabe des Restweges auf Basis der Mittelpunktsbahn des Werkzeuges erfolgen muss!

Variablenname | Typ | erlaubter Bereich | Dimension
kasto_residual_path | SGN32 | 0 < kasto_residual_path < MAX(SGN32) | ----

BEISPIEL: Nach dem Eintreffen des Meßsignals wird noch um 100 Einheiten weitergefahren.

Auszug aus Kanalparameterliste:

# Restweg für das Kantenstoßen

kasto_residual_path 100


Satzübergreifendes Kantenstoßen (P-CHAN-00029)

Soll an Konturen, die über kurze NC-Sätze beschrieben sind, mit Kantenstoß gefahren werden, so ergibt sich das Problem, den Stoß genau auf einem Konturelement zu treffen. Wird das Datum auf 1 gesetzt, so kann der Kantenstoß auch mehrere Sätze nach dem Start der Meßfahrt durchgeführt werden [PROG].

Variablenname | Typ | erlaubter Bereich | Dimension
kasto_multi_block | BOOLEAN | 0/1 | ----

BEISPIEL: Das satzübergreifende Kantenstoßen ist freigeschaltet.

Auszug aus Kanalparameterliste:

# Flag für satzübergreifendes Kantenstoßen

kasto_multi_block 1


Restsatz verwerfen (P-CHAN-00149)

Es wird nach Ausgabe und Quittierung der kantenstoßspezifischen M-Funktion nicht bis zum Zielpunkt des ursprünglichen Meßsatzes weitergefahren. Nach automatischer Positionsanforderung wird die Bearbeitung mit dem nächsten NC-Satz fortgesetzt.

Variablenname | Typ | erlaubter Bereich | Dimension
kasto_reject_rest_block | BOOLEAN | 0/1 | ----

0 | Nach Ausgabe der M-Funktion wird bis zum Zielpunkt des Meßsatzes gefahren (Default).
1 | Nach Ausgabe der M-Funktion wird der Restmeßsatz verworfen.

Die Verwendung dieses Parameters ist nur sinnvoll, wenn P-CHAN-00029
(kasto_multi_block) mit FALSE belegt ist.

BEISPIEL: Verwerfen des Restsatzes mit anschließender Positionsanforderung ist freigeschaltet.

Auszug aus Kanalparameterliste:

# Restsatz verwerfen

kasto_reject_rest_block 1


Haltend aktive Messinitialisierung (P-CHAN-00153)

Für einen Messvorgang ist die Programmierung von G108 mit nachfolgender MNE_SNS- M-Funktion erforderlich. Mit diesem Parameter kann der schnelle Messablauf in Verbindung mit SERCOS-Antrieben aktiviert werden.

In einer Fertigungsschleife werden dann die Messzyklen jeweils mit der programmierten MNE_SNS- M-Funktion gestartet.

Variablenname | Typ | erlaubter Bereich | Dimension
kasto_remain_active | BOOLEAN | 0/1 | ----

0 | Für jeden Messzyklus muß G108 mit einer nachfolgender MNE_SNS M-Funktion programmiert werden (Default). Programmierbeispiel: M33 ist vom Synchronisationstyp MNE_SNS N10 $WHILE V.E.WAIT != 1 N10 G108 N20 G01 G90 X50 N30 G01 G90 X100 F2000 M33 N40 X0 Y20 N50 $ENDWHILE M30
1 | Für mehrere Messzyklen muß G108 nur einmalig programmiert werden. Die Aktivierung des Messvorgangs in der CNC erfolgt über die MNE_SNS M- Funktion. Programmierbeispiel: M33 ist vom Synchronisationstyp MNE_SNS N05 G108 N10 $WHILE V.E.WAIT != 1 N20 G01 G90 X50 N30 G01 G90 X100 F2000 M33 N40 X0 Y20 N50 $ENDWHILE N60 G107 M30

Die Verwendung dieses Parameters ist nur sinnvoll, wenn P-CHAN-00029
(kasto_multi_block) mit FALSE belegt ist.

BEISPIEL: Schnelles Messen bei Messzyklen mit G108 ist aktiviert.

Auszug aus Kanalparameterliste:

# Haltend aktive Messinitialisierung im Antrieb

kasto_remain_active 1


Einstellungen für das Messen

Mehr:

button Meßtyp (P-CHAN-00057)

button Fehlerreaktion bei Messtyp 1 (P-CHAN-00176)


Meßtyp (P-CHAN-00057)

TwinCAT CNC: Überblick

Meßtyp ( P-CHAN-00057)

Es stehen 7 verschiedene Meßtypen zur Verfügung. Mit diesem Element kann der gewünschte Meßtyp eingestellt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
messtyp | UNS16 | 1, 2, 3, 4, 5, 6, 7 | ----

Wert | Bedeutung
1 | Meßfahrt mit mindestens einer Achse, Meßvorschub über F-Wort programmierbar.
2 | Meßfahrt mit genau einer Achse. Meßvorschub wird in der ACHS_MDS-Liste angegeben.
3 | Meßfahrt mit mindestens einer Achse, Meßvorschub über F-Wort programmierbar, wahlweise Weiterfahrt bis zum Zielpunkt.
4 | Meßfahrt nur mit den maximal 3 Hauptachsen, Meßvorschub über F-Wort programmierbar.
5 | Unterbrechbare Meßfahrt mit mindestens einer Achse, Meßvorschub über F-Wort programmierbar.
6 | Unterbrechbare Meßfahrt mit mindestens einer SERCOS-Achse, Meßvorschub über F-Wort programmierbar.
7 | Meßfahrt (G100) durch Fahren auf Festanschlag mit mindestens einer Achse, Meßvorschub über F-Wort programmierbar

Weitere Informationen sind in [PROG] ausführlicher beschrieben.

BEISPIEL: Auswahl des Meßtyps 3 für eine Meßfahrt mit zwei Achsen und anschließender Weiterfahrt bis zum programmierten Zielpunkt.

Auszug aus Kanalparameterliste:

# Einstellung des Meßtyps

messtyp 3


Fehlerreaktion bei Messtyp 1 (P-CHAN-00176)

Mit diesem Parameter kann bei Messtyp 1 die Fehlerreaktion bei fehlendem Meßsignal im Messsatz beeinflusst werden.

Variablenname | Typ | erlaubter Bereich | Dimension
meas_error_no_signal | BOOLEAN | 0/1 | ----

0 | Keine Ausgabe einer Fehlermeldung, wenn kein Meßsignal eingetroffen ist (Default).
1 | Ausgabe einer Fehlermeldung, wenn kein Meßsignal eingetroffen ist.

Auszug aus Kanalparameterliste:

# Einstellung der Fehlerreaktion bei Meßtyp 1

meas_error_no_signal 1


Programmübergreifende Wirksamkeit der P-Param. (P-CHAN-00067)

TwinCAT CNC: Überblick

Programmübergreifende Wirksamkeit der P-Param. ( P-CHAN-00067)

Wird das Element "p_param_haltend" auf 1 gesetzt, so sind die P-Parameter programmübergreifend wirksam, d. h. sie werden beim Programmstart nicht gelöscht.

Variablenname | Typ | erlaubter Bereich | Dimension
p_param_haltend | BOOLEAN | 0/1 | ----

BEISPIEL: Alle P-Parameter sollen programmübergreifend wirksam sein. Das Element "p_param_haltend" wird deshalb mit 1 belegt.

Auszug aus Kanalparameterliste:

# Kennung für programmübergreifende Wirksamkeit der P-Parameter

p_param_haltend 1


Einzelschrittbetrieb (P-CHAN-00015)

TwinCAT CNC: Überblick

Einzelschrittbetrieb ( P-CHAN-00015)

Ist "einzelschrittmodus" auf -1 gesetzt, so wird nach Aktivierung des Einzelschrittbetriebs per Bedienung nur nach NC-Sätzen mit Achsbewegungen angehalten.

Ist "einzelschrittmodus" auf 0 gesetzt, so wird nach Aktivierung des Einzelschrittbetriebs per Bedienung nach NC-Sätzen mit Achsbewegungen und anderen NC-Sätzen mit relevanten Steuerinformationen angehalten.

Bei "einzelschrittmodus" auf 1 wird nach Aktivierung des Einzelschrittbetriebs per Bedienung nach dem Ende jeden NC-Satzes angehalten. Nur Kommentarzeilen werden übersprungen.

Werden durch bestimmte NC-Funktionalitäten (WRK, SPLINE, Polynomüberschleifen etc.) Bewegungssätze eingefügt und Satzgrenzen verändert, so bestimmen diese neuen Satzgrenzen auch das Anhalten im Einzelschrittbetrieb.

Variablenname | Typ | erlaubter Bereich | Dimension
einzelschrittmodus | SGN16 | -1, 0, 1 | ----

-1 | Einzelschrittbetrieb nur für NC-Bewegunssätze
0 | Einzelschrittbetrieb für NC-Bewegunssätze und relevante Steuersätze (Default).
1 | Einzelschrittbetrieb für alle NC-Sätze


Einstellung für die Durchmesserprogrammierung (P-CHAN-00091)

TwinCAT CNC: Überblick

Einstellung für die Durchmesserprogrammierung ( P-CHAN-00091)

Werden die Nullpunkt- und Bezugspunktverschiebungen für die Plandrehachse in Durchmesserkoordinaten angegeben, so muß dieses Element auf 1 eingestellt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
versch_im_durchm | BOOLEAN | 0/1 | ----

Die Durchmesserprogrammierung ist in [PROG] ausführlicher beschrieben.

BEISPIEL: Die Nullpunkt- und Bezugspunktverschiebung für die Plandrehachse ist in Durchmesserkoordinaten angegeben und so ergibt sich jeweils nur der halbe Fahrweg.

Auszug aus Kanalparameterliste:

# NPV und BPV der Plandrehachse in Durchmesserkoordinaten

versch_im_durchm 1


Einstellungen für Kreismittelpunktskorrektur und Radiusausgleich

Ein Kreis, der im NC-Programm durch Startpunkt, Endpunkt und Mittelpunkt festgelegt wird, ist geometrisch überbestimmt. Bei ungenau programmierten Kreiskoordinaten sind der Kreisstartpunkt- und Kreisendpunktradius unterschiedlich. Dieses Problem wird durch die Korrektur der Kreismittelpunktkoordinaten und des Kreisradius gelöst. Der Algorithmus der Kreismittelpunktskorrektur ist in [PROG] näher beschrieben. Der Korrekturalgorithmus liefert für alle, auch für geometrisch unsinnig programmierte Kreiskoordinaten ein brauchbares Ergebnis. Entsprechend groß werden in manchen Fällen die Abweichungen zwischen programmierten und korrigierten Mittelpunktskoordinaten. Deshalb werden die berechneten neuen Mittelpunktskoordinaten einer Plausibilitätsprüfung unterzogen.

Es wird überprüft, ob die Mittelpunktsverschiebung Δm größer ist, als die als absolute Größe in den Kanalparametern festgelegte maximale Mittelpunktsverschiebung "mittelpkt_diff"

Δm > sda_mds.mittelpkt_diff ?

und, ob die Mittelpunktsverschiebung Δm größer ist, als das Produkt von "mittelpkt_faktor/1000" und des korrigierten Radius "radius"

Δm > sda_mds.mittelpkt_faktor/1000 * radius ?

Ist dies der Fall, erfolgt eine Fehlermeldung. Andernfalls werden die korrigierten Mittelpunktskoordinaten übernommen. Dabei ist "mittelpkt_diff" als absolute Größe festzulegen, "mittelpkt_faktor" als Faktor (Einheit 0,1 %).

Die programmierten Mittelpunktskoordinaten müssen also in einem Umkreis um den korrigierten Kreismittelpunkt liegen. Der Radius des Umkreises entspricht der zulässigen Mittelpunktsverschiebung Δm, die durch die beiden Parameter "mittelpkt_diff" und "mittelpkt_faktor eingestellt werden kann (Abbildung 2-2).

Abbildung 2-2: Gebiet der zulässig programmierten Mittelpunkte

Mehr:

button Zulässige absolute Mittelpunktverschiebung (P-CHAN-00059)

button Zulässige relative Mittelpunktsverschiebung (P-CHAN-00060)

button Maximal zulässige absolute Radiendifferenz (P-CHAN-00171)

button Maximal zulässige prozentuale Radiendifferenz (P-CHAN-00172)


Zulässige absolute Mittelpunktverschiebung (P-CHAN-00059)

Über den Parameter "mittelpkt_diff" kann die absolute Grenze für die Genauigkeit der Mittelpunktprogrammierung definiert werden. Die zulässige absolute Mittelpunktverschiebung "mittelpkt_diff" muß in der Dimension "0,1 µm" festgelegt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
mittelpkt_diff | REAL64 | 0 < mittelpkt_diff < MAX(REAL64) | 0,1µm

BEISPIEL: Die zulässige absolute Mittelpunktverschiebung soll 0,1 mm sein. Die Variable "mittelpkt_diff" wird in diesem Fall mit "1000" belegt.

Auszug aus Kanalparameterliste:

# Zulässige absolute Mittelpunktverschiebung 0.1 mm

mittelpkt_diff 1000


Zulässige relative Mittelpunktsverschiebung (P-CHAN-00060)

Über den Parameter "mittelpkt_faktor" kann die zulässige relative Mittelpunktverschiebung festgelegt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
mittelpkt_faktor | UNS16 | 0 < mittelpkt_faktor < MAX(UNS16) | 0.1%

BEISPIEL: Die Mittelpunktverschiebung darf 0,5 % des korrigierten Kreisradius betragen. Der Parameter "mittelpkt_faktor" ist in diesem Fall mit "5" zu belegen.

Auszug aus Kanalparameterliste:

# Zulässige relative Mittelpunktsverschiebung in 0.1 %

mittelpkt_faktor 5


Maximal zulässige absolute Radiendifferenz (P-CHAN-00171)

Über den Parameter "max_radius_diff_circle" wird die zulässige absolute Radiendifferenz der Kreisradien zwischen Startpunkt und Zielpunkt festgelegt. Befindet sich die Radiendifferenz eines programmierten Kreises unterhalb des durch P-CHAN-00171 festgelegten Grenzwertes, so wird der Kreisradius ausgehend vom Startradius linear in den Zielradius überführt; - andernfalls wird eine Fehlermeldung ausgegeben. Ist der Parameter nicht oder mit dem Wert 0 belegt, so ist die Funktion inaktiv.

P-CHAN-00171 ist nur bei inaktiver Kreismittelpunktskorrektur (G164) wirksam.

Variablenname | Typ | erlaubter Bereich | Dimension
max_radius_diff_circle | UNS32 | 0 < max_radius_diff_circle < 10000 | 0.1 µm

BEISPIEL: Der Kreisradiusfehler darf 0.01mm betragen. Der Parameter ist mit dem Wert 100 zu belegen.

Auszug aus Kanalparameterliste:

# Zulässige absolute Radiendifferenz in 0.1 µm

max_radius_diff_circle 100


Maximal zulässige prozentuale Radiendifferenz (P-CHAN-00172)

Über den Parameter "max_proz_radius_diff_circle" wird die zulässige relative Radiendifferenz bezogen auf den Kreisradius in Promille angegeben. Befindet sich die relative Radiendifferenz eines programmierten Kreises unterhalb des durch P-CHAN-00172 festgelegten Grenzwertes, so wird der Kreisradius ausgehend vom Startradius linear in den Zielradius überführt, andernfalls wird eine Fehlermeldung ausgegeben. Für den effektiv wirksamen Kreisradiusdifferenzfehler ist P-CHAN-00171 zu berücksichtigen.

P-CHAN-00172 ist nur in Verbindung mit G164 und dem Kanalparameter P-CHAN-00171 wirksam.

Variablenname | Typ | erlaubter Bereich | Dimension
max_proz_radius_diff_circle | UNS32 | 0 < max_proz_radius_diff_circle < 1000 | 0.1 %

BEISPIEL: Der prozentuale Kreisradiusfehler darf 1% betragen. Der Parameter ist mit dem Wert 10 zu belegen.

Kreisradius 100mm -> zulässige relative Kreisradiendifferenz 1mm.

Auszug aus Kanalparameterliste:

# Zulässige prozentuale Radiendifferenz in 0.1 %

max_proz_radius_diff_circle 10


Einstellungen für den RESET

Mehr:

button Achsabgabe nach Reset (P-CHAN-00075)

button Abgabe kanalfremder Achsen nach Reset (P-CHAN-00115)


Achsabgabe nach Reset (P-CHAN-00075)

Über den Parameter "reset_no_axis_to_axv" kann festgelegt werden, ob bei einem Reset alle Achsen des Kanals an die Achsverwaltung zurückgegeben werden.

Variablenname | Typ | erlaubter Bereich | Dimension
reset_no_axis_to_axv | BOOLEAN | 0/1 | ----

0 | Alle Achsen werden bei Reset an Achsverwaltung zurückgegeben (Default).
1 | Achsen bleiben bei Reset im Kanal.


Abgabe kanalfremder Achsen nach Reset (P-CHAN-00115)

Über den Parameter "release_non_channel_axis" kann festgelegt werden, ob bei einem Reset alle Bahnachsen, die nicht zur Grundkonfiguration des Kanals gehören, an die Achsverwaltung zurückgegeben werden. Dies betrifft nicht die s.g. SAI-Achsen, die bei Reset immer an die Achsverwaltung zurückgegeben werden!

Die Verwendung dieses Parameters ist nur sinnvoll, wenn P-CHAN-00075
(reset_no_axis_to_axv) mit TRUE belegt ist.

Variablenname | Typ | erlaubter Bereich | Dimension
release_non_channel_axis | BOOLEAN | 0/1 | ----

0 | Kanalfremde Achsen bleiben bei Reset im Kanal (Default).
1 | Kanalfremde Achsen werden bei Reset an Achsverwaltung zurückgegeben.


Maximaler Kanaloverride (P-CHAN-00056)

Über den Parameter "max_vb_override" kann der maximale Override im Kanal begrenzt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
max_vb_override | UNS32 | 0 < max_vb_override < MAX_VB_OVERRIDE | 0.1%

Wert MAX_VB_OVERRIDE | Bedeutung
applikationsabhängig | Maximalwert des Kanaloverrides

BEISPIEL: Der maximale Kanaloverride soll auf 150 % begrenzt werden.

Auszug aus Kanalparameterliste:

max_vb_override 1500


Abtastung des Override (P-CHAN-00065)

Zur Vermeidung von Maschinenanregungen wird der Overridewert nur bei einer ersten Änderung auch im gleichen Zyklus zur Berechnung einer neuen Geschwindigkeit übernommen.

Danach wird der nächste Wert erst nach Ablauf der in "override_delay" angegebenen Zeit übernommen. Dadurch kann vermieden werden, dass die Maschine durch eine Overrideänderung angeregt wird.

Variablenname | Typ | erlaubter Bereich | Dimension
override_delay | UNS32 | 10 * Zykluszeit < override_delay < 100 s | µs

BEISPIEL: Die Verzögerung der Abtastung des Override wird auf 50 ms festgelegt.

Auszug aus Kanalparameterliste:

override_delay 50000


Wirkungsweise des Override

Mehr:

button Einfluß auf Vorschub (P-CHAN-00066)

button Einfluß auf Beschleunigung (P-CHAN-00170)

button Eilgangoverride (P-CHAN-00181)

button Zeitoverride (P-CHAN-00111)


Einfluß auf Vorschub (P-CHAN-00066)

Über diesen Eintrag kann festgelegt werden, ob sich die Bandbreite des Override auf den programmierten Vorschub bezieht oder auf das Minimum des programmierten Vorschubs/maximaler im Satz zulässigen Vorschubs.

Wird das Element auf 1 gesetzt, bezieht sich der Override immer auf den programmierten Wert. Ist der maximale Vorschub im Satz kleiner als der programmierte Vorschub multipliziert mit dem aktuellen Override, ändert sich bei einer Overrideänderung der aktuelle Bahnvorschub nicht.

Wird das Element auf 0 gesetzt, bewirkt eine Overrideänderung immer auch eine Geschwindigkeitsänderung der Maschine (linearer Zusammenhang).

Sind aufgrund der Technologie Geschwindigkeitseinbrüche nicht erwünscht, so muss der Eintrag auf 1 gesetzt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
override_weight_prog_feed | BOOLEAN | 0/1 | ----

0 | Overrideänderung bewirkt Geschwindigkeitsänderung
1 | Overrideänderung bewirkt nur Geschwindigkeitsänderung, wenn programmierter Vorschub * Override < maximal im Satz zulässige Geschwindigkeit


Einfluß auf Beschleunigung (P-CHAN-00170)

Über diesen Eintrag kann festgelegt werden, dass der Vorschuboverride auch die Bahnbeschleunigung beeinflusst.

Wird das Element auf 1 gesetzt, so wird die Bahnbeschleunigung bis zu einem Minimalwert von 10% des Overridewertes beeinflusst d. h. die Bahndynamik nimmt mit kleiner werdendem Overridewert ab (Bewegungen werden weicher). Die Beeinflussung wirkt bei Vorschub und Eilgangsätzen. Wenn erforderlich wird die Beschleunigung bei Overrideänderung in dynamischen Bewegungsphasen zu grösseren Werten hin begrenzt. Bei nichtlinearen Profilen und kleinen Rampenzeiten ist die Begrenzung durch das Verhältnis von Zykluszeit zu Rampenzeit zu berücksichtigen! Bei aktiver Eilgangoverrideschnittstelle gemäß P-CHAN-00181 ist die Funktion inaktiv!

Die aktive Beschleunigung bei Feedhold wird nicht verändert !

Wird das Element auf 0 gesetzt, so hat der Wert des Vorschuboverrides keinen Einfluß auf die Bahnbeschleunigung.

Variablenname | Typ | erlaubter Bereich | Dimension
override_weight_acc | BOOLEAN | 0/1 | ----

0 | Overrideänderung bewirkt keine Änderung der Bahnbeschleunigung
1 | Overrideänderung bewirkt neben der Änderung des Bahnvorschubs auch eine Änderung der Bahnbeschleunigung.

Abbildung 2-3: Vorschubprofil bei override_weight_acc = 1 und Overrideänderung

Bei gesetztem Parameter ist die direkte Gewichtung der Bahnbeschleunigung über die PLC- Beschleunigungsoverrideschnittstelle unwirksam!


Eilgangoverride (P-CHAN-00181)

Über diesen Eintrag kann festgelegt werden, ob die Overrideschnittstelle für die Beeinflussung von Eilgangsätzen aktiv ist und wie der Eilgangoverride wirkt. Die Aktivierung der Schnittstelle deaktiviert die Beschleunigungsbeeinflussung gemäß P-CHAN-00170.

Variablenname | Typ | erlaubter Bereich | Dimension
g00_override_mode | String | NOT_USED, MINIMUM_OF_G0_G1, ACTIVE | ----
 | UNS16 | 0/1/2 (alternativ zu String) | ----

NOT_USED | 0 | Der Eilgangoverride ist inaktiv. Der Vorschuboverride wirkt auf Vorschub- und Eilgangsätze.
MINIMUM_OF_G0_G1 | 1 | Der Eilgangoverride ist aktiv. Bei Vorschubsätzen wirkt der Vorschuboverride, bei Eilgangsätzen wirkt das Minimum von Vorschub- und Eilgangoverride.
ACTIVE | 2 | Der Eilgangoverride ist aktiv. Bei Vorschubsätzen wirkt der Vorschuboverride, bei Eilgangsätzen wirkt nur der Eilgangoverride.

Im Modus ACTIVE ist zu beachten, dass G0-Bewegungen ausschließlich durch den Eilgangoverride beeinflußt werden können!


Zeitoverride (P-CHAN-00111)

Über dieses Element kann festgelegt werden, ob die Funktion Verweilzeit über die Echzeitfunktion Zeitoverride beeinflußt wird.

Variablenname | Typ | erlaubter Bereich | Dimension
time_override_weight_dwell_time | BOOLEAN | 0/1 | ----

0 | Keine Gewichtung der programmierten Verweilzeit über Zeitoverride
1 | Entsprechend dem von der PLC vorgegebenen Zeitoverridewert verändert sich auch die Dauer einer programmierten Verweilzeit. D. h. bei z. B. 50% Zeitoverride erhöht sich eine programmierte Verweilzeit von 1s um Faktor 2 auf 2s.


Wirkungsweise des PLC Vorschub (P-CHAN-00102)

Dieser Parameter bestimmt, ob der durch die PLC kommandierte Vorschub nur bei Vorschubsätzen oder auch bei Eilgangsätzen wirkt.

Variablenname | Typ | erlaubter Bereich | Dimension
plc_command_rapid_feed | BOOLEAN | 0/1 | ----

0 | PLC kommandierter Vorschub wirkt nur auf Vorschubsätze (G01, G02 ;G03)
1 | PLC kommandierter Vorschub wirkt auch auf Eilgangsätze (G00)


Einstellung der Bahndynamikgrenzwerte (vector.*)

Die maximal zulässige Geschwindigkeit, Beschleunigung und Verzögerung auf der Bahn ergibt sich in Abbhängigkeit von den dynamischen Kenngrößen in der achsspezifischen Parameterliste und der programmierten Kontur. Mit den folgenden Parametern wird die Defaultbegrenzung der Bahngeschwindigkeit und Beschleunigung/Verzögerung initialisiert. Die Aktivierung/Deaktivierung und Änderung der Grenzwerte erfolgt über einen NC Befehl (siehe auch [PROG - Befehl #VECTOR LIMIT..]).

Mehr:

button Grenzwert für Bahnbeschleunigung (P-CHAN-00002)

button Grenzwert für Bahnverzögerung (P-CHAN-00208)

button Grenzwert für Bahngeschwindigkeit (P-CHAN-00090)


Grenzwert für Bahnbeschleunigung (P-CHAN-00002)

Sofern keine Änderung der Parameterwerte durch NC Programmierung erfolgt ist, wird nach Aktivierung im NC Programm die Bahnbeschleunigung durch diesen Wert begrenzt.

Variablenname | Typ | erlaubter Bereich | Dimension
acceleration | REAL64 | 0 .SLOPE_BESCHL_MAX | mm/min2


Grenzwert für Bahnverzögerung (P-CHAN-00208)

Sofern keine Änderung der Parameterwerte durch NC Programmierung erfolgt ist, wird nach Aktivierung im NC Programm die Bahnverzögerung durch diesen Wert begrenzt.

Variablenname | Typ | erlaubter Bereich | Dimension
deceleration | REAL64 | 0 .SLOPE_BESCHL_MAX | mm/min2


Grenzwert für Bahngeschwindigkeit (P-CHAN-00090)

Sofern keine Änderung der Parameterwerte durch NC Programmierung erfolgt ist, wird nach Aktivierung im NC Programm die Bahngeschwindigkeit durch diesen Wert begrenzt.

Variablenname | Typ | erlaubter Bereich | Dimension
velocity | REAL64 | 0 ..SLOPE_VB_MAX | mm/min

Auszug aus Kanalparameterliste:

vector.velocity 1500

vector.acceleration 1800000

vector.deceleration 2000000


Konfiguration Effektorkoordinatensystem

Bei der Bestimmung des Effektorkoordinatensystems (ECS) wird als erstes die Z-(Effektor)Achse aus der Orientierung des Werkzeugs ermittelt. Die Lage der X- und Y- Effektor)Achsen basiert auf den nachfolgenden Parametereinstellungen. Dabei ist zu beachten, dass das ECS-System so bestimmt wird, dass die Z-Komponente des Richtungsvektors der sich ergebenden dritten Achse immer in positiver Z-Richtung des kartesischen Maschinenkoordinatensystems zeigt.

Mehr:

button Auswahl der zweiten Achse des ECS (P-CHAN-00031)

button Auswahl der Ebene (P-CHAN-00050)


Auswahl der zweiten Achse des ECS (P-CHAN-00031)

Über den Parameter "kind_of_2nd_ecs_ax" wird festgelegt, ob die zweite zu bestimmende Achse die X- oder Y-Achse des ECS sein soll.

Variablenname | Typ | erlaubter Bereich | Dimension
kind_of_2nd_ecs_ax | String | X, x, Y oder y | ----


Auswahl der Ebene (P-CHAN-00050)

Mit dem Parameter "mach_plane_of_2nd_ecs_ax" wird die Ebene im Maschinenkoordinatensystem ausgewählt, in dem diese zweite ECS Achse liegen soll.

Variablenname | Typ | erlaubter Bereich | Dimension
mach_plane_of_2nd_ecs_ax | String | XY, xy, ZX, zx, YZ, yz | ----

Die Richtung der zweiten und dritten Achse wird so berechnet, daß sich ein Rechtssystem ergibt, wobei die dritte Achse immer auf der gleichen Seite der Ebene wie die Z-(Effektor)Achse liegt.

Nachfolgend sind 2 Beispiele für die Belegung von P-CHAN-00031 und P-CHAN-00050 dargestellt.

Beispiele:

kind_of_2nd_ecs_ax | X
mach_plane_of_2nd_ecs_ax | XY

kind_of_2nd_ecs_ax | Y
mach_plane_of_2nd_ecs_ax | YZ


Nachführen einer rotatorischen Achse

Bei Bearbeitungsvorgängen, die das Nachführen des benutzten Werkzeugs mit einer konstanten Ausrichtung entlang der Bahnkontur erfordern, sind die nachfolgenden Parameter zu belegen.

Mehr:

button Festlegen der Nachführachse (P-CHAN-00095)

button Automatisches Ausrichten einer Nachführachse (P-CHAN-00101)

button Anwahl Nachführbetrieb ohne Anhalten (P-CHAN-00109)

button Unterdrückung eines rotatorischen CS-Offsets (P-CHAN-00144)

button Nachführachse im Werkstück (P-CHAN-00185)


Festlegen der Nachführachse (P-CHAN-00095)

Der Parameter "log_number_tracking_axis" bestimmt die Achse, die nach Anwahl der Achsnachführung (s.g. C-Achsnachführung) im NC-Programm zur gefahrenen Bahn ausgerichtet wird.

Variablenname | Typ | erlaubter Bereich | Dimension
log_number_tracking_axis | UNS16 | 1 ... MAX(UNS16) | ----

BEISPIEL: Die Achse mit der logischen Achsnummer 5 soll im Nachführbetrieb automatisch tangential an der Bahnkontur ausgerichtet werden.

Auszug aus Kanalparameterliste:

log_number_tracking_axis 5


Automatisches Ausrichten einer Nachführachse (P-CHAN-00101)

Bei der Verwendung der Achsnachführung (siehe P-CHAN-00095) kann durch den Parameter "auto_align_tracking_axis" die Nachführachse automatisch tangential zum ersten Konturelement ausgerichtet werden. Bei Moduloachsen erfolgt die Ausrichtbewegung auf dem kürzestmöglichen Weg. Während der Ausrichtbewegung wird immer auf der Bahnkontur angehalten.

Variablenname | Typ | erlaubter Bereich | Dimension
auto_align_tracking_axis | BOOLEAN | 0/1 | ----

0 | Der Offset der Ausrichtung der Nachführachse zum ersten Konturelement zum Zeitpunkt der Anwahl bleibt während der Nachführung erhalten! Um eine tangentiale Ausrichtung der Nachführachse zum ersten Konturelement zu erreichen, muss diese Ausrichtbewegung programmiert sein.
1 | Nachführachse wird bei Anwahl automatisch tangential zum ersten Konturelement ausgerichtet. Es muss keine Ausrichtbewegung programmiert sein.


Anwahl Nachführbetrieb ohne Anhalten (P-CHAN-00109)

Besitzt die Nachführachse (siehe P-CHAN-00095) bei Anwahl des Nachführbetriebes bereits die erforderliche Orientierung zum ersten Konturelement, so wird bei gesetztem Parameter "fast_tracking_transition" ohne Anhalten in den Folgesatz übergeschliffen.

Variablenname | Typ | erlaubter Bereich | Dimension
fast_tracking_transition | BOOLEAN | 0/1 | ----

0 | Bei Anwahl des Nachführbetriebes wird angehalten und wenn erforderlich die Ausrichtbewegung durchgeführt.
1 | Bei korrekter Orientierung der Nachführachse wird ohne Anhalten in den Folgesatz übergeschliffen.


Unterdrückung eines rotatorischen CS-Offsets (P-CHAN-00144)

Bei aktivem Koordinatensystem (#CS ON[]) wird eine Rotation um die Z-Achse als Offset für die nachzuführende Achse beim automatischen Ausrichten und Nachführen berücksichtigt. Ist dies unerwünscht, so kann die Einrechnung des rotatorischen Koordinatensystemoffsets über "suppress_cs_tracking_offset" unterdrückt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
suppress_cs_tracking_offset | BOOLEAN | 0/1 | ----

0 | Rotatorischer Koordinatensystemoffset ist aktiv.
1 | Rotatorischer Koordinatensystemoffset ist inaktiv.


Nachführachse im Werkstück (P-CHAN-00185)

Die Nachführachse liegt in der Grundeinstellung im Werkzeug, d. h. die Nachführachse dreht das Werkzeug. Bei einer Maschinenstruktur, bei der in Verbindung mit einer kinematischen Transformation das Werkstück über eine C-Achse gedreht wird, kann über diesen Parameter die Nachführachse angepaßt werden. Die Werkzeugachse muß dabei senkrecht zur XY Bearbeitungsebene stehen.

Variablenname | Typ | erlaubter Bereich | Dimension
tracking_axis_rot_wc | BOOLEAN | 0/1 | ----

0 | Die Nachführachse ist eine Achse im Werkzeug (Default).
1 | Die Nachführachse ist eine Achse im Werkstück.


Schalten der Defaultvorschubachse (P-CHAN-00096)

Mit "feed_to_weakest_axis" wird festgelegt, welche Defaulteinstellung bzgl. Vorschubachsen gültig ist.

Wird der Parameter mit 0 belegt, so gelten nach dem Hochlauf der Steuerung die Defaultvorschubachsen in den achsspezifischen Einstellungen (gruppe [i].*).

Wird der Parameter mit 1 belegt, so wird automatisch die Achse mit der längsten Fahrzeit (schwächste Achse) mit dem programmierten Vorschub (F-Wort) bewegt. Alle anderen Achsen werden dann als Mitschleppachsen behandelt.

Variablenname | Typ | erlaubter Bereich | Dimension
feed_to_weakest_axis | BOOLEAN | 0/1 | ----

0 | Defaultvorschubachsen der achsspezifischen Einstellung sind gültig.
1 | Schwächste Achse ist Defaultvorschubachse.


Gültige Bremsrampe bei FEEDHOLD (P-CHAN-00097)

Dieser Parameter bestimmt die verwendete Bremsrampe bei aktivem FEEDHOLD.

Variablenname | Typ | erlaubter Bereich | Dimension
use_drive_curr_limit | BOOLEAN | 0/1 | ----

0 | Bei FEEDHOLD wird mit dem aktuell gültigen Verzögerungswert gebremst.
1 | Bei FEEDHOLD wird mit der in P-AXIS-00024 parametrierten Verzögerung gebremst.


Umschalten der Bedeutung von M-Funktionen (P-CHAN-00098)

Gemäß DIN66025 haben bestimmte M-Funktionen abhängig vom Bearbeitungsverfahren und der Maschinengattung unterschiedliche Bedeutung.

Bei Maschinen zur spanenden Bearbeitung (z.B. Fräsen/Drehen/Bohren) sind M3/M4/M5/M19 den Spindelfunktionen (Drehrichtung, Stoppen, Positionieren) fest zugeordnet.

Bei Bearbeitungsverfahren wie z.B. Plasma-/Laserstrahlschneiden oder Drahterodieren werden die genannten M-Funktionen zur Steuerung anderer Technologiefunktionen verwendet. Um eine freie Zuordnung zu ermöglichen, kann deshalb mit dem Parameter "spindle_m_fct_free" die Bedeutung der M-Funktionen M3/M4/M5/M19 umgeschaltet werden.

Variablenname | Typ | erlaubter Bereich | Dimension
spindle_m_fct_free | BOOLEAN | 0/1 | ----

0 | M3/M4/M5/M19 sind fest den Spindel-M-Funktionen zugeordnet (Default, wenn Spindeln konfiguriert sind).
1 | M3/M4/M5/M19 sind frei verfügbar für andere Technologiefunktionen. Sie müssen in den Kanalparametern unter m_synch[i] definiert werden. Die M-Funktionen sind keine Spindelfunktionen mehr!

Bei der Kombination von spanender und schneidender Bearbeitung auf einer Maschine besteht die Möglichkeit, im NC-Programm die Bedeutung der M-Funktionen M3/M4/M5/M19 über die Variable V.SPDL.M_FCT_FREE umzuschalten [PROG]!


Wirksamkeit von Werkzeugkorrekturen (P-CHAN-00100)

Durch den Parameter "move_tool_offsets_directly" wird der Zeitpunkt der Wirksamkeit der mit dem D-Wort programmierten Werkzeugkorrekturdaten (Werkzeuglängenkorrektur, Werkzeuglagenkorrektur) bestimmt.

Variablenname | Typ | erlaubter Bereich | Dimension
move_tool_offsets_directly | BOOLEAN | 0/1 | ----

0 | Die Ausgleichsbewegung zur Berücksichtigung der neuen Werkzeugkorrekturdaten erfolgt nach dem D-Wort für eine Achse erst dann, wenn die nächste Verfahrinformation absolut (G90) programmiert ist (Default).
1 | Die Ausgleichsbewegung in den entsprechenden Achsen erfolgt ohne Programmierung einer absoluten Wegbedingung direkt mit dem D-Wort (gemäß DIN 66025).


Warnings beim Konturausblenden unterdrücken (P-CHAN-00021)

Bei aktiver Konturausblendung wird bei erkannter Verletzung der Kontur zur Information des Maschinenbedieners eine Warning ausgegeben. Diese Warningausgabe kann durch den Parameter "create_cont_mask_warnings" geschaltet werden.

Variablenname | Typ | erlaubter Bereich | Dimension
create_cont_mask_warnings | BOOLEAN | 0/1 | ----

0 | Keine Ausgabe einer Warning bei erkannter Konturverletzung (Default).
1 | Ausgabe einer Warning bei erkannter Konturverletzung.


Konfiguration der Bahnachsen

In diesem Kapitel werden die Elemente zur Konfiguration der Bahnachsen beschrieben. Die Bahnachsen sind im Kanal in Achsgruppen organisiert. Im Beispiel in

Abbildung 2-4

ist eine Achskonfiguration mit zwei Achsgruppen dargestellt. Außerdem sind alle zugehörigen Elemente der Kanalparameterliste aufgeführt.

Momentan sind nur Bahnachskonfigurationen mit einer Achsgruppe erlaubt.

Achsen des Typs Spindel dürfen nicht als Bahnachsen angegeben werden, da sich diese Achsen bei Programmstart in einem Spindelinterpolator befinden.

Abbildung 2-4: Beispiel für eine Bahnachskonfiguration mit zwei Achsgruppen.

Für das Beispiel in

Abbildung 2-4

ergibt sich z.B. folgende Belegung der Elemente der Kanalparameterliste:

Achse | Achsgruppenindex "achsen_idx" | Achsbezeichnung " gruppe[j].achse[i]. bezeichnung" | Logische Achsnummer "log_achs_nr"
1 | 0 | X | 3
2 | 1 | Y_ACHSE | 1
3 | 2 | Z | 5
4 | 3 | W | 2
5 | 0 | C1 | 7
6 | 1 | B | 6

Achsgruppenanzahl | "grp_anzahl" | 2
Achsgruppenbezeichnung | "gruppe[0].bezeichnung" "gruppe[1].bezeichnung" | GRUPPE1 GRUPPE2
Achsanzahl in jeder Achsgruppe | "gruppe[0].achs_anzahl" "gruppe[1].achs_anzahl" | 4 2

Mehr:

button Achsgruppenanzahl (P-CHAN-00023)

button Achsgruppenspezifische Elemente

button Achsstruktur (gruppe[i].achse[j].*)


Achsgruppenanzahl (P-CHAN-00023)

Die Anzahl der Achsgruppen wird mit "grp_anzahl" festgelegt.

Variablenname | Typ | erlaubter Bereich | Dimension
grp_anzahl | UNS16 | 0 ... [SDA_GRPMAX] | ----

Wert SDA_GRPMAX | Bedeutung
1 | Maximale Anzahl der Achsgruppen

Momentan sind nur Achskonfigurationen mit einer Achsgruppe erlaubt. Das Strukturelement "grp_anzahl" muß deshalb mit "1" belegt werden.

BEISPIEL: Die Bahnachsen sind in einer Achsgruppe organisiert.

Auszug aus Kanalparameterliste:

# Achsgruppenanzahl

grp_anzahl 1


Achsgruppenspezifische Elemente

Mehr:

button Achsgruppenstruktur (gruppe[i].*)

button Achsgruppenbezeichnung (P-CHAN-00005)

button Achsanzahl in jeder Achsgruppe (P-CHAN-00003)


Achsgruppenstruktur (gruppe[i].*)

Diese Struktur enthält die Achsgruppenbezeichnung, die Achsanzahl und die Achsstruktur.

Variablenname | Typ | Index | Dimension
gruppe[i] | SDA_GRP_DATEN | i = 0 ... [SDA_GRPMAX-1] | ----

Wert SDA_GRPMAX | Bedeutung
1 | Maximale Gruppenanzahl


Achsgruppenbezeichnung (P-CHAN-00005)

TwinCAT CNC: Überblick

Ac hsgruppenbezeichnung (P-CHAN-00005)

Mit diesem Element wird die Bezeichnung der Achsgruppen im Kanal festgelegt. Es handelt sich hierbei um einen String.

Variablenname | Typ | erlaubter Bereich | Dimension
bezeichnung | GRUPPE_NAME | String | ----

GRUPPE_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | SGN08 | m = 0 ... [ACHS_NAME_LAENGE - 1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | Maximale Länge der Achsgruppenbezeichnung

BEISPIEL: Die Achsgruppe [0] soll die Bezeichnung GRUPPE_1 erhalten.

Auszug aus Kanalparameterliste:

# Bezeichnung der Achsgruppe

gruppe[0].bezeichnung GRUPPE_1


Achsanzahl in jeder Achsgruppe (P-CHAN-00003)

Die Anzahl der Achsen einer Achsgruppe "j" wird mit "gruppe[j].achs_anzahl" festgelegt. Es werden nur belegte Achsen gezählt, Lücken in der Achskonfiguration werden nicht berücksichtigt.

Variablenname | Typ | erlaubter Bereich | Dimension
achs_anzahl | UNS16 | 0 ... SDA_AXMAX | ----

Wert SDA_AXMAX | Bedeutung
applikationsabhängig | Maximale Achsanzahl

Es sind nur Achskonfigurationen mit einer Achsgruppe erlaubt.

BEISPIEL: Die Achsgruppe [0] enthält 3 Achsen.

Auszug aus Kanalparameterliste:

# Achsanzahl in den einzelnen Achsgruppen

gruppe[0].achs_anzahl 3

2.24.2.4 Programm für Subcall (P-CHAN-00084)

Name des NC-Programmes, das ausgeführt wird, wenn vom Interpolator ein SUBCALL-Ereignis empfangen wurde. Das Programm wird in dem im File hochlauf.lis angegebenen Pfad gesucht und noch vor dem "normalen" Ablauf ausgeführt.

Variablenname | Typ | erlaubter Bereich | Dimension
sub_call | PROG_NAME | String | ----

Auszug aus Kanalparameterliste:

gruppe[0].sub_call sub_prog.nc

Momentan sind nur Achskonfigurationen mit einer Achsgruppe erlaubt.


Achsstruktur (gruppe[i].achse[j].*)

Diese Struktur enthält die achsspezifischen Elemente.

Variablenname | Typ | Index | Dimension
achse[j] | ACHSDATEN | j = 0 ...[SDA_AXMAX-1] | ----

Wert SDA_AXMAX | Bedeutung
applikationsabhängig | Maximale Achsanzahl

Mehr:

button Achsbezeichnung (P-CHAN-00006)

button Logische Achsnummer (P-CHAN-00035)

button Defaultvorschubachse (P-CHAN-00011)


Achsbezeichnung (P-CHAN-00006)

Hier handelt es sich um einen String. Über diese Variable werden die Achsbezeichnungen aller Achsen im Interpolator vorgegeben. Die zugehörige korrespondierende logische Achsnummer wird über den Parameter "log_achs_nr" vorgegeben.

Die Achsbezeichnungen müssen mit den Buchstaben A, B, C, U, V, W, X, Y, Z oder Q beginnen. Danach sind alle Buchstaben und Ziffern möglich. Die Achsbezeichnungen müssen eindeutig sein.

Variablenname | Typ | erlaubter Bereich | Dimension
bezeichnung | ACHS_NAME | String | ----

ACHS_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | SGN08 | m = 0 ... [ACHS_NAME_LAENGE - 1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | maximale Länge der Achsbezeichnung

BEISPIEL: Es soll eine Achsgruppe mit 3 Bahnachsen konfiguriert werden. Die erste Achse soll mit "X_ACHSE1" im NC-Programm angesprochen werden. Die zweite Achse soll mit "A" bezeichnet werden. Die dritte Achse wird mit "W1" angesprochen:

Auszug aus Kanalparameterliste:

# Bezeichnung der Bahnachsen

gruppe[0].achse[0].bezeichnung X_ACHSE1

gruppe[0].achse[1].bezeichnung A

gruppe[0].achse[2].bezeichnung W1


Logische Achsnummer (P-CHAN-00035)

Die logische Achsnummer ist im gesamten System eindeutig. Über die logische Achsnummer erfolgt die Zuordnung der Achsbezeichnung im NC-Programm zu den Achsdaten (Achsparameterlisten), die von der Achsverwaltung zur Verfügung gestellt werden. Es sind deshalb nur solche logische Achsnummern sinnvoll, die auch in der Achsverwaltung bekannt sind. Die logische Achsnummer "0" ist nicht erlaubt.

Eine logische Achsnummer darf nicht mehrfach zugeordnet werden. Eine logische Achsnummer darf auch nicht gleichzeitig als Bahnachse und als Spindel konfiguriert werden. Ist dies der Fall, erfolgt bei der Plausibilitätsprüfung eine Fehlermeldung.

Die Belegung der Achsparameterlisten ist in [AXIS] näher beschrieben.

Variablenname | Typ | erlaubter Bereich | Dimension
log_achs_nr | UNS16 | 0 ... MAX(UNS16) | ----

BEISPIEL: Es soll eine Achsgruppe mit 3 Bahnachsen konfiguriert werden. Der ersten Achse sollen die Achsdaten mit der logischen Achsnummer "2", der zweiten Achse die Daten mit der logischen Achsnummer "7" und der dritten Achse die Daten mit der logischen Achsnummer "1" zugeordnet werden:

Auszug aus Kanalparameterliste:

# logische Achsnummern der Bahnachsen

gruppe[0].achse[0].log_achs_nr 2

gruppe[0].achse[1].log_achs_nr 7

gruppe[0].achse[2].log_achs_nr 1

Achsen des Typs Spindel dürfen nicht als Bahnachsen angegeben werden, da sich diese Achsen bei Programmstart in einem Spindelinterpolator befinden.


Defaultvorschubachse (P-CHAN-00011)

Dieser Parameter legt fest, welche Achsen die Defaultvorschubgruppe (Wirkung des F-Wortes) bilden. Wenn keine Vorschubachsen festgelegt sind, so bilden nach dem Hochlauf automatisch alle Hauptachsen die Vorschubgruppe des Kanals (Index 0,1,2). Die Wirksamkeit dieser Einstellung wird durch den Parameter P-CHAN-00096 bestimmt.

Vorschubachsen sind bei Linearinterpolation beliebig definierbar, bei Zirkularinterpolation und Polynominterpolation ist die Parametrierung eingeschränkt:

Bei Zirkularinterpolation sind entweder alle Hauptachsen als Vorschubachsen zu definieren oder alle definierten Vorschubachsen müssen Mitschleppachsen sein.

Bei Polynominterpolation dürfen nur Hauptachsen Vorschubachsen sein.

Variablenname | Typ | erlaubter Bereich | Dimension
default_feed_axis | BOOLEAN | 0/1 | ----

0 | Achsen nicht in Vorschubgruppe
1 | Achse in Vorschubgruppe

Bei mehrkanaligen Applikationen, bei denen die kanalspezifischen Hauptachsgruppen zum Zeitpunkt des Hochlaufs in der Konfiguration lückend sind (z.B. Index 0 -> X, Index 1 -> - Index 2 -> Z ), wird empfohlen den Kanalparameter P-CHAN-00011 in den Achsen der Kanäle nicht zu belegen bzw. auszukommentieren. In diesem Fall können beliebige Achsen als Hauptachsen eingetauscht werden und eine vollständige Vorschubgruppe bilden. Im anderen Fall werden die eingetauschten Achsen als Mitschleppachsen behandelt.


Konfiguration der Spindeln

In diesem Kapitel werden die Elemente zur Konfiguration von Spindeln beschrieben. Es ist zu beachten, daß nur die Spindeln, die in der Kanalparameterliste eingetragen sind, im Teileprogramm auch angesprochen werden können. Dies gilt sowohl für lagegeregelte als auch für gesteuerte (SPS-) Spindeln.

Die im Kanalparametersatz definierte Spindelkonfiguration ist die Defaultbelegung, die nach dem Hochlauf der Steuerung zur Verfügung steht. Siehe hierzu auch Kapitel Spindelprogrammierung in [PROG].

Mehr:

button Spindelanzahl (P-CHAN-00082)

button Name der Spindel im Bahnverbund (P-CHAN-00010)

button Maschinen-ID für C-Achs-Stirnflächenbearbeitung (P-CHAN-00008)

button Definition der Hauptspindel

button Spindeldaten (spindel[i].*)


Spindelanzahl (P-CHAN-00082)

Mit diesem Element wird die Gesamtzahl der vorhandenen lagegeregelten und gesteuerten Spindeln vorgegeben. Die Spindelanzahl muß mit den eingetragenen Spindeln (spindel[i].*) übereinstimmen.

Variablenname | Typ | erlaubter Bereich | Dimension
spdl_anzahl | UNS16 | 0 < spdl_anzahl < NUMBER_SPINDLE_CHANNEL | ----

Wert NUMBER_SPINDLE_CHANNEL | Bedeutung
applikationsabhängig | maximale Anzahl von gesteuerten und geregelten Spindeln

BEISPIEL: Es sollen zwei Spindeln (eine lagegeregelte und eine gesteuerte) konfiguriert werden. Der Parameter "spdl_anzahl" muß auf "2" gesetzt werden.

Auszug aus Kanalparameterliste:

# Anzahl Spindeln

spdl_anzahl 2


Name der Spindel im Bahnverbund (P-CHAN-00010)

TwinCAT CNC: Überblick

Name der Spindel im Bahnverbund ( P-CHAN-00010)

Wird eine Spindelachse bei bestimmten Bearbeitungsmodis (z.B. C-Achsbetrieb) in den Bahnverbund eingetauscht, so kann sie über diese Defaultbezeichnung (z.B. C1) im NC-Programm angesprochen werden.

Variablenname | Typ | Erlaubter Bereich | Dimension
default_ax_name_of_spindle | ACHS_NAME | String | ----

ACHS_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | ISG_CHAR | m = 0 ... [ACHS_NAME_LAENGE] | ----

Zahl ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | Maximale Länge der Achsbezeichnung

BEISPIEL: Die C-Achse erhält die Bezeichnung C1.

Auszug aus Kanalparameterliste:

# Bezeichnung der C-Achse

default_ax_name_of_spindle C1


Maschinen-ID für C-Achs-Stirnflächenbearbeitung (P-CHAN-00008)

TwinCAT CNC: Überblick

Maschinen-ID für C-Achs-Stirnflächenbearbeitung ( P-CHAN-00008)

Dieser Parameter bestimmt die Art der für die Stirnflächenbearbeitung verwendete Maschine.

Variablenname | Typ | ID-Wert | Dimension
cax_face_id | UNS16 | 1, 2 | ----

1 | Drehmaschine (180° Ausrichtung)
2 | Fräsmaschinen (keine Ausrichtung)

BEISPIEL: Die Stirnflächenbearbeitung soll auf einer Fräsmaschine erfolgen.

Auszug aus Kanalparameterliste:

# Maschinen-ID für Stirnflächenbearbeitung

cax_face_id 2


Definition der Hauptspindel

Zur Programmierung in der Standardsyntax ist es notwendig, eine Spindel als s.g. Hauptspindel zu deklarieren. Diese Hauptspindel kann zusammen mit bestimmten Standardfunktionalitäten (z.B. Gewindebohren, Getriebeschalten etc.) in der herkömmlichen DIN-Syntax programmiert werden. Auch wenn nur eine Spindel im System vorhanden ist, muß diese als Hauptspindel konfiguriert werden.

Mehr:

button Hauptspindelachsnummer (P-CHAN-00051)

button Bezeichnung der Hauptspindel (P-CHAN-00053)

button An-/Abwahl - Getriebeschalten (P-CHAN-00052)


Hauptspindelachsnummer (P-CHAN-00051)

Die Definition der Hauptspindel erfolgt über die Belegung des Parameters "main_spindle_ax_nr". Hier wird die logische Achsnummer einer der Spindeln eingetragen, die in der Kanalparameterliste konfiguriert sind. Diese Spindel ist nach dem Hochlauf der Steuerung die Hauptspindel. Durch einen Befehl im Teileprogramm (#MAIN SPINDLE, [PROG]) kann jedoch jede andere Spindel im System zur Hauptspindel gemacht werden.

Variablenname | Typ | erlaubter Bereich | Dimension
main_spindle_ax_nr | UNS16 | 1 ... MAX(UNS16) | ----

BEISPIEL: Die Spindel mit der logischen Achsnummer 6 soll Hauptspindel sein.

Auszug aus Kanalparameterliste:

# Spindeldaten

main_spindle_ax_nr 6


Bezeichnung der Hauptspindel (P-CHAN-00053)

Neben der logischen Achsnummer muß der Hauptspindel ein Name zugeordnet werden, mit dem sie im Teileprogramm angesprochen werden kann. Dazu wird der Hauptspindel über den Parameter main_spindle_name eine Achsbezeichnung zugeordnet. Diese Achsbezeichnung ist frei wählbar, sie muß jedoch immer mit dem Buchstaben S beginnen.

Die Bezeichnung der Hauptspindel kann im Teileprogramm nicht geändert werden. Jedoch wird dieser Name bei Anwahl mit #MAIN SPINDLE, [PROG] der neuen Hauptspindel zugewiesen.

Variablenname | Typ | erlaubter Bereich | Dimension
main_spindle_name | ACHS_NAME | String | ----

ACHS_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | ISG_CHAR | m = 0 ... [ACHS_NAME_LAENGE - 1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | Maximale Länge der Spindelbezeichnung

BEISPIEL: Die Hauptspindel (logische Achsnummer 6) soll im Teileprogramm mit dem Namen S programmiert werden.

Auszug aus Kanalparameterliste:

# Spindeldaten

main_spindle_ax_nr 6

main_spindle_name S


An-/Abwahl - Getriebeschalten (P-CHAN-00052)

Mit dem Parameter "main_spindle_gear_change" wird für die Hauptspindel das Getriebeschalten freigeschaltet oder gesperrt.

Variablenname | Typ | Erlaubter Bereich | Einheit
main_spindel_gear_change | BOOLEAN | 0/1 | ----

0 | Spindelgetriebeschalten für die Hauptspindel deaktiviert
1 | Spindelgetriebeschalten für die Hauptspindel aktiviert


Spindeldaten (spindel[i].*)

TwinCAT CNC: Überblick

Spindeldaten (spindel[i] .*)

Diese Struktur besteht aus den Elementen Spindelbezeichnung, logische Achsnummer, Synchronisationsarten und Timeout- bzw. Prozesszeiten.

Variablenname | Typ | Index | Dimension
spindel[i] | DEC_SPDL_DATA | i = 0 .. [NUMBER_SPINDLE_CHANNEL - 1] | ----

Wert NUMBER_SPINDLE_CHANNEL | Bedeutung
applikationsabhängig | Maximale Anzahl von gesteuerten und geregelten Spindeln

Mehr:

button Spindelbezeichnung (P-CHAN-00007)

button Logische Achsnummer (P-CHAN-00036)

button Kanalspezifische PLC-Spindel (P-CHAN-00069)

button Spindelspezifische Synchronisationsarten

button Timeout- bzw. Prozesszeit der Spindel-Funktion (P-CHAN-00080)

button Timeout- bzw. Prozesszeit von M03 (P-CHAN-00044)

button Timeout- bzw. Prozesszeit von M04 (P-CHAN-00046)

button Timeout- bzw. Prozesszeit von M05 (P-CHAN-00048)

button Timeout- bzw. Prozesszeit von M19 (P-CHAN-00042)

button Spindelgetriebeschalten


Spindelbezeichnung (P-CHAN-00007)

Über dieses Element wird die Defaultbezeichnung definiert, mit der die Spindel im NC-Programm angesprochen werden kann. Hierbei ist zu beachten, daß eine Spindel, solange sie Hauptspindel ist, nur über den Hauptspindelnamen programmiert werden kann. Bei der Spindelbezeichnung handelt es sich um einen String.

Die Spindelbezeichnungen müssen mit den Buchstaben "S" beginnen. Danach sind alle Buchstaben und Ziffern möglich. Die Spindelbezeichnungen müssen eindeutig sein.

Variablenname | Typ | erlaubter Bereich | Dimension
bezeichnung | ACHS_NAME | String | ----

ACHS_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | ISG_CHAR | m = 0 ... [ACHS_NAME_LAENGE - 1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | Maximale Länge der Spindelbezeichnung

Beispiel: Konfiguration eines 1-kanaligen Systems mit 3 Spindeln. Nach dem Hochlauf ist die Spindel S1 mit der logischen Achsnummer 6 die Hauptspindel. Sie wird über den Spindelnamen S angesprochen. Die Spindeln mit den logischen Achsnummern 11 und 30 werden über ihre Defaultbezeichnungen S2 und S3 programmiert.

Auszug aus Kanalparameterliste:

spdl_anzahl 3

:

main_spindle_ax_nr 6-> -> ->-

main_spindle_name S ->- |

# | |

spindel[0].bezeichnung S1-<- |

spindel[0].log_achs_nr 6-< -< -<-

:

spindel[1].bezeichnung S2

spindel[1].log_achs_nr 11

:

spindel[2].bezeichnung S3

spindel[2].log_achs_nr 30

:

Abbildung 2-5: Spindelkonfiguration


Logische Achsnummer (P-CHAN-00036)

In diesem Parameter wird die logische Achsnummer der Spindel eingetragen. Die logische Achsnummer ist im gesamten System eindeutig. Über die logische Achsnummer erfolgt die Zuordnung der Spindelbezeichnung im NC-Programm zu den Achsdaten (Achsparameterlisten). Es sind deshalb nur solche logischen Achsnummern sinnvoll, die auch in der NC bekannt sind. Die logische Achsnummer "0" ist nicht erlaubt.

Eine logische Achsnummer darf nicht mehrfach zugeordnet werden. Eine logische Achsnummer darf nicht gleichzeitig als Bahnachse und Spindel konfiguriert werden. Ist dies der Fall, erfolgt eine Fehlermeldung bei der Plausibilitätsprüfung der Kanalparameter im Hochlauf.

Die Belegung der Achsparameterlisten ist in [AXIS] näher beschrieben.

Variablenname | Typ | erlaubter Bereich | Dimension
log_achs_nr | UNS16 | 1... MAX(UNS16) | ----


Kanalspezifische PLC-Spindel (P-CHAN-00069)

Soll eine Spindel nicht durch einen Spindelinterpolator im NC-Kanal, sondern direkt durch die PLC angesteuert werden, so wird dieser Parameter auf TRUE gesetzt. Hierbei ist zu beachten, daß dann sämtliche Synchronisationen nicht mehr (Spindel-) achsspezifisch sondern über den kanalspezifischen HLI-Bereich ausgegeben und behandelt werden. Die achsspezifische Syntax zur Programmierung der Spindelbefehle ist weiterhin erlaubt, jedoch ist diese dann auf die Angabe der Drehzahl und der M-Funktionen M3/M4/M5/M19 beschränkt.

Variablenname | Typ | erlaubter Bereich | Dimension
plc_control | BOOLEAN | 0/1 | ----


Spindelspezifische Synchronisationsarten

Die Synchronisationsart der Spindelfunktion S sowie der Spindel-M-Funktionen M3, M4, M5, M19 werden spindelspezifisch definiert. Folgende Synchronisationsarten sind verfügbar:

Konstante | Wert | Bedeutung
NO_SYNCH | 0x00000000 | Keine Ausgabe der S/M-Funktion an SPS
MOS | 0x00000001 | Ausgabe S/M-Funktion an SPS ohne Synchronisation
MVS_SVS | 0x00000002 | Ausgabe S/M-Funktion an SPS vor Bewegungssatz, Synchronisation vor Bewegungssatz
MVS_SNS | 0x00000004 | Ausgabe S/M-Funktion an SPS vor Bewegungssatz, Synchronisation nach Bewegungssatz
MNS_SNS | 0x00000008 | Ausgabe S/M-Funktion an SPS nach Bewegungssatz, Synchronisation nach Bewegungssatz
MNE_SNS | 0x00000020 | Ausgabe S/M-Funktion an SPS nach (Mess-)Ereignis, Synchronisation nach Bewegungssatz (Nur für Option Kantenstoßen)
MVS_SLM | 0x00004000 | Späte Synchronisation, Ausgabe S/M-Funktion an SPS im Satz, Synchronisation bei Übergang zu G01/G02/G03 (Implizite Synchronisation)
MVS_SLP | 0x00008000 | Späte Synchronisation, Ausgabe S/M-Funktion an SPS im Satz, Synchronisation bei NC-Befehl #EXPL SYN (Explizite Synchronisation)
PLC_INFO | 0x00020000 | SPS informieren: PLC_INFO, daß zusätzlich zu den bestehenden Synchronisationsarten gesetzt werden kann, bestimmt ob auch die SPS informiert werden soll. Dabei ist folgendes zu beachten: Bei gesteuerten Spindeln wird generell bei jeder Spindel-M-Funktion automatisch auch die SPS informiert. Es ist somit nicht erforderlich, das PLC_INFO-Bit zusätzlich zu setzen. Sinnvoll ist die Verwendung des PLC_INFO-Bits bei geregelten Spindeln. Hier kann für jede Spindel-M-Funktion zusätzlich zur Synchronisationsart das Bit PLC_INFO gesetzt werden, wodurch dann eine Information der SPS angestossen wird.
BWD_SYNCH | 0x00400000 | Synchronisation S/M-Funktion während Rückwärtsfahrt mit MVS_SVS
FWD_SYNCH | 0x00800000 | Synchronisation S/M-Funktion während "Simulierter Vorwärtsfahrt" mit der entsprechenden Synchronisationsart
FAW_SYNCH | 0x10000000 | Decodierstopp (Flush and Wait): Ausgabe S/M-Funktion an SPS und Anhalten der Programmdecodierung am Satzende bis Programmvorlauf abgebaut ist. FAW_SYNCH kann additiv zu den anderen Synchronisationsarten gesetzt werden. S/M-Funktionen mit FAW_SYNCH dürfen nicht bei aktiver WRK, Polynomüberschleifen und HSC-Modus verwendet werden.
NOT_VALID | 0x80000000 | Sperren der S/M-Funktion. Die Programmierung einer mit dieser Synchroni-sation belegten S/M-Funktion führt zur Ausgabe einer Fehlermeldung. Diese Synchronisation darf nur exklusiv gesetzt werden.

Beispiele siehe Kapitel 2.1.1.1- Synchronisationsarten der M-Funktionen.

Die Synchronisationsart der S-Funktion ist wirkungslos, wenn im NC-Satz eine Spindel M-Funktion programmiert wurde. Eine Synchronisation findet dann nur entsprechend der Einstellungen für die Spindel M-Funktion statt. Es gilt folgende Prioritätsreihenfolge:

M19 > M3/M4/M5 > S

Mehr:

button Synchronisationsart der Spindel-Funktion (P-CHAN-00081)

button Synchronisationsart für M03 (P-CHAN-00045)

button Synchronisationsart für M04 (P-CHAN-00047)

button Synchronisationsart für M05 (P-CHAN-00049)

button Synchronisationsart für M19 (P-CHAN-00043)


Synchronisationsart der Spindel-Funktion (P-CHAN-00081)

Mit dem Element "s_synch" wird die Synchronisationsart der Spindel-Funktion definiert.

Variablenname | Typ | erlaubter Bereich | Dimension
s_synch | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, MVS_SLM, MVS_SLP, PLC_INFO, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----

BEISPIEL: Für eine (lagegeregelte) Spindel S1 wird die Spindel-Funktion ohne Synchronisation ausgeführt. Die SPS wird nicht informiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

spindel[0].s_synch 0x00000001 MOS

spindel[0].m3_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m4_synch 0x00020004 PLC_INFO, MVS_SNS

spindel[0].m5_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m19_synch 0x00000008 MNS_SNS

:


Synchronisationsart für M03 (P-CHAN-00045)

Bei Verwendung der Funktion M03 muß die Synchronisationsart für die verwendeten Spindeln festgelegt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
m3_synch | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, MVS_SLM, MVS_SLP, PLC_INFO, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----

BEISPIEL: Für eine (lagegeregelte) Spindel S1 wird die spindelspezifische M-Funktion M03 mit der Synchronisationsart MVS_SVS belegt. Zusätzlich wird auch die SPS informiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

spindel[0].s_synch 0x00000001 MOS

spindel[0].m3_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m4_synch 0x00020004 PLC_INFO, MVS_SNS

spindel[0].m5_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m19_synch 0x00000008 MNS_SNS

:


Synchronisationsart für M04 (P-CHAN-00047)

Bei Verwendung der Funktion M04 muß die Synchronisationsart für die verwendeten Spindeln festgelegt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
m4_synch | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, MVS_SLM, MVS_SLP, PLC_INFO, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----

BEISPIEL: Für eine (lagegeregelte) Spindel S1 wird die spindelspezifische M-Funktion M04 mit der Synchronisationsart MVS_SNS belegt. Zusätzlich wird auch die SPS informiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

spindel[0].s_synch 0x00000001 MOS

spindel[0].m3_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m4_synch 0x00020004 PLC_INFO, MVS_SNS

spindel[0].m5_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m19_synch 0x00000008 MNS_SNS

:


Synchronisationsart für M05 (P-CHAN-00049)

Bei Verwendung der Funktion M05 muß die Synchronisationsart für die verwendeten Spindeln festgelegt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
m5_synch | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, MVS_SLM, MVS_SLP, PLC_INFO, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----

BEISPIEL: Für eine (lagegeregelte) Spindel S1 wird die spindelspezifische M-Funktion M05 mit der Synchronisationsart MVS_SVS belegt. Zusätzlich wird auch die SPS informiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

spindel[0].s_synch 0x00000001 MOS

spindel[0].m3_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m4_synch 0x00020004 PLC_INFO, MVS_SNS

spindel[0].m5_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m19_synch 0x00000008 MNS_SNS

:


Synchronisationsart für M19 (P-CHAN-00043)

Bei Verwendung der Funktion M19 muß die Synchronisationsart für die verwendeten Spindeln festgelegt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
m19_synch | SYNCHRO_ART | NO_SYNCH, MOS, MVS_SVS, MVS_SNS, MNS_SNS, MNE_SNS, MVS_SLM, MVS_SLP, PLC_INFO, BWD_SYNCH, FWD_SYNCH, FAW_SYNCH | ----

BEISPIEL: Für eine (lagegeregelte) Spindel S1 wird die spindelspezifische M-Funktion M19 mit der Synchronisationsart MNS_SNS belegt. Die SPS wird nicht informiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

spindel[0].s_synch 0x00000001 MOS

spindel[0].m3_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m4_synch 0x00020004 PLC_INFO, MVS_SNS

spindel[0].m5_synch 0x00020002 PLC_INFO, MVS_SVS

spindel[0].m19_synch 0x00000008 MNS_SNS

:


Timeout- bzw. Prozesszeit der Spindel-Funktion (P-CHAN-00080)

Mit dem Element "s_prozess_zeit" wird die Timeout- bzw. bei aktivierter Fertigungszeitberechnung die Prozesszeit einer Spindel-Funktion angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
s_prozess_zeit | UNS32 | 0 < s_prozess_zeit < MAX(UNS32) | µs

BEISPIEL: Für eine Spindel S1 wird die Prozesszeit der Spindel-Funktion mit 1s definiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

:

spindel[0].s_prozess_zeit 1000000

spindel[0].m3_prozess_zeit 1000000

spindel[0].m4_prozess_zeit 1000000

spindel[0].m5_prozess_zeit 1500000

spindel[0].m19_prozess_zeit 2000000

:


Timeout- bzw. Prozesszeit von M03 (P-CHAN-00044)

Mit dem Element "m3_prozess_zeit" wird die Timeout- bzw. bei aktivierter Fertigungszeitberechnung die Prozesszeit der M-Funktion M03 angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
m3_prozess_zeit | UNS32 | 0 < m3_prozess_zeit < MAX(UNS32) | µs

BEISPIEL: Für eine Spindel S1 wird die Prozesszeit von M03 mit 1s definiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

:

spindel[0].s_prozess_zeit 1000000

spindel[0].m3_prozess_zeit 1000000

spindel[0].m4_prozess_zeit 1000000

spindel[0].m5_prozess_zeit 1500000

spindel[0].m19_prozess_zeit 2000000

:


Timeout- bzw. Prozesszeit von M04 (P-CHAN-00046)

Mit dem Element "m4_prozess_zeit" wird die Timeout- bzw. bei aktivierter Fertigungszeitberechnung die Prozesszeit der M-Funktion M04 angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
m4_prozess_zeit | UNS32 | 0 < m4_prozess_zeit < MAX(UNS32) | µs

BEISPIEL: Für eine Spindel S1 wird die Prozesszeit von M04 mit 1s definiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

:

spindel[0].s_prozess_zeit 1000000

spindel[0].m3_prozess_zeit 1000000

spindel[0].m4_prozess_zeit 1000000

spindel[0].m5_prozess_zeit 1500000

spindel[0].m19_prozess_zeit 2000000

:


Timeout- bzw. Prozesszeit von M05 (P-CHAN-00048)

Mit dem Element "m5_prozess_zeit" wird die Timeout- bzw. bei aktivierter Fertigungszeitberechnung die Prozesszeit der M-Funktion M05 angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
m5_prozess_zeit | UNS32 | 0 < m5_prozess_zeit < MAX(UNS32) | µs

BEISPIEL: Für eine Spindel S1 wird die Prozesszeit von M05 mit 1,5s definiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

:

spindel[0].s_prozess_zeit 1000000

spindel[0].m3_prozess_zeit 1000000

spindel[0].m4_prozess_zeit 1000000

spindel[0].m5_prozess_zeit 1500000

spindel[0].m19_prozess_zeit 2000000

:


Timeout- bzw. Prozesszeit von M19 (P-CHAN-00042)

Mit dem Element "m19_prozess_zeit" wird die Timeout- bzw. bei aktivierter Fertigungszeitberechnung die Prozesszeit der M-Funktion M19 angegeben.

Das Element wird aktuell nur für die Fertigungszeitberechnung verwendet.

Variablenname | Typ | erlaubter Bereich | Dimension
m19_prozess_zeit | UNS32 | 0 < m19_prozess_zeit < MAX(UNS32) | µs

BEISPIEL: Für eine Spindel S1 wird die Prozesszeit von M19 mit 2s definiert.

Auszug aus Kanalparameterliste:

:

spindel[0].bezeichnung S1

spindel[0].log_achs_nr 6

:

spindel[0].s_prozess_zeit 1000000

spindel[0].m3_prozess_zeit 1000000

spindel[0].m4_prozess_zeit 1000000

spindel[0].m5_prozess_zeit 1500000

spindel[0].m19_prozess_zeit 2000000

:


Spindelgetriebeschalten

Die folgenden Schalter und Variablen sind für die Einstellung der Spindeldrehzahlstufen und für das Getriebeschalten erforderlich.

Das Getriebeschalten ist nur für die Hauptspindel möglich.

Mehr:

button Suchrichtung bei der Stufenanwahl (P-CHAN-00074)

button Automatische Stufenanwahl (P-CHAN-00004)

button Tabelle der Drehzahlstufen (spindel[i].range_table[j].*)


Suchrichtung bei der Stufenanwahl (P-CHAN-00074)

TwinCAT CNC: Überblick

Suchrichtung bei der Stufenanwahl ( P-CHAN-00074)

Dieser Parameter bestimmt, ob bei sich überlappenden Drehzahlstufen die niedrigere oder die höhere Getriebestufe angewählt wird. Wenn "range_way = 0" gesetzt ist, startet die Suche von der niedrigsten Drehzahlstufe aus; wenn "range_way" > 0 von der obersten. Die richtige Drehzahl-(Getriebe)stufe ist diejenige, in der die programmierte Drehzahl zuerst gefunden wird.

Variablenname | Typ | Erlaubter Bereich | Dimension
range_way | UNS16 | 0 < range_way < MAX(UNS16) | ---

BEISPIEL: Im folgenden Beispiel startet die Suche im niedrigsten Drehzahlbereich.

Auszug aus Kanalparameterliste:

# Richtung der Stufensuche

spindel[0].range_way 0 (von unten nach oben)


Automatische Stufenanwahl (P-CHAN-00004)

TwinCAT CNC: Überblick

Automatische Stufenanwahl ( P-CHAN-00004)

Wenn die Spindelgetriebestufe vom NC-Kern automatisch bestimmt werden soll, muß der Parameter mit 1 belegt sein. In diesem Fall müssen die M-Funktionen M40 bis M45 nicht programmiert werden. Das bedeutet, daß die richtige Getriebestufe allein implizit durch die Programmierung der Drehzahl ("S"-Wort) bestimmt wird.

Variablenname | Typ | Erlaubter Bereich | Einheit
autom_range | BOOLEAN | 0/1 | ----

BEISPIEL: Im folgenden Beispiel wird die automatische Stufenanwahl freigeschaltet.

Auszug aus Kanalparameterliste:

# Automatische Stufenanwahl

spindel[0].autom_range 1


Tabelle der Drehzahlstufen (spindel[i].range_table[j].*)

TwinCAT CNC: Überblick

Tabelle der Drehzahlstufen (spindel[i].range_table[j] .*)

Das System ermöglicht die Definition von maximal 6 Drehzahlstufen (M40...M45) pro Spindel. Für jede Stufe wird eine minimale und eine maximale Drehzahl definiert (Einheit U/min).


Min./max. Spindeldrehzahl (P-CHAN-00058, P-CHAN-00055)

TwinCAT CNC: Überblick
Min./max. Spindeldrehzahl ( P-CHAN-00058, P-CHAN-00055)

Die Drehzahlstufen einer Spindel können mit oder ohne Überlappung definiert werden. Wird eine Stufe nicht genutzt, sind die entsprechenden Werte in der Tabelle mit Null zu belegen.

Minimale Drehzahl P-AXIS-00058:

Variablenname | Typ | Erlaubter Bereich | Dimension
min_speed | UNS16 | 0 < min_speed < MAX(UNS16) | U/min

Maximale Drehzahl P-AXIS-00058:

Variablenname | Typ | Erlaubter Bereich | Dimension
max_speed | UNS16 | 0 < max_speed < MAX(UNS16) | U/min

BEISPIEL: Das folgende Beispiel zeigt die Definition einer Drehzahlstufentabelle für 6 Gänge. Nur die ersten vier Gänge sollen genutzt werden.

Auszug aus Kanalparameterliste:

# Tabelle der Drehzahlbereiche

spindel[0].range_table[0].min_speed 50

spindel[0].range_table[0].max_speed 560

spindel[0].range_table[1].min_speed 400

spindel[0].range_table[1].max_speed 800

spindel[0].range_table[2].min_speed 700

spindel[0].range_table[2].max_speed 3360

spindel[0].range_table[3].min_speed 3361

spindel[0].range_table[3].max_speed 4000

spindel[0].range_table[4].min_speed 0

spindel[0].range_table[4].max_speed 0

spindel[0].range_table[5].min_speed 0

spindel[0].range_table[5].max_speed 0


Einstellungen für den Synchronbetrieb (synchro_data.*)

TwinCAT CNC: Überblick

Einstellungen für den Synchronbetrieb (synchro_data .*)

In Abbildung 2-6 ist der prinzipielle Aufbau einer Maschine mit zwei Bearbeitungseinheiten mit Y-, Z- und C-Achse und einer mechanisch gekoppelten X-Achse dargestellt. Soll der Achsverbund (X, Y2, Z2, C2) an den Achsverbund (X, Y1, Z1, C1) gekoppelt werden, so sind die in den folgenden Kapiteln beschriebene Koppelvorschriften anzugeben.

Abbildung 2-6: Prinzipdarstellung des Maschinenaufbaus

Die Default-Koppelvorschrift für jede Achsgruppe kann definiert werden. Sie wird unter der Koppelnummer "0" in den Arbeitsdaten der NC geführt.

Der Synchronbetrieb von Achsen ist nur für Achsen innerhalb einer Achsgruppe möglich.

Der Synchronbetrieb ist in [PROG] ausführlicher beschrieben.

Mehr:

button Defaultkoppelvorschrift (synchro_data.koppel_gruppe[i].*)


Defaultkoppelvorschrift (synchro_data.koppel_gruppe[i].*)

Das Strukturelement koppel_gruppe[j] gibt die Koppelgruppe an, in der Achsen paarweise gekoppelt werden sollen.

Variablenname | Typ | Index | Dimension
koppel_gruppe[i] | KOPPEL_GRP | i = 0...[SDA_GRMAX-1] | ----

Wert SDA_GRMAX | Bedeutung
1 | Maximale Anzahl von Achsgruppen

Mehr:

button Achskoppelpaare (synchro_data.koppel_gruppe[i].paar[j].*)


Achskoppelpaare (synchro_data.koppel_gruppe[i].paar[j].*)

Das Strukturelement "paar[j]" gibt das Achskoppelpaar der Koppelvorschrift an. In einem Achskoppelpaar wird eine Achse als Masterachse und die andere als Slaveachse definiert. Die Struktur besteht aus den Elementen logische Achsnummer der Slaveachse und logische Achsnummer der Masterachse, welche in den nächsten Kapiteln beschrieben werden. Die Achskoppelpaare können aus Bahnachsen sowie auch aus Spindelachsen gebildet werden. Eine Kombination von Bahn- und Spindelachsen innerhalb eines Koppelpaares ist nicht erlaubt.

Der Synchronbetrieb von Bahnachsen ist nur für Achsen innerhalb einer Achsgruppe bzw. bei Spindeln nur für die innerhalb der im Kanal bekannten Spindelachsen möglich.

Variablenname | Typ | erlaubter Bereich | Dimension
paar[j] | KOPPEL_PAAR | j = 0...[MAX_ANZ_ACHS_PAAR-1] | ----

Wert MAX_ANZ_ACHS_PAAR | Bedeutung
3 | Maximale Anzahl der Achskoppelpaare

Mehr:

button Logische Achsnummer der Slaveachse (P-CHAN-00038)

button Logische Achsnummer der Masterachse (P-CHAN-00037)

button Modus des Koppelpaares (P-CHAN-00061)

button Kopplung wiederherstellen nach Reset (P-CHAN-00104)

button Kopplung wiederherstellen nach Programmende (P-CHAN-00105)


Logische Achsnummer der Slaveachse (P-CHAN-00038)

Mit diesem Element wird eine Achse als Slaveachse definiert. Dazu muß die logische Nummer der Achse P-CHAN-00035 angegeben werden.

Variablenname | Typ | erlaubter Bereich | Dimension
log_achs_nr_slave | UNS16 | 1 ... MAX(UNS16) | ----

BEISPIEL: Die Achse mit der logischen Nummer 3 wird im Achskoppelpaar[1] innerhalb der Achskoppelgruppe[0] als Slaveachse definiert.

Auszug aus Kanalparameterliste:

# Einstellungen für den Synchronbetrieb

synchro_data.koppel_gruppe[0].paar[1].log_achs_nr_slave 3


Logische Achsnummer der Masterachse (P-CHAN-00037)

Mit diesem Element wird eine Achse als Masterachse definiert. Dazu muß die logische Nummer der Achse P-CHAN-00035 angegeben werden.

Variablenname | Typ | erlaubter Bereich | Dimension
log_achs_nr_master | UNS16 | 1 ... MAX(UNS16) | ----

BEISPIEL: Die Achse mit der logischen Nummer 1 wird im Achskoppelpaar[1] innerhalb der Achskoppelgruppe[0] als Masterachse definiert.

Auszug aus Kanalparameterliste:

# Einstellungen für den Synchronbetrieb

synchro_data.koppel_gruppe[0].paar[1].log_achs_nr_master 1


Modus des Koppelpaares (P-CHAN-00061)

Da neben dem Synchronbetrieb von Bahnachsen auch Spindelachsen gekoppelt werden können, muß für jedes Paar die Art der Kopplung angegeben werden. Zu diesem Zweck wird in dem Element "mode" der Koppeltyp eingetragen.

Variablenname | Typ | erlaubter Bereich | Dimension
mode | UNS16 | 0, 1 | ----

0 | Koppelpaar besteht aus Bahnachsen
1 | Koppelpaar besteht aus Spindelachsen

BEISPIEL: Das Achskoppelpaar[0] innerhalb der Achskoppelgruppe[0] besteht aus Bahnachsen (mode 0).
Das Achskoppelpaar[1] innerhalb der Achskoppelgruppe[0] besteht aus Spindelachsen (mode 1).

Auszug aus Kanalparameterliste:

# Vorbelegung möglicher Achs-Links für Synchronbetrieb

# ====================================================

#synchro_data.koppel_gruppe[0].paar[0].log_achs_nr_slave 4

#synchro_data.koppel_gruppe[0].paar[0].log_achs_nr_master 1

#synchro_data.koppel_gruppe[0].paar[0].mode 0

#synchro_data.koppel_gruppe[0].paar[1].log_achs_nr_slave 11

#synchro_data.koppel_gruppe[0].paar[1].log_achs_nr_master 6

#synchro_data.koppel_gruppe[0].paar[1].mode 1

:


Kopplung wiederherstellen nach Reset (P-CHAN-00104)

Eine aktive Achskopplung (Synchronbetrieb) wird durch NC-Reset abgewählt. Soll diese Achskopplung im nächsten NC-Programm automatisch wieder aktiv sein, so muss der Parameter "restore_coupling_after_reset" mit 1 belegt sein.

Variablenname | Typ | Erlaubter Bereich | Einheit
restore_coupling_after_reset | BOOLEAN | 0/1 | ----


Kopplung wiederherstellen nach Programmende (P-CHAN-00105)

Eine aktive Achskopplung (Synchronbetrieb) wird am NC-Programmende abgewählt, wenn sie im NC-Programm nicht explizit beendet wurde (#DISABLE AXLINK). Soll diese Achskopplung im nächsten NC-Programm automatisch wieder aktiv sein, so muss der Parameter "preserve_coupling_after_prog_end" mit 1 belegt sein.

Variablenname | Typ | Erlaubter Bereich | Einheit
preserve_coupling_after_prog_end | BOOLEAN | 0/1 | ----


Parametrierung der Änderungsprotokollierung (aep.*)

TwinCAT CNC: Überblick

Parametrierung der Änderungsprotokollierung (aep .*)

Die Änderungsprotokollierung gibt innerhalb eines NC-Programms die Änderungen zum vorhergehenden Zustand aus.

Mehr:

button Protokollierungsmodus (P-CHAN-00024)

button Protokollierung der P-Parameter (P-CHAN-00068)

button Protokollierung der eigendefinierten Variablen (P-CHAN-00088)

button Protokollierung der G-Funktionen (P-CHAN-00022)

button Protokollierung der Werkzeugdaten (P-CHAN-00093)


Protokollierungsmodus (P-CHAN-00024)

Der Protokollierungsmodus bestimmt wohin die Anzeigedaten ausgegeben werden.

Variablenname | Typ | erlaubter Bereich | Dimension
output_mode | UNS08 | 0, 1, 2 | ----

0 | ohne Protokollierung
1 | Protokollierung über BF-eigene Anzeigefelder und -FIFOs
2 | Protokollierung über Funktionssatzkanal

BEISPIEL: Die Anzeigedaten sollen über BF-eigene Anzeigefelder und -FIFOs ausgegeben werden.

Auszug aus Kanalparameterliste:

# Parametrierung der Änderungsprotokollierung:

aep.output_mode 1


Protokollierung der P-Parameter (P-CHAN-00068)

Mit "p_parameter" wird die Protokollierung der P-Parameter bestimmt.

Variablenname | Typ | erlaubter Bereich | Dimension
p_parameter | BOOLEAN | 0/1 | ----

BEISPIEL: Die P-Parameter sollen protokolliert werden.

Auszug aus Kanalparameterliste:

# Parametrierung der Änderungsprotokollierung:

aep.p_parameter 1


Protokollierung der eigendefinierten Variablen (P-CHAN-00088)

Mit "v_eigendef" wird die Protokollierung der eigendefinierten Variablen bestimmt.

Variablenname | Typ | erlaubter Bereich | Dimension
v_eigendef | BOOLEAN | 0/1 | ----

BEISPIEL: Die eigendefinierten Variablen sollen protokolliert werden.

Auszug aus Kanalparameterliste:

# Parametrierung der Änderungsprotokollierung:

aep.v_eigendef 1


Protokollierung der G-Funktionen (P-CHAN-00022)

Die G-Funktionen sind entsprechend Tabelle 2.1 in verschiedene Gruppen aufgeteilt. Die Funktionen, die sich gegenseitig ausschließen, befinden sich jeweils in der gleichen Gruppe. Wird eine Gruppe g_gruppe[i] auf 1 gesetzt, so wird die jeweils aktive G-Funktion der Gruppe protokolliert.

Die G-Funktionen sind in [PROG] dokumentiert.

Gruppe | Enthaltene G-Funktionen
g_gruppe[0] | G00, G01, G02, G03, G04, G33, G63, G74, G98, G99, G160, G301, G302
g_gruppe[1] | G08, G193
g_gruppe[2] | G09, G900, G901
g_gruppe[3] | G10, G11
g_gruppe[4] | G17, G18, G19
g_gruppe[5] | G20, G21, G22, G23, G351
g_gruppe[6] | G25, G26
g_gruppe[7] | G40, G41, G42
g_gruppe[8] | G51, G52
g_gruppe[9] | G53,..., G59, G159
g_gruppe[10] | G60, G359, G360, G61, G260, G261
g_gruppe[11] | G166
g_gruppe[12] | G70, G71
g_gruppe[13] | G80 - G89, G800  G819
g_gruppe[14] | G90, G91
g_gruppe[15] | G92
g_gruppe[16] | G93, G94, G95, G194
g_gruppe[17] | G96, G97, G196
g_gruppe[18] | G112
g_gruppe[19] | G115, G116, G117
g_gruppe[20] | G130, G131
g_gruppe[21] | G135, G136, G137
g_gruppe[22] | G05, G138, G139, G237, G238, G239
g_gruppe[23] | G161, G162
g_gruppe[24] | G163
g_gruppe[25] | G164, G165
g_gruppe[26] | G200, G201, G202
g_gruppe[27] | nicht belegt
g_gruppe[28] | G132, G133, G134
g_gruppe[29] | G150, G151
g_gruppe[30] | G100, G101, G102, G106, G107, G108
g_gruppe[31] | G12, G13
g_gruppe[32] | G140, G141
g_gruppe[33] | nicht belegt
g_gruppe[34] | G310
g_gruppe[35] | G167
g_gruppe[36] | nicht verfügbar (G335, G337)
g_gruppe[37] | G129

Tabelle 2.1: Gruppeneinteilung der G-Funktionen

Variablenname | Typ | erlaubter Bereich | Dimension
g_gruppe[i] | BOOLEAN | 0/1 | ----
i | UNS16 | 0 ... [MAX_G_GRP - 1] | ----

Wert MAX_G_GRP | Bedeutung
38 | Maximale Anzahl der G-Funktionsgruppen.

BEISPIEL: Die Wegbedingungen (g_gruppe[0]) sollen protokolliert werden, die WRK-Vorschubanpassung (g_gruppe[3]) jedoch nicht.

Auszug aus Kanalparameterliste:

# Parametrierung der Änderungsprotokollierung:

aep.g_gruppe[0] 1

aep.g_gruppe[3] 0


Protokollierung der Werkzeugdaten (P-CHAN-00093)

Mit "wz_daten" wird die Protokollierung der Werkzeugdaten bestimmt.

Variablenname | Typ | erlaubter Bereich | Dimension
wz_daten | BOOLEAN | 0/1 | ----

BEISPIEL: Die Werkzeugdaten sollen protokolliert werden.

Auszug aus Kanalparameterliste:

# Parametrierung der Änderungsprotokollierung:

aep.wz_daten 1


Definition von Symbolischen Zeichenketten (makro_def[i].*)

TwinCAT CNC: Überblick

Definition von Symbolischen Zeichenketten (makro_def[i] .*)

Symbolische Zeichenketten sind Strings, die als Platzhalter für andere Ausdrücke definiert werden können. Es ist also möglich einen oder mehrere komplette NC-Befehle durch einen Symbolstring zu ersetzen. Dazu muß hier jeweils der Symbolstring und der zu ersetzende Text angegeben werden.

Variablenname | Typ | Index | Dimension
makro_def[i] | MAKRO_DEF | i = 0 ... [MAKRO_DEF_ANZAHL_MDS - 1] | ----

Wert MAKRO_DEF_ANZAHL_MDS | Bedeutung
applikationsabhängig | Maximale Anzahl symbolischer Zeichenketten in der Kanalparameterliste.

Die Symbolischen Zeichenketten werden in [PROG] ausführlicher beschrieben.

Mehr:

button Angabe des Symbolstrings (P-CHAN-00085)

button Angabe des zu ersetzenden Textes (P-CHAN-00062)


Angabe des Symbolstrings (P-CHAN-00085)

Über dieses Element kann der Symbolstring angegeben werden.

Variablenname | Typ | erlaubter Bereich | Dimension
symbol | SYMBOL_NAME | String | ----

Die Struktur SYMBOL_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | ISG_CHAR | m = 0 ... [MAKRO_SYMBOL_LAENGE - 1] | ----

Wert MAKRO_SYMBOL_LAENGE | Bedeutung
applikationsabhängig | Maximale Anzahl der Zeichen des Symbolstrings


Angabe des zu ersetzenden Textes (P-CHAN-00062)

Über dieses Element kann der zu ersetzende Text angegeben werden.

Variablenname | Typ | erlaubter Bereich | Dimension
nc_code | NC_CODE | String | ----

Die Struktur NC_CODE besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | ISG_CHAR | m = 0 ... [MAKRO_ERSATZ_LAENGE - 1] | ----

Zahl MAKRO_ERSATZ_LAENGE | Bedeutung
applikationsabhängig | Maximale Anzahl der Zeichen des zu ersetzenden Textes

BEISPIEL: Die Parameterrechnung soll durch den String "CODE_1" ersetzt werden.

Auszug aus Kanalparameterliste:

# Definition von Symbolischen Zeichenketten

makro_def[4].symbol CODE_1

makro_def[4].nc_code P5 = P2 + 3

BEISPIEL: Die Programmierung der Verfahrbewegung soll durch den String "CODE_2" ersetzt werden.

Auszug aus Kanalparameterliste:

# Definition von Symbolischen Zeichenketten

makro_def[6].symbol CODE_2

makro_def[6].nc_code G01 G91 X10 Y20 F100


Konfiguration mit WRK (P-CHAN-00092)

TwinCAT CNC: Überblick

Konfiguration mit WRK ( P-CHAN-00092)

Ist die Werkzeugradiuskorrektur (WRK) in der Systemkonfiguration vorhanden, so muß der Parameter "wrk_im_kanal_vorhanden" auf 1 gesetzt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
wrk_im_kanal_vorhanden | BOOLEAN | 0/1 | ----

BEISPIEL: Die Werkzeugradiuskorrektur ist in der aktuellen Systemkonfiguration vorhanden, "wrk_im_kanal_vorhanden" muß somit auf 1 gesetzt werden.

Auszug aus Kanalparameterliste:

# Kennung, ob Werkzeugradiuskorrektur in der Systemkonfiguration vorhanden ist.

wrk_im_kanal_vorhanden 1


Konfiguration des Syntaxchecks (syn_chk.*)

TwinCAT CNC: Überblick

Konfiguration des Syntaxchecks (syn_chk .*)

Der Syntaxcheck erlaubt die Überprüfung eines NC-Programms durch die NC mit Weiterlauf im Fehlerfall wo möglich. Es werden nur tatsächlich durchlaufene Programmzeilen geprüft. Der NC-Kanal wird weiterhin versorgt, es werden jedoch keine Achsen/Antriebe bewegt und auch keine Technoinformationen ausgeführt oder synchronisiert.

Mehr:

button Fehleranzahl pro Zeile (P-CHAN-00020)

button Fehleranzahl im NC-Programm (P-CHAN-00019)

button Angabe des Betriebsmodus (P-CHAN-00028)


Fehleranzahl pro Zeile (P-CHAN-00020)

TwinCAT CNC: Überblick

Fehleranzahl pro Zeile ( P-CHAN-00020)

Mit "fehler_pro_zeile" wird festgelegt ab welcher Fehleranzahl in die nachfolgende Programmzeile gesprungen wird.

Variablenname | Typ | erlaubter Bereich | Dimension
fehler_pro_zeile | UNS16 | 0 ... MAX(UNS16) | ----

BEISPIEL: Nach maximal 2 Fehlern soll in die nächste NC-Zeile gesprungen werden.

Auszug aus Kanalparameterliste:

# Parametrierung des Syntaxchecks:

syn_chk.fehler_pro_zeile 2


Fehleranzahl im NC-Programm (P-CHAN-00019)

TwinCAT CNC: Überblick

Fehleranzahl im NC-Programm ( P-CHAN-00019)

Mit "fehler_gesamt" wird festgelegt ab welcher Fehleranzahl die Decodierung des NC-Programms abgebrochen wird.

Variablenname | Typ | erlaubter Bereich | Dimension
fehler_gesamt | UNS16 | 0 ... MAX(UNS16) | ----

BEISPIEL: Nach maximal 20 Fehlern im NC-Programm soll der Syntaxcheck abgebrochen werden.

Auszug aus Kanalparameterliste:

# Parametrierung des Syntaxchecks:

syn_chk.fehler_gesamt 20


Angabe des Betriebsmodus (P-CHAN-00028)

Der Parameter "interaktiv" bestimmt, in welcher Betriebsart der Syntaxcheck betrieben werden soll.

Modus 1 - Automatikbetrieb:

Nach einem Fehler wird automatisch die Decodierung fortgesetzt. Der Syntaxcheck wird nur dann abgebrochen, wenn die unter P-CHAN-00019 und P-CHAN-00020 beschriebenen Grenzwerte erreicht wurden.

Modus 2 - Schritt- (Interaktiv-) betrieb:

Nach jedem Fehler wird die Decodierung angehalten. Der Bediener kann entscheiden, ob der Syntaxcheck weiterlaufen oder die Decodierung abgebrochen werden soll. Werden die unter P-CHAN-00019 und P-CHAN-00020 beschriebenen Grenzwerte erreicht, erfolgt ebenfalls automatisch der Abbruch der Decodierung.

Variablenname | Typ | erlaubter Bereich | Dimension
interaktiv | BOOLEAN | 0/1 | ----

BEISPIEL: Der Syntaxcheck soll im Automatikbetrieb laufen.

Auszug aus Kanalparameterliste:

# Parametrierung des Syntaxchecks:

syn_chk.interaktiv 0

2.30.4 Funktionssatzprotokollierung (P-CHAN-00XXX)

Durch den Parameter "fkts_ausgabe" kann festgelegt werden, ob die Funktionssätze für eine spätere Prüfung protokolliert werden sollen.

Variablenname | Typ | erlaubter Bereich | Dimension
fkts_ausgabe | UNS16 | 0, 1 | ----

0 | Funktionssätze werden decoderintern verworfen.
1 | Decoderfunktionssätze werden zur Protokollierung ausgegeben.


Parametrierung kinemat. Transformation für 5-Achs-Bearbeitung

Mehr:

button Auswahl des Kinematiktyps (P-CHAN-00032)

button Kinematikdaten (kinematik[j].*)

button Orientierungswinkelmodus (P-CHAN-00112)

button Aktivierung von TCP Anzeigedaten (P-CHAN-00145)

button Parameter für die automatische Ausrichtfunktion (tool_ori_cs.*)

button Transformation mit lückender Achse (P-CHAN-00213)


Auswahl des Kinematiktyps (P-CHAN-00032)

TwinCAT CNC: Überblick

Auswahl des Kinematiktyps ( P-CHAN-00032)

Die Kinematik-ID dient zur Identifizierung der in der Steuerung implementierten, maschinen- bzw. werkzeugkopfspezifischen Kinematiktypen.

Über das Element "kinematik_id" wird die Defaulteinstellung für die zu verwendende Kinematik-Transformation festgelegt.

Variablenname | Typ | erlaubter Bereich | Dimension
kinematik_id | UNS16 | 1 < kinematik_id < KINEMATIK_MAX | ----

Wert KINEMATIK_MAX | Bedeutung
applikationsabhängig | Maximale Anzahl der zulässigen Kinematiktypen

Nähere Informationen zu Maschinenkinematik und 5-Achs-Bearbeitung finden sich in [PROG].

BEISPIEL: Nach dem Steuerungshochlauf wird die Kinematik-Transformation für die ISW-Modellmaschine verwendet.

Auszug aus Kanalparameterliste:

# Defaulteinstellung des Kinematiktyps

kinematik_id 1 Modellmaschine


Kinematikdaten (kinematik[j].*)

Diese Struktur enthält die Werkzeugkopfversatzparameter.

Variablenname | Typ | Index | Dimension
kinematik[j] | KINEMATIK | 1 < j < KINEMATIK_MAX | ----

Wert KINEMATIK_MAX | Bedeutung
applikationsabhängig | Maximale Anzahl der zulässigen Kinematiktypen

Mehr:

button Kinematikparameter (P-CHAN-00094)


Kinematikparameter (P-CHAN-00094)

Diese Struktur wird zur Parametrierung der kinematischen Transformation verwendet. Ihre Belegung wird applikationsspezifisch festgelegt.

Parametername ab V263:

Variablenname | Typ | Index | Dimension
param[i] | REAL64 | i = 0 ... [KOPF_VERSATZ_MAX - 1] | 0,1 µm bzw. 0,0001 inch

Parametername bis V260:

wz_kopf_versatz[i]

REAL64

i = 0 ... [KOPF_VERSATZ_MAX - 1]

0,1 µm bzw. 0,0001 inch

Wert KOPF_VERSATZ_MAX | Bedeutung
applikationsabhängig | Maximale Anzahl der Kinematikparameter

Es besteht zusätzlich die Möglichkeit, Kinematikparameter in die Werkzeugdatenliste P-TOOL-00009 einzutragen (diese sind dann unabhängig von der Kinematik nur bei angewähltem Werkzeug relevant). Ist ein Parameter in beiden Listen belegt, so erfolgt in der NC eine Addition der angegebenen Werte.

Nähere Informationen zur Parametrierung der kinematischen Transformation bei der 5-Achs-Bearbeitung finden sich in [PROG].

BEISPIEL: Für drei Werkzeugaggregate (Kinematiken) werden die Versatzmaße angegeben.

Auszug aus Kanalparameterliste:

kinematik_id 2 Default-Kinematik: 2

#

kinematik[1].param[0] 1088000

kinematik[1].param[1] 1987000

kinematik[1].param[2] 342000

#

kinematik[2].param[0] 1538000

kinematik[2].param[1] 25000

kinematik[2].param[2] 0

kinematik[2].param[5] 1800000

#

kinematik[3].param[0] 1487000

kinematik[3].param[1] 25000

kinematik[3].param[2] 0


Orientierungswinkelmodus (P-CHAN-00112)

Bei einer vollständigen Transformation kann abhängig vom Transformationstyp die Orientierung entweder über einen Orientierungsvektor mit drei Komponenten U, V, W oder über drei Drehwinkel A, B, C um die Koordinatensystemachsen programmiert werden. Wegen des zusätzlichen Freiheitgrades in der Handorientierung ist letzeres häufig die Eigenschaft von Roboterstrukturen.

Die Reihenfolge der drei Drehungen um die zugeordneten Rotationsachsen X, Y, Z führt zur gewünschten Zielorientierung bzw. zum Zieleffektorkoordinatensystem. Die Einzeldrehungen werden dabei, sofern nicht anders vermerkt, jeweils mathematisch positiv um die sich neu einstellenden Koordinatensystemachsen durchgeführt.

Manche Kinematiken verwenden spezielle Drehsequenzen, die hier nicht aufgeführt sind. Eine Umschaltung über P-CHAN-00112 ist in diesem Fall nicht möglich. Bei Standard-Fünfachskinematiken ist P-CHAN-00112 ohne Bedeutung.

Variablenname | Typ | erlaubter Bereich | Dimension
ori_rotation_angle | UNS16 | 0, 1 , 2 | ----

0 | YPR (Yaw Pitch Role) Rotationsreihenfolge, 1. Drehung um Z, 2. Drehung negativ um Y, 3. Drehung um X (Default)
1 | Euler, Rotationsreihenfolge: 1. Drehung um Z, 2. Drehung um Y, 3. Drehung um Z
2 | Roboter, Rotationsreihenfolge: 1. Drehung um Z (A), 2. Drehung um Y(B), 3. Drehung um X(C)


Aktivierung von TCP Anzeigedaten (P-CHAN-00145)

Der Parameter dient zur Aktivierung von W0-Anzeigedaten (TCP- Position bezogen auf kartesisches Basiskoordinatensystem der Maschine). Die TCP- Position wird abhängig von der Kinematik-ID P-CHAN-00032 auf Basis der aktuellen Sollachskoordinaten, dem angewählten Werkzeug (Länge) und den Kinematikversatzparametern berechnet. Die Berechnung erfolgt auch bei inaktiver Transformation. Alle Achsen der kinematischen Struktur müssen im Kanal vorhanden sein.

Variablenname | Typ | erlaubter Bereich | Dimension
kin_trafo_display | BOOLEAN | 0/1 | ----

0 | W0- Anzeigefunktion inaktiv (Default)
1 | W0- Anzeigefunktion aktiv

Zur korrekten Anzeige müssen die Achsen referenziert sein !

Die Berücksichtigung von programmierten Werkzeugversätzen (V.G.WZ_AKT.V.*) erfolgt nur bei nachfolgender Programmierung von #KIN ID[<Kinematik-ID>].

Umschalten der TCP Anzeigedaten(P-CHAN-00184)

Der Parameter dient bei aktiver W0-Anzeigefunktion ( P-CHAN-00145 ) zur Umschaltung zwischen Soll- und Istpositionen.


Parameter für die automatische Ausrichtfunktion (tool_ori_cs.*)

Über den CNC Befehl #TOOL ORI CS und einen nachfolgenden Bewegungssatz mit Hauptachsbewegung kann die CNC eine Ausrichtbewegung generieren, die das Werkzeug z.B. senkrecht auf die ersten beiden Hauptachsen des Werkstückkoordinatensystems ausrichtet ([PROG]).

Mehr:

button Parallel zum Werkzeug liegende Achse (P-CHAN-00188)


Parallel zum Werkzeug liegende Achse (P-CHAN-00188)

Über den Parameter kann festgelegt werden, auf welche Achse des aktuellen Koordinatensystems das Werkzeug ausgerichtet werden soll.

Variablenname | Typ | erlaubter Bereich | Dimension
axis | UNS16 | 1, 2, 3 | ----

1 | Ausrichtung erfolgt auf die erste Hauptachse des aktuellen Koordinatensystems X
2 | Ausrichtung erfolgt auf die zweite Hauptachse des aktuellen Koordinatensystems Y
3 | Ausrichtung erfolgt auf die dritte Hauptachse des aktuellen Koordinatensystems Z (Default)

2.30.6.2

Auswahl der Ausrichtlösung (P-CHAN-00189)

Bei einer Ausrichtbewegung auf ein Koordinatensystem sind typischerweise verschiedene Lösungen möglich. Bei einem C-A Winkelkopf gibt es z.B. zu der Lösung C=0 und A=45 Grad die Alternativlösung C=180 Grad und A= -45 Grad.

Über den Parameter kann festgelegt werden, welche Lösung bei der Ausrichtbewegung verwendet wird.

Variablenname | Typ | erlaubter Bereich | Dimension
mode | UNS16 | 0, 1, 2, 3 | ----

0 | Ausrichten gemäß internem Algorithmus (Default)
1 | Ausrichten mit Lösung 1
2 | Ausrichten mit Lösung 2
3 | Ausrichten gemäß kürzestem Verfahrweg (Shortest Way)


Transformation mit lückender Achse (P-CHAN-00213)

Bei der Verwendung von kartesischen und kinematischen Transformationen wird eine nicht lückende Achskonfiguration erwartet. Die CNC prüft bei Anwahl ob die erforderliche Achsanzahl in der aktuellen Konfiguration ohne Lücke vorhanden ist, ggf. kann eine eingefügte Simulationsachse die Achskonfiguration vervollständigen.

In Sonderfällen kann es erforderlich sein auch lückende Achskonfigurationen zuzulassen, z. B. bei einem Werkzeugkopf ohne physikalischen Z-Schlitten. Eine lückende Achskonfiguration ist z.B. an der nicht linear zunehmenden Achsindexsequenz im CNC-Achstausch-Befehl zu erkennen, siehe Beispiel unten.

Nichtlückende Achskonfiguration über NC Befehl:

#SET AX[X, 1, 0][Y, 2, 1][Z, 3, 2][C, 4, 3]

Lückende Achskonfiguration über NC Befehl:

#SET AX[X, 1, 0][Y, 2, 1][C, 4, 3]

Variablenname | Typ | erlaubter Bereich | Dimension
gap_in_trafo_axis_sequence | BOOLEAN | 0: Lückende Achskonfiguration nicht erlaubt (Default). 1: Lückende Achskonfiguration erlaubt | ----


Defaulteinstellungen bei Programmstart (prog_start.*)

TwinCAT CNC: Überblick

Defaulteinstellungen bei Programmstart (prog_start .*)

Mit den Elementen dieser Struktur können G-, M-, F- und Zusatzfunktionen bei Programmstart initialisiert werden. Hierfür sind die Funktionen entsprechend ihrer Funktionalität gruppiert.

Werden in der Kanalparameterliste für eine Gruppe keine Werte angegeben, so werden die eincompilierten Defaultwerte verwendet.

Mehr:

button Initialisierung der G-Funktionen (prog_start.g_gruppe[i].*)

button Initialisierung der M-Funktionen (prog_start.m_gruppe[i].*)

button Initialisierung der Slope-Parameter (prog_start.slope.*)

button Initialisierung des Defaultvorschubes (P-CHAN-00099)

button Initialisierung der Vorschubeinheit (P-CHAN-00108)

button Späte Synchronisation am Programmende (P-CHAN-00033)


Initialisierung der G-Funktionen (prog_start.g_gruppe[i].*)

Für die Änderungsprotokollierung des NC-Kerns (aep.*) wurden die G-Funktionen entsprechend ihrer Funktionalität in Gruppen eingeteilt. Analog dazu wird diese Gruppierung auch zur Initialisierung der G-Funktionen verwendet.

Vorerst sind nur Einstellungen für bestimmte G-Gruppen (siehe Kapitel 2.31.1.1) möglich!

Variablenname | Typ | Index | Dimension
g_gruppe[i] | START_G_GRP | i = 0 ... [MAX_G_GRP - 1] | ----

Wert MAX_G_GRP | Bedeutung
38 | Maximale Anzahl der G-Funktionsgruppen.

Mehr:

button G-Funktionsnummer (P-CHAN-00063)


G-Funktionsnummer (P-CHAN-00063)

Mit diesem Element kann die jeweilige Default-G-Funktion der folgenden G-Funktionsgruppen eingestellt werden.

Gruppe | Erlaubte Default G-Funktionen
g_gruppe[0] | 0, 1, 2, 3, 4 (G00, G01, G02, G03, G04)
g_gruppe[4] | 17, 18, 19 (G17, G18, G19)
g_gruppe[6] | 25, 26 (G25, G26)
g_gruppe[8] | 51, 52 (G51, G52)
g_gruppe[12] | 70, 71 (G70, G71)
g_gruppe[14] | 90, 91 (G90, G91)
g_gruppe[21] | 135, 137 (G135, G137)
g_gruppe[22] | 138, 139 (G138, G139)
g_gruppe[23] | 161, 162 (G161, G162)
g_gruppe[25] | 164, 165 (G164, G165)
g_gruppe[32] | 140, 141 (G140, G141)

Variablenname | Typ | erlaubter Bereich | Dimension
nr | SGN16 | -1 < nr < MAX(UNS16) | ----

BEISPIEL: Bei Programmstart sollen die zulässigen G-Gruppen wie folgt initialisiert sein:

Auszug aus Kanalparameterliste:

# Defaulteinstellungen fuer G-Funktionen

prog_start.g_gruppe[0].nr 0 (Bereich: WEG_BED)

prog_start.g_gruppe[4].nr 17 (Bereich: EBENE)

prog_start.g_gruppe[6].nr 25 (Bereich: WRK_UEBER)

prog_start.g_gruppe[8].nr 52 (Bereich: DURCHM)

prog_start.g_gruppe[12].nr 71 (Bereich: MASSEINH)

prog_start.g_gruppe[14].nr 90 (Bereich: MASSANG)

prog_start.g_gruppe[21].nr 135 (Bereich: VORST)

prog_start.g_gruppe[22].nr 139 (Bereich: WRK_E_A)

prog_start.g_gruppe[23].nr 162 (Bereich: MPKT_A_R)

prog_start.g_gruppe[25].nr 165 (Bereich: MPKT_KORR)

prog_start.g_gruppe[32].nr 140 (Bereich: CONT_MASK)


Initialisierung der M-Funktionen (prog_start.m_gruppe[i].*)

M-Funktionen sind ebenfalls in Gruppen eingeteilt. Vorerst gibt es allerdings nur die Gruppe der Spindel-M-Funktionen.

Vorerst sind nur Einstellungen für die Default-Spindel-M-Funktion (m_gruppe[0]) möglich!

Variablenname | Typ | Index | Dimension
m_gruppe[i] | START_M_GRP | i = 0 ... [MAX_M_GRP - 1] | ----

Wert MAX_M_GRP | Bedeutung
2 | Maximale Anzahl der M-Funktionsgruppen.

Mehr:

button M-Funktionsnummer (P-CHAN-00064)


M-Funktionsnummer (P-CHAN-00064)

Mit diesem Element kann die Default-M-Funktion der jeweiligen M-Funktionsgruppe eingestellt werden.

Gruppe | Erlaubte Default G-Funktionen
m_gruppe[0] | 3, 4, 5 (M03, M04, M05)

Variablenname | Typ | erlaubter Bereich | Dimension
nr | SGN16 | -1 < nr < MAX(UNS16) | ----

BEISPIEL: Bei Programmstart soll die Spindel-M-Funktion "Spindel halt" (M05) aktiv sein.

Auszug aus Kanalparameterliste:

# Defaulteinstellungen fuer M-Funktionen

prog_start.m_gruppe[0].nr 5 (Bereich: SPDL_M_FCT)


Initialisierung der Slope-Parameter (prog_start.slope.*)

TwinCAT CNC: Überblick

Initialisierung der Slope-Parameter (prog_start.slope .*)

Mit den Elementen dieser Struktur können die Default-Werte der Slope-Parameter initialisiert werden, die bei Programmstart an die Look-Ahead-Funktion geschickt werden.

Mehr:

button Beschleunigungsprofil (P-CHAN-00071)

button Wirkung der Rampenzeitgewichtung (P-CHAN-00073)

button Wirkung der Beschleunigungsgewichtung (P-CHAN-00001)


Beschleunigungsprofil (P-CHAN-00071)

Defaultwert für die Art des angewählten Beschleunigungsprofils bei Bahnbewegungen und Bewegungen von Pendelachsen.

Variablenname | Typ | erlaubter Bereich | Dimension
profile | SGN16 | 0, 1, 2, 3 | ----

0 | Sprungförmiges Beschleunigungsprofil (Default)
1 | Trapezförmiges Beschleunigungsprofil
2 | Sinusquadratförmiges Beschleunigungsprofil
3 | HSC-Slope


Wirkung der Rampenzeitgewichtung (P-CHAN-00073)

Defaultwert für die Einstellung der Rampenzeitgewichtung. Dieser ist nur bei trapez- oder sinusquadratförmigem Beschleunigungsprofil von Bedeutung.

Variablenname | Typ | erlaubter Bereich | Dimension
ramp_time | SGN16 | 0, 1, 2, 3, 4 | ----

0 | Gewichtung wirkt auf alle Rampenzeiten (Default)
1 | Gewichtung wirkt auf TR,beschl,zu
2 | Gewichtung wirkt auf TR,beschl,ab
3 | Gewichtung wirkt auf TR,brems,zu
4 | Gewichtung wirkt auf TR,brems,ab


Wirkung der Beschleunigungsgewichtung (P-CHAN-00001)

TwinCAT CNC: Überblick

Wirkung der Beschleunigungsgewichtung ( P-CHAN-00001)

Defaultwert für die Einstellung der Beschleunigungsgewichtung.

Variablenname | Typ | erlaubter Bereich | Dimension
acceleration | SGN16 | 0, 1, 2 | ----

0 | Gewichtung wirkt auf alle Beschleunigungen (Default)
1 | Gewichtung wirkt auf abeschl
2 | Gewichtung wirkt auf abrems

BEISPIEL: Bei Programmstart soll der Slope mit trapezförmigem Beschleunigungsprofil initialisiert werden. Die Rampenzeitgewichtung wirkt auf alle Rampenzeiten und die Beschleunigungsgewichtung wirkt auf abrems.

Auszug aus Kanalparameterliste:

prog_start.slope.profile 1

prog_start.slope.ramp_time 0

prog_start.slope.acceleration 2


Initialisierung des Defaultvorschubes (P-CHAN-00099)

Defaultwert für die Einstellung des F-Wortes bei Programmierung eines Vorschubsatzes.

Variablenname | Typ | Erlaubter Bereich | Dimension
feedrate | REAL64 | ---- | mm/min

BEISPIEL: Bei Programmierung eines Vorschubsatzes (G01/G02/G03) soll die Geschwindigkeit bei fehlendem F-Wort z.B. 1000 mm/min betragen.

Auszug aus Kanalparameterliste:

prog_start.feedrate 1000


Initialisierung der Vorschubeinheit (P-CHAN-00108)

Dieser Parameter bestimmt, in welcher Einheit der Vorschubwert ( z.B. F1000) interpretiert wird.

Variablenname | Typ | Erlaubter Bereich | Dimension
feedrate_factor | REAL64 | 0.1, 100 | ----

0.1 | Einheit des F-Wortes ist m/min
100 | Einheit des F-Wortes ist mm/min
<= 0 | Ausgabe einer Warning. Interne Defaultbelegung mit Wert 100 (mm/min). Ausnahme: Beim Wert -1 oder wenn der Parameter nicht in Liste vorhanden ist, wird keine Warning erzeugt. Ebenfalls interne Defaultbelegung mit Wert 100 (mm/min).

BEISPIEL: Der programmierte Vorschub soll in der Einheit mm/min interpretiert werden.

Auszug aus Kanalparameterliste:

prog_start.feedrate_factor 100


Späte Synchronisation am Programmende (P-CHAN-00033)

Dieser Parameter wird in Verbindung mit den Synchronisationsarten MVS_SLM und MVS_SLP verwendet (Late Sync). Er bestimmt die Reaktion auf am Programmende noch offene Late Sync M-Funktionen. Dies kann auftreten wenn im NC-Programm kein G01 Satz bis Programmende folgte (bei MVS_SLM) oder die explizite Synchronisation nicht programmiert wurde (bei MVS_SLP).

Variablenname | Typ | erlaubter Bereich | Dimension
late_sync_ready | BOOLEAN | 0/1 | ----

0 | Die offenen Late Sync M-Funktionen am Programmende sind beim nächsten Programmstart weiterhin aktiv. Dies bedeutet, das eine oder mehrere offene Late Sync M-Funktionen des ersten NC-Programmes erst durch ein Late Sync Event (G01 Satz oder #EXPL SYN) des zweiten NC-Programmes getriggert werden.
1 | Am Programmende wird gewartet, bis alle offenen Late-Sync-M-Funktionen von der PLC quittiert sind.

BEISPIEL: Am Programmende soll gewartet werden, bis alle offenen Late-Sync-M-Funktionen von der PLC quittiert sind.

Auszug aus Kanalparameterliste:

prog_start.late_sync_ready 1


Reduktion der tangentialen Übergangsgeschwindigkeit (P-CHAN-00009)

Tangentiale Satzübergänge zwischen Kreisen mit unterschiedlichen Radien, Kreisen und Linearsätzen und umgekehrt führen zu einem Rucksprung abhängig vom Kreisradius. Um Schwingungsanregungen an der Maschine bei aktiven nichtlinearen Geschwindigkeitsprofilen zu reduzieren kann der entstehende Ruck durch die Aktivierung dieser Funktion reduziert werden. An tangentialen Satzübergängen wird die Geschwindigkeit abhängig vom zulässigen Ruck reduziert. Die Berechnung erfolgt auf Basis der achsspezifischen Ruckparameter für die nichtlinearen Geschwindigkeitsprofile (siehe auch Dokumentation [AXIS]).

Andererseits ist die Reduzierung der Übergangsgeschwindigkeit an tangentialen Satzübergängen bei bestimmten Bearbeitungstechnologien nicht zu akzeptieren, da der Bearbeitungsprozeß sehr empfindlich auf eine Geschwindigkeitsabnahme reagiert.

Variablenname | Typ | Erlaubter Bereich | Dimension
corr_v_trans_jerk | BOOLEAN | 0/1 | ----

0 | Keine Berücksichtigung des Rucks an tangentialen Satzübergängen.
1 | Berücksichtigung des Rucks an tangentialen Satzübergängen.


Betrachtung des Rucks im Polynom (P-CHAN-00110)

Die Krümmung der programmierten Kontur (Polynom) führt zu einem Achsruck. Ist der Wert 1, so wird dieser Ruck mit den achsspezifischen Dynamikparametern der geometrischen Rampenzeit (P-AXIS-00199) [AXIS] überwacht. Ist der Wert 2, so werden die Rampenzeiten P-AXIS-00195...P-AXIS-00198 für die Ruckbetrachtung verwendet. Ist in der Achse ein relativ kleiner maximaler Ruck angegeben, so wird die Geschwindigkeit auf der Bahn entsprechend reduziert. Ist diese Reduktion z.B. aus technologischen Gründen nicht erwünscht, so kann die Überwachung des Rucks innerhalb von Polynomen durch diesen Parameter ausgeschaltet werden.

Variablenname | Typ | Erlaubter Bereich | Dimension
check_jerk_on_poly_path | BOOLEAN | 0/1/2 | ----

0 | Keine Ruckbegrenzung innerhalb des Polynoms.
1 | Ruckbegrenzung innerhalb des Polynoms auf Basis von P-AXIS-00199 .
2 | Ruckbegrenzung innerhalb des Polynoms auf Basis des Maximums von P-AXIS-00195 , P-AXIS-00196 , P-AXIS-00197 , P-AXIS-00198 .


Modus für Ruckbegrenzung am Satzübergang (P-CHAN-00117)

Für die Parametrierung der Ruckbegrenzung an beliebigen Satzübergängen sind über diesen Parameter verschiedene Modi auswählbar. Der Ruck kann z.B. entweder über Beschleunigungsgewichtung oder direkt über die Vorgabe der maximalen Ruckwerte eingestellt werden.

Variablenname | Typ | Erlaubter Bereich | Dimension
mode_trans_jerk | UNS32 | 0/1/2 | ----

0 | Gewichtungsparameter P-AXIS-00013 ist abhängig von P-AXIS-00154 , d.h. P-AXIS-00013 kann nicht kleiner als P-AXIS-00154 eingestellt werden.
1 | Gewichtungsparameter P-AXIS-00154 und P-AXIS-00013 sind unabhängig voneinander einstellbar.
2 | Ruckparameter P-AXIS-00339 und P-AXIS-00340 sind wirksam und unabhängig voneinander einstellbar


Look-Ahead Geschwindigkeitsgrenzwert (speed_limit_look_ahead.*)

Abhängig von der Bearbeitungstechnologie kann es erforderlich sein, daß die Steuerung die SPS über Änderungen des Geschwindigkeitsverlaufs informiert. In diesem Fall wird ein Signal Speed limit detected (SLD) erzeugt, wenn die aktuelle Geschwindigkeit unter den Geschwindigkeitsgrenzwert fällt.

Abbildung 2-7: Timing-Diagramm des Geschwindigkeits-Look-ahead

Auszug aus Kanalparameterliste:

speed_limit_look_ahead.f_enable 1 0: inaktiv, 1: aktiv

speed_limit_look_ahead.v_limit 750 [0.1%] von prog. Geschw.

speed_limit_look_ahead.f_time 1 Einheit Zeit oder Weg

speed_limit_look_ahead.dist_to_corner 5000 [0.1um oder us]

speed_limit_look_ahead.dist_from_corner 6000 [0.1um oder us]

speed_limit_look_ahead.f_override_weight_v_limit 0 0: inaktiv, 1: aktiv

Mehr:

button Aktivierung / Deaktivierung (P-CHAN-00017)

button Gewichtung des Geschwindigkeitsgrenzwertes (P-CHAN-00089)

button Einheit (P-CHAN-00018)

button Abstand zur Ecke (P-CHAN-00013)

button Abstand von Ecke (P-CHAN-00012)

button Gewichtung des Geschwindigkeitsgrenzwertes über Override (P-CHAN-00155)


Aktivierung / Deaktivierung (P-CHAN-00017)

Parameter für Aktivierung / Deaktivierung der Funktionalität Geschwindigkeits-Look-ahead.

Variablenname | Typ | Erlaubter Bereich | Dimension
f_enable | BOOLEAN | 0/1 | ----

0 | Funktion Geschwindigkeits-Look-ahead ist inaktiv.
1 | Funktion Geschwindigkeits-Look-ahead ist aktiv.


Gewichtung des Geschwindigkeitsgrenzwertes (P-CHAN-00089)

Geschwindigkeitsgrenzwert in 0.1 Prozent der programmierten Geschwindigkeit. Fällt die aktuelle Geschwindkeit unter den Grenzwert

v = vprog*v_limit/1000

,wird das logische Signal SLD 0 ->1 erzeugt.

Variablenname | Typ | Erlaubter Bereich | Dimension
v_limit | UNS32 | 0 ..MAX(UNS32) | 0.1%


Einheit (P-CHAN-00018)

Das logische Signal SLD wird in Abhängigkeit von den Parameterwerten Weg oder Zeit erzeugt.

Variablenname | Typ | Erlaubter Bereich | Dimension
f_time | BOOLEAN | 0/1 | ----

0 | Die Parameterwerte P-CHAN-00012 und P-CHAN-00013 werden als Weg interpretiert.
1 | Die Parameterwerte P-CHAN-00012 und P-CHAN-00013 werden als Zeit interpretiert.


Abstand zur Ecke (P-CHAN-00013)

Das logische Signal SLD 0 ->1 wird im voraus in Abhängigkeit des Parameters Weg bis Ecke oder Zeit bis Ecke erzeugt. Mit Ecke ist hier die Position im Satz gemeint, an der die Geschwindigkeit unter den Geschwindigkeitsgrenzwert fällt.

Variablenname | Typ | Erlaubter Bereich | Dimension
dist_to_corner | UNS32 | 0 .MAX(UNS32) | 0.1µm oder µs


Abstand von Ecke (P-CHAN-00012)

Das logische Signal SLD 1 ->0 wird in Abhängigkeit des Parameters Weg von Ecke oder Zeit von Ecke zurückgenommen. Mit Ecke ist hier die Position im Satz gemeint, an der die Geschwindigkeit wieder über den Geschwindigkeitsgrenzwert steigt.

Variablenname | Typ | Erlaubter Bereich | Dimension
dist_from_corner | UNS32 | 0 .MAX(UNS32) | 0.1µm oder µs


Gewichtung des Geschwindigkeitsgrenzwertes über Override (P-CHAN-00155)

Mit diesem Parameter wird die Beeinflussung des Geschwindigkeitsgrenzwertes über den Echtzeitvorschuboverride gesteuert. In der Defaulteinstellung beeinflusst der Echtzeitvorschuboverride den Geschwindigkeitsgrenzwert P-CHAN-00089 (v_limit) nicht. Ist dies jedoch z.B. für die Inbetriebnahme oder das Einfahren von Konturen erwünscht, so wird der Parameter auf 1 gesetzt. Dann wird der parametrierte Geschwindigkeitsgrenzwert über den Overridewert gewichtet. Bei nicht konstant programmiertem Vorschub ist zu beachten, dass das Signal SLD jeweils in den Beschleunigungsphasen aktiv wird, da das Geschwindigkeitslimit am Satzanfang auf den neuen Wert gesetzt wird.

Variablenname | Typ | Erlaubter Bereich | Dimension
f_override_weight_v_limit | BOOLEAN | 0/1 | ----

0 | Keine Gewichtung von P-CHAN-00089 (Default).
1 | Gewichtung von P-CHAN-00089 über Override.

Abbildung 2- 8 : Timing-Diagramm ohne Overridegewichtung ( f_override_weight_v_limit = 0 )

Abbildung 2- 9 : Timing-Diagramm mit Overridegewichtung ( f_override_weight_v_limit = 1 )


Einstellungen für den Handbetrieb

Mehr:

button Verwerfen von Handbetriebsweg (P-CHAN-00113)

button Relative Handbetriebsoffsetgrenzen bei G200 (P-CHAN-00114)

button Override bei Handradbetrieb (P-CHAN-00186)


Verwerfen von Handbetriebsweg (P-CHAN-00113)

Der Handbetriebsmodus G201 kann entweder über G202 abgewählt werden oder er wird am Programmende implizit deaktiviert. Der G200 Modus kann nur über den Wechsel der Betriebsart oder über Fortsetzen im Automatikmodus beendet werden. Abhängig von der Betriebsart (Tipp, Jog), den Dynamikparametern und der aktiven Echtzeitbeeinflussung wie z.B. Override kann zum Deaktivierungszeitpunkt des Handbetriebs noch Fahrweg aktiv sein der zu einem längeren Nachlauf der Achsbewegung führt.

Ist dies unerwünscht so kann über den Parameter "path_reject_std_manual_mode" dieser Nachlaufweg verworfen werden. Die Bewegung wird dann sofort bei Deaktivierung des Handbetriebs gestoppt.

Variablenname | Typ | Erlaubter Bereich | Dimension
path_reject_std_manual_mode | BOOLEAN | 0/1 | ----

0 | Aktiver Handbetriebsweg bei Programmende wird ausgefahren.
1 | Aktiver Handbetriebsweg bei Programmende wird verworfen.


Relative Handbetriebsoffsetgrenzen bei G200 (P-CHAN-00114)

Bei aktivem G200 erfolgt die Fahrbereichseinschränkung bei zuvor durchgeführter Referenzpunktfahrt über die Softwareendschalter.

Sollen auch die relativen Offsetgrenzen berücksichtigt werden, so kann dies über den Parameter "rel_offset_limits_std_manual_mode" gesteuert werden.

Variablenname | Typ | Erlaubter Bereich | Dimension
rel_offset_limits_std_manual_mode | BOOLEAN | 0/1 | ----

0 | Relative Offsetgrenzen werden bei G200 nicht berücksichtigt.
1 | Relative Offsetgrenzen werden bei G200 berücksichtigt.


Override bei Handradbetrieb (P-CHAN-00186)

Bei Tipp oder Joggbetrieb wirkt der achsspezifische bzw. bahnspezifische Override auf den Vorschub. Bei Handradbetrieb wird keine Overridegewichtung des Vorschubs durchgeführt. Der aktuelle Vorschub ergibt sich aus der Drehgeschwindigkeit des Handrades und der eingestellten Parametrierung für die Auflösung und den Weg pro CNC-Takt. Der Nennvorschub wird durch die achspezifische Handbetriebsparametrierung festgelegt.

Über den Parameter P-CHAN-00186 kann eingestellt werden, dass der Override auch bei Handradbetrieb wirksam ist.

Variablenname | Typ | Erlaubter Bereich | Dimension
override_v_handwheel | BOOLEAN | 0/1 | ----

0 | Keine Vorschubgewichtung durch Override bei Handradbetrieb (Default).
1 | Vorschubgewichtung durch Override bei Handradbetrieb.


Exklusivität der Maßsystemprogrammierung (P-CHAN-00116)

Durch den Parameter "multi_dimension_in_block" kann die Exklusivität der Programmierung von G90/G91 (Absolutes/relatives Maßsystem) im gleichen NC-Satz aufgehoben werden ([PROG - Kapitel Maßsysteme (G90/G91)].

Variablenname | Typ | erlaubter Bereich | Dimension
multi_dimension_in_block | BOOLEAN | 0/1 | ----

0 | G90/G91 dürfen nur exklusiv in einem NC-Satz programmiert werden (Default).
1 | G90/G91 dürfen gleichzeitig in einem NC-Satz programmiert werden. Das zuletzt programmierte Maßsystem ist für alle nachfolgenden Positionsangaben bis zum nächsten G90/G91 gültig.


Exklusivität der Achsprogrammierung (P-CHAN-00148)

Durch den Parameter "multi_axes_in_block" kann die Exklusivität der Programmierung von Achsen aufgehoben werden. Dieser Parameter wird nur dann ausgewertet, wenn auch die Mehrfachprogrammierung des Maßsystems erlaubt ist (P-CHAN-00116).

Zulässig ist dann die Mehrfachprogrammierung gleicher Achsen in einer Dimension (G90/ G91) im gleichen NC-Satz.

Programmierbeispiel

Nxx G90 X10 G91 Y10 Z20 Y1 -> Y relativ um 11

Nxx G90 X10 Y10 X2 G91 Z30 -> X absolut auf 2

Nxx G90 X10 Y20 G91 Z30 G90 Y5 -> Y absolut auf 5

Variablenname | Typ | erlaubter Bereich | Dimension
multi_axes_in_block | BOOLEAN | 0/1 | ----

0 | Achsen dürfen nur exklusiv in einem NC-Satz programmiert werden (Default).
1 | Gleiche Achsen dürfen mehrfach in einem NC-Satz programmiert werden. Für die mehrfach programmierten Achsen muß das gleiche Maßsystem (G90/G91) verwendet werden.


Unterprogrammaufruf bei M6 (P-CHAN-00118)

Mit dem Parameter "m6_prog_file" wird der Name eines globalen Unterprogramms definiert, welches implizit aufgerufen wird, wenn im NC-Programm ein M6 erkannt wurde.

M6 wird dann nicht mehr als normale M-Funktion behandelt, sondern ist im Sinne eines globalen Unterprogrammaufrufes analog zu "L ..." zu verstehen. Somit wird auch kein Technoprozess ausgelöst.

Ist der Parameter "m6_prog_file" nicht belegt oder in der Kanalparameterliste nicht vorhanden, so wird ein M6 als normale M-Funktion behandelt.

Der Unterprogrammname kann auch im NC-Programm über den Befehl #FILENAME [M6="<prog_name>"] gesetzt werden. Dieser neue Unterprogrammname ist dann bis zum Programmende M30 oder bis zu einem weiteren #FILENAME [M6="<prog_name>"] gültig [PROG].

Nach RESET oder Programmstart gilt dann wieder der Eintrag von "m6_prog_file" aus der Kanalparameterliste.

Variablenname | Typ | erlaubter Bereich | Dimension
m6_prog_file | PROG_NAME | String | ----

Auszug aus Kanalparameterliste:

m6_prog_file tool_change1.nc


Unterprogrammaufruf bei Programmstart (P-CHAN-00119)

Wenn im Parameter "start_init_prog_file" der Name eines (globalen) Unterprogramms eingetragen ist, wird im normalen NC-Programmstart implizit dieses Unterprogramm als erste Aktion ausgeführt.

Im MDI oder Handbetrieb wird dieses Unterprogramm nicht ausgeführt.

Variablenname | Typ | erlaubter Bereich | Dimension
start_init_prog_file | PROG_NAME | String | ----

Auszug aus Kanalparameterliste:

start_init_prog_file init.nc


Einstellungen für die Softwareendschalterüberwachung

Mehr:

button Softwareendschalterüberwachung mit Toleranz (P-CHAN-00120)

button Fehlerreaktion bei sollwertseitiger SWE-Überwachung (P-CHAN-00147)


Softwareendschalterüberwachung mit Toleranz (P-CHAN-00120)

Die istwertseitige Softwareendschalterüberwachung (SWE-Überwachung) wird grundsätzlich auf Basis von P-AXIS-00177 und P-AXIS-00178 und unter Berücksichtigung der Toleranz P-AXIS-00179 durchgeführt.

Die sollwertseitige SWE-Überwachung wird in der Bahnvorbereitung auf Basis von P-AXIS-00177 und P-AXIS-00178 durchgeführt. Stehen Achsen bei Programmstart außerhalb der oben genannten SWE-Positionen, so meldet die CNC einen SWE-Fehler.

Über den Parameter "soft_limit_tolerance" kann der Anwender eine SWE-Überwachung mit Toleranz aktivieren; in diesem Fall wird auch in der Bahnvorbereitung zusätzlich der Achsparameter P-AXIS-00179 berücksichtigt. Befindet sich in diesem Fall die aktuelle Achsposition außerhalb der SWE-Positionen, aber innerhalb der Toleranz, so wird kein SWE-Fehler erzeugt. Die Toleranz wird hierbei nur berücksichtigt, wenn die Achse nicht programmiert bzw. bewegt ist.

Variablenname | Typ | erlaubter Bereich | Dimension
soft_limit_tolerance | BOOLEAN | 0/1 | ----

0 | Softwareendschalterüberwachung ohne Toleranz
1 | Softwareendschalterüberwachung mit Toleranz bei stehenden Achsen


Fehlerreaktion bei sollwertseitiger SWE-Überwachung (P-CHAN-00147)

Dieser Parameter legt die Fehlerreaktion für einzelne Achsen des Kanals bei der sollwertseitigen Softwareendschalterüberwachung fest. Die Fehlerreaktion der istwertseitigen Überwachung wird nicht beeinflußt. Die Funktion ist Eigenschaft der Kanalachsen.

Variablenname | Typ | Erlaubter Bereich | Dimension
soft_limit_warning_axes | UNS32 | 0x0..0xFFFFFFFF | ----

0 | Fehlerreaktion bei sollwertseitiger Überschreitung von SWE ist Bewegungsstop der Achsen, Kanal bleibt bis zum CNC Reset im Fehlerzustand (Default).
!=0 | Nur Warning bei sollwertseitiger Überschreitung von SWE für die definierten Achsen, Bearbeitung wird fortgesetzt.

BEISPIEL: Warnung bei sollwertseitiger SWE- Überschreitung der Achsen 1 bis 3 des Kanals.

Auszug aus Kanalparameterliste:

soft_limit_warning_axes 0x7


Anzeigeformat bei der Bearbeitungssimulation (P-CHAN-00121)

Durch den Parameter "simu_output_wcs"kann das Format der Anzeigedaten an der Schnittstelle zur Bearbeitungssimulation bzgl. des Koordinatensystems umgeschaltet werden.

Variablenname | Typ | erlaubter Bereich | Dimension
simu_output_wcs | BOOLEAN | 0/1 | ----

0 | Anzeige der Achskoordinaten einschließlich Versätze (Maschinenkoordinaten)
1 | Anzeige der Absolutkoordinaten ohne Versätze (Programmierte Koordinaten)


Listeninterpretation bei aktivem NC-Programm (P-CHAN-00146)

Die Übernahme von Konfigurationslisten während aktivem NC-Programm ist normalerweise nicht zulässig.

Durch den Parameter "parameter_change_during_execution" kann diese Verriegelung jedoch aufgehoben werden. Der Anwender muß dann sicherstellen, dass zum Übernahmezeitpunkt einer neuen Liste durch geeignete Programmierung (z.B. #FLUSH WAIT in Verbindung mit einer M-Funktion) die Bufferwirkung des Kanals aufgehoben ist.

Damit ist die Übernahme von Nullpunktverschiebungen, Platzversätzen, Werkzeugdaten, externen Variablen und Kanalparametern auch bei aktivem NC-Programm möglich.

Variablenname | Typ | erlaubter Bereich | Dimension
parameter_change_during_execution | BOOLEAN | 0/1 | ----

0 | Interpretation von Listen während aktivem NC-Programm verriegelt (Default).
1 | Interpretation von Listen während aktivem NC-Programm erlaubt.


Übernahme Satznummer bei Unterprogrammaufruf (P-CHAN-00150)

Mit dem Eintritt in ein Unterprogramm wird in der Grundeinstellung intern der Wert der zuletzt eingelesenen Satznummer auf Null gesetzt.

Als Ergebnis liefert ein Lesezugriff zu Beginn dieses Unterprogramms über die Variable V.G.SATZ_NR dann den Wert 0.

Mit gesetztem Parameter "remain_block_number_sub_prog_call" bleibt mit dem Eintritt in ein Unterprogramm der Wert der zuletzt eingelesenen Satznummer aus dem übergeordneten (Haupt-)Programm intern erhalten.

Die Variable V.G.SATZ_NR liefert als Ergebnis (bei Verwendung von Satznummern) einen Wert > 0.

Variablenname | Typ | erlaubter Bereich | Dimension
remain_block_number_sub_prog_call | BOOLEAN | 0/1 | ----

0 | Interner Wert der zuletzt programmierten Satznummer wird beim Unterprogrammaufruf auf Null gesetzt (Default).
1 | Interner Wert der zuletzt programmierten Satznummer wird beim Unterprogrammaufruf beibehalten.

Programmierbeispiel

Mit "remain_block_number_sub_prog_call" 0

:

N1000 X100 Y200 Z300

N1010 LL SUB1.NC

-> Zugriff V.G.SATZ_NR zu Beginn von SUB1.NC liefert 0

Mit "remain_block_number_sub_prog_call" 1

:

N1000 X100 Y200 Z300

N1010 LL SUB1.NC

-> Zugriff V.G.SATZ_NR zu Beginn von SUB1.NC liefert 1010


Parametrierung der HSC-Bearbeitung (hsc.*)

Die HSC-Bearbeitung ist über eine steuerungsinterne Grundinitialisierung parametriert. Mit Hilfe der nachfolgend beschriebenen Parameter kann diese interne Grundinitialisierung für die HSC-Bearbeitung zusätzlich modifiziert werden. Hierbei wird unterschieden zwischen speziellen Parametern für die HSC-Bearbeitung mit BSPLINE sowie allgemeinen HSC-Parametern.

Zusätzlich kann die Basisparametrierung nach Programmstart auch über die entsprechenden HSC-Befehle (#HSC.. [...]) modifiziert bzw. angewählt werden [PROG].

Mehr:

button BSPLINE-Parameter (hsc.bspline.*)

button Allgemeine HSC-Parameter (hsc.gen.*)

button HSC-Filter-Parameter (hsc.filter.*)


BSPLINE-Parameter (hsc.bspline.*)

Mehr:

button Abweichung von der Bahnkontur (P-CHAN-00122)

button Abweichung der Mittschleppachsen (P-CHAN-00123)

button Bahnlänge relevanter Sätze (P-CHAN-00124)

button Konturknickwinkel für Linearsatzübergänge (P-CHAN-00125)

button Abbruchkriterium für das Zusammenfassen von Sätzen (P-CHAN-00126)

button Startkriterium für das Zusammenfassen von Sätzen (P-CHAN-00127)

button Splineabwahl bei G00-Sätzen (P-CHAN-00128)

button Verhalten bei maximaler Bahnabweichung (P-CHAN-00129)

button Verhalten bei maximaler Mitschleppachsabweichung (P-CHAN-00130)

button Begrenzung des Eckenabstandes (P-CHAN-00131)


Abweichung von der Bahnkontur (P-CHAN-00122)

Der Parameter "path_deviation" bestimmt die maximale Abweichung des B-Splines von der programmierten Bahnkontur. Wird diese Abweichung überschritten, so wird der Spline automatisch abgewählt.

Variablenname | Typ | erlaubter Bereich | Dimension
path_deviation | REAL64 | 0 .MAX(REAL64) | 0.1µm


Abweichung der Mittschleppachsen (P-CHAN-00123)

Der Parameter "track_deviation" bestimmt die maximale Abweichung der Mitschleppachsen.

Variablenname | Typ | erlaubter Bereich | Dimension
track_deviation | REAL64 | 0 .MAX(REAL64) | 0.1µm oder 0,0001º


Bahnlänge relevanter Sätze (P-CHAN-00124)

Der Parameter "max_path_length" bestimmt die maximale Bahnlänge relevanter Sätze. Sind Sätze länger als die angegebene Länge, so wird der B-Spline implizit abgewählt.

Variablenname | Typ | erlaubter Bereich | Dimension
max_path_length | REAL64 | 0 .MAX(REAL64) | 0.1µm


Konturknickwinkel für Linearsatzübergänge (P-CHAN-00125)

Der Parameter "max_angle" bestimmt den maximalen Konturknickwinkel für Übergänge zwischen zwei Linearsätzen bis zu dem ein B-Spline eingefügt wird. Ist der Winkel zwischen den beiden Linearsätzen größer, so erfolgt eine interne Abwahl des B-Splines.

Variablenname | Typ | erlaubter Bereich | Dimension
max_angle | REAL64 | 0 .MAX(REAL64) | 0,0001º


Abbruchkriterium für das Zusammenfassen von Sätzen (P-CHAN-00126)

Der Parameter "merge_retry" bestimmt die maximale Anzahl von Versuchen, Sätze im aktuellen Mergewindow P-CHAN-00127 zu einem Splinesegment zusammenzufassen.

Variablenname | Typ | erlaubter Bereich | Dimension
merge_retry | UNS32 | 0 .MAX(UNS32) | ----


Startkriterium für das Zusammenfassen von Sätzen (P-CHAN-00127)

Immer bei Erreichen der im Parameter "merge_window" festgelegten Anzahl von Sätzen wird das Zusammenfassen zu Splinesegmenten gestartet.

Variablenname | Typ | erlaubter Bereich | Dimension
merge_window | UNS32 | 0 .MAX(UNS32) | ----


Splineabwahl bei G00-Sätzen (P-CHAN-00128)

Der Parameter "auto_off_g00" bestimmt die automatische Abwahl der B-Splineinterpolation bei G00-Sätzen

Variablenname | Typ | erlaubter Bereich | Dimension
auto_off_g00 | BOOLEAN | 0/1 | ----

0 | Keine implizite Abwahl aufgrund eines Eilgangsatzes
1 | Implizite Abwahl aufgrund eines Eilgangsatzes


Verhalten bei maximaler Bahnabweichung (P-CHAN-00129)

Der Parameter "auto_off_path" bestimmt bei Überschreiten der maximalen Bahnabweichung, welche Maßnahme bei der Splinegenerierung zur Anwendung kommt.

Variablenname | Typ | erlaubter Bereich | Dimension
auto_off_path | BOOLEAN | 0/1 | ----

0 | Der Spline wird so verändert (Verringern des Eckenabstandes), dass die vorgegebene maximale Eckenabweichung eingehalten wird und der Spline die Originalkontur vor und nach der Ecke berührt. Es erfolgt keine Abwahl des Splines.
1 | Der Spline wird an der Ecke automatisch abgewählt. Ein evtl. Konturknick an der Ecke bleibt somit bestehen (scharfes Eck).


Verhalten bei maximaler Mitschleppachsabweichung (P-CHAN-00130)

Der Parameter "auto_off_track" bestimmt bei Überschreiten der maximalen Mitschleppachsenabweichung, welche Maßnahme bei der Splinegenerierung zur Anwendung kommt.

Variablenname | Typ | erlaubter Bereich | Dimension
auto_off_track | BOOLEAN | 0/1 | ----

0 | Der Spline wird so verkleinert (Verringern des Eckenabstandes), dass die vorgegebene maximale Abweichung eingehalten wird und der Spline die Originalkontur vor und nach der Ecke berührt. Es erfolgt keine Abwahl des Splines.
1 | Der Spline wird an der Ecke automatisch abgewählt. Ein evtl. Konturknick an der Ecke bleibt somit bestehen.


Begrenzung des Eckenabstandes (P-CHAN-00131)

Der Parameter "limit_corner_dist" bestimmt den minimalen Eckabstand in Abhängigkeit von der Originalsatzlänge, auf den bei der Splinegenerierung insbesondere bei prismatischen Teilen begrenzt wird.

Variablenname | Typ | erlaubter Bereich | Dimension
limit_corner_dist | REAL64 | 0 .250 (25%) | 0.1%


Allgemeine HSC-Parameter (hsc.gen.*)

Mehr:

button Segmentierung von Linearsätzen (P-CHAN-00132)

button Satzanzahl bei Linearsegmentierung (P-CHAN-00133)

button Segmentierungsvorschrift (P-CHAN-00134)

button Segmentlänge bei Linearsätzen (P-CHAN-00135)

button Basis der Segmentierung von Zirkularsätzen (P-CHAN-00136)

button Segmentierung von Zirkularsätzen (P-CHAN-00137)

button Konturfehler bei Segmentierung von Zirkularsätzen (P-CHAN-00138)

button Behandlung kurzer Sätze (P-CHAN-00139)

button Minimale Segmentlänge bei Satzsegmentierung (P-CHAN-00140)

button Algorithmik bei der Ruckbegrenzung (P-CHAN-00141)

button Faktor für zulässigen Ruck bei Fünfachsbetrieb (P-CHAN-00142)

button Faktor für zulässigen Ruck bei 2.5D-Betrieb (P-CHAN-00143)


Segmentierung von Linearsätzen (P-CHAN-00132)

Der Parameter "linear_segmentation" legt fest, ob Linearsätze vor der Versplinenung segmentiert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
linear_segmentation | BOOLEAN | 0/1 | ----

0 | Segmentierung von Linearsätzen inaktiv
1 | Segmentierung von Linearsätzen aktiv


Satzanzahl bei Linearsegmentierung (P-CHAN-00133)

Der Parameter "linear_center_point" bestimmt, wieviele Sätze bei der Linearsegmentierung erzeugt werden. Der Parameter P-CHAN-00134 muß dazu auf 0 gesetzt sein. Abhängig vom zur Verfügung stehenden Satzfahrweg werden 4 oder 3 Satzsegmente erzeugt. In beiden Fällen haben die Segmente am Anfang und Ende des Satzes die Länge P-CHAN-00135. Steht nicht ausreichend Satzfahrweg zur Verfügung (kürzer als 3* P-CHAN-00135) so wird der Originalsatzfahrweg auf zwei Sätze aufgeteilt.

Variablenname | Typ | erlaubter Bereich | Dimension
linear_center_point | BOOLEAN | 0/1 | ----

0 | 3 Satzsegmente, wobei erstes und letztes Segment P-CHAN-00135 lang sind, das mittlere Segment hat die Länge des Restweges.
1 | 4 Satzsegmente, wobei erstes und letztes Segment P-CHAN-00135 lang sind, die beiden mittleren Segmente teilen sich den Restweg.


Segmentierungsvorschrift (P-CHAN-00134)

Der Parameter "linear_continuous_split" bestimmt, ob Linearsätze kontinuierlich d.h. mit gleich großer Segmentlänge erzeugt werden, oder ob die spezielle Segmentierungsvorschrift entsprechend P-CHAN-00133 wirkt.

Variablenname | Typ | erlaubter Bereich | Dimension
linear_continuous_split | BOOLEAN | 0/1 | ----

0 | Spezielle Segmentierungsvorschrift gemäß P-CHAN-00133 ist aktiv.
1 | Kontinuierliche Satzsegmentierung, alle Segmente sind gleich lang.


Segmentlänge bei Linearsätzen (P-CHAN-00135)

Der Parameter "linear_split_length" legt die Segmentlänge bei Linearsätzen fest.

Variablenname | Typ | erlaubter Bereich | Dimension
linear_split_length | UNS32 | 1 .MAX(UNS32) | 0.1µm

Defaultwert

1000


Basis der Segmentierung von Zirkularsätzen (P-CHAN-00136)

Der Parameter "circular_secant_error" legt fest, ob sich die Satzlänge bei der Segmentierung von Zirkularsätzen auf Basis des Sekantenfehlers oder der Bahnlänge ergibt. Die Vorgabe des Sekantenfehlers oder der Bahnlänge erfolgt über P-CHAN-00138.

Variablenname | Typ | erlaubter Bereich | Dimension
circular_secant_error | BOOLEAN | 0/1 | ----

0 | Segmentierung von Zirkularsätzen basierend auf dem Sekantenfehler.
1 | Segmentierung von Zirkularsätzen basierend auf der Bahnlänge.


Segmentierung von Zirkularsätzen (P-CHAN-00137)

Der Parameter "circular_segmentation" legt fest, ob Zirkularsätze vor der Versplinenung segmentiert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
circular_segmentation | BOOLEAN | 0/1 | ----

0 | Segmentierung von Zirkularsätzen inaktiv (Default).
1 | Segmentierung von Zirkularsätzen aktiv


Konturfehler bei Segmentierung von Zirkularsätzen (P-CHAN-00138)

Der Parameter "circular_param" bestimmt den zulässigen Konturfehler bei der Segmentierung von Zirkularsätzen. Abhängig von P-CHAN-00136 wird entweder der Sekantenfehler oder die Bahnlänge des Segments angegeben.

Variablenname | Typ | erlaubter Bereich | Dimension
circular_param | UNS32 | 1 .MAX(UNS32) | 0.1µm

Defaultwert

50


Behandlung kurzer Sätze (P-CHAN-00139)

Der Parameter "filter_deviation" bestimmt, ob Sätze die eine Mindestlänge unterschreiten, entfernt werden.

Variablenname | Typ | erlaubter Bereich | Dimension
filter_deviation | UNS32 | 0 .MAX(UNS32) | 0.1µm

0 | Keine Entfernung von kurzen Sätzen (Default).
>0 | Sätze, die kürzer sind als P-CHAN-00139, werden entfernt.


Minimale Segmentlänge bei Satzsegmentierung (P-CHAN-00140)

Der Parameter "min_segment_length" legt die minimale Segmentlänge bei der Satzsegmentierung aufgrund der Dynamik in der Kontur fest. Kleinere Werte führen zu einer besseren Ausnutzung der Dynamik, aber eben auch zu einer grösseren Satzanzahl.

Variablenname | Typ | erlaubter Bereich | Dimension
min_segment_length | UNS32 | 1 .MAX(UNS32) | 0.1µm

Defaultwert

200


Algorithmik bei der Ruckbegrenzung (P-CHAN-00141)

Der Parameter "jerk_monitoring_mode" bestimmt, welche Algorithmik bei der Ruckbegrenzung verwendet wird.

Variablenname | Typ | erlaubter Bereich | Dimension
jerk_monitoring_mode | UNS32 | 0/1/2 | ----

0 | Ruckbegrenzung ohne Berücksichtigung innerer Ableitungen der Polynome (du/ds)
1 | Ruckbegrenzung mit Berücksichtigung innerer Ableitungen der Polynome (dr/ds) (Default).
2 | Ruckbegrenzung mit Minimalgeschwindigkeit aus 0 und 1, MIN[du/ds, dr/ds]


Faktor für zulässigen Ruck bei Fünfachsbetrieb (P-CHAN-00142)

Der Parameter "jerk_weighting_5ax" legt den Gewichtungsfaktor für den zulässigen Ruck bei Fünfachsbetrieb fest.

Variablenname | Typ | erlaubter Bereich | Dimension
jerk_weighting_5ax | UNS32 | 1....MAX(UNS32) | 0.1%

Defaultwert

2000


Faktor für zulässigen Ruck bei 2.5D-Betrieb (P-CHAN-00143)

Der Parameter "jerk_weighting" legt den Gewichtungsfaktor für den zulässigen Ruck bei 2.5D-Betrieb fest.

Variablenname | Typ | erlaubter Bereich | Dimension
jerk_weighting | UNS32 | 1 .MAX(UNS32) | 0.1%

Defaultwert

2000


HSC-Filter-Parameter (hsc.filter.*)

Mehr:

button Automatische Anwahl bei Programmstart (P-CHAN-00201)

button Filterordnung für kartesische Filter (P-CHAN-00202)

button Filterordnung für Orientierungsfilter (P-CHAN-00203)


Automatische Anwahl bei Programmstart (P-CHAN-00201)

Der Parameter "auto_enable" bestimmt das Anwahlverhalten des HSC-Filters bei Programmstart.

Variablenname | Typ | erlaubter Bereich | Dimension
auto_enable | UNS32 | 0 .3 | ----

Wert auto_enable | Wirkung
0 | Keine automatische Anwahl bei Programmstart
1 | Alle Filter werden automatisch bei Programmstart eingeschaltet
2 | Nur kartesische Filter werden automatisch eingeschaltet
3 | Nur Orientierungsfilter werden automatisch eingeschaltet


Filterordnung für kartesische Filter (P-CHAN-00202)

Der Parameter "order_cart" bestimmt die Filterordnung für kathesische Filterung, je höher die Ordnung, desto stärker die Filterwirkung. Der Wert 0 bedeutet keine Filterwirkung.

Variablenname | Typ | erlaubter Bereich | Dimension
order_cart | UNS32 | 0 .40 | ----


Filterordnung für Orientierungsfilter (P-CHAN-00203)

Der Parameter "order_track" bestimmt die Filterordnung für Orientierungsfilterung, je höher die Ordnung, desto stärker die Filterwirkung. Der Wert 0 bedeutet keine Filterwirkung.

Variablenname | Typ | erlaubter Bereich | Dimension
order_track | UNS32 | 0 .40 | ----


Kanalsynchronisation bei Achstausch (P-CHAN-00154)

Mit dem Parameter "ax_exchange_with_implicit_flush" kann erreicht werden, dass bei den Achstauschbefehlen #CALL AX, #AX REQUEST, #SET AX und #AX DEF ein impliziter FLUSH WAIT ausgelöst wird. Bei den Achstauschbefehlen #PUT AX und #AX RELEASE wird ein implizites FLUSH CONTINUE ausgelöst. Dadurch können Verklemmungen zwischen NC-Kanälen bei Achstauschoperationen vermieden werden.

Variablenname | Typ | erlaubter Bereich | Dimension
ax_exchange_with_implicit_flush | BOOLEAN | 0/1 | ----

0 | Standardausführung aller Achstauschbefehle gemäß Programmieranleitung (Default).
1 | Ausgabe eines impliziten FLUSH WAIT bei den Achstauschbefehlen #CALL AX, #AX REQUEST, #SET AX und #AX DEF. Bei den Achstauschbefehlen #PUT AX und #AX RELEASE wird ein implizites FLUSH CONTINUE ausgelöst. FLUSH WAIT bzw. FLUSH CONTINUE wird vor der eigentlichen Achstauschsequenz erzeugt.


Programmname für automatischen Streamingbetrieb (P-CHAN-00158)

Wird dieses Programm als Haupt- oder Unterprogramm geöffnet, so werden die ASCII-Daten nicht vom Dateisystem eingelesen, sondern von der Datenstromschnittstelle (Streaming) angefordert. Der Dateneingang wird somit transparent auf das Streaminginterface umgelenkt.

Ist dieser Programmname nicht belegt, so kann die Streamingfunktionalität nicht aktiviert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
streaming_prog_file | PROG_NAME | String | ----

<Leerstring> | Streamingfunktionalität abgeschaltet (Default).
<Prog_Name> | Name der Datei (Hauptprogramm / globales Unterprogramm), bei dessen Start automatisch in den Streamingbetrieb gewechselt wird.

Auszug aus Kanalparameterliste:

streaming_prog_file streaming.nc (Name des Streamingprogramms)


Modale Wirkung von I/J/K bei Kreisprogrammierung (P-CHAN-00159)

Durch den Parameter "modal_i_j_k_for_circle" kann bei Kreisen die lokale/modale Wirksamkeit der Mittelpunktskoordinaten I, J, K im NC-Programm eingestellt werden [PROG - Kapitel Kreisinterpolation (G02/G03)].

Variablenname | Typ | erlaubter Bereich | Dimension
modal_i_j_k_for_circle | BOOLEAN | 0/1 | ----

0 | Die Kreismittelpunktskoordinaten I, J, K sind nicht-haltend (lokal) wirksam. D.h. sie müßen in jedem G02/G03 NC-Satz neu programmiert werden (Default).
1 | Die Kreismittelpunktskoordinaten I, J, K sind haltend (modal) wirksam. D.h. sie sind auch in allen nachfolgenden G02/G03 NC-Sätzen noch gültig.


Unterprogrammaufrufe über G-Funktionen

Mehr:

button Implizite Aufrufe bei G80-G89 (P-CHAN-00160 - P-CHAN-00169)

button Zusätzliche implizite Aufrufe bei G800-G819 (P-CHAN-00187)


Implizite Aufrufe bei G80-G89 (P-CHAN-00160 - P-CHAN-00169)

TwinCAT CNC: Überblick

Implizite Aufrufe bei G80G89 (P-CHAN-00160 - P-CHAN-00169)

Mit den Parametern "g80_prog_file" - "g89_prog_file" werden die Namen globaler Unterprogramme definiert, welche implizit aufgerufen werden, wenn im NC-Programm ein G80  G89 erkannt wurde.

Ist der entsprechende Parameter nicht belegt oder in der Kanalparameterliste nicht vorhanden, so wird bei Programmierung von G80  G89 die Fehlermeldung P-ERR-20131 "Unbekannte G-Funktion" erzeugt.

Die über die Kanalparameter definierten Unterprogrammnamen können auch im NC-Programm über den Befehl #FILENAME [G8x="<prog_name>"] überschrieben bzw. temporär belegt werden. Diese neuen Unterprogrammnamen sind dann bis zum Programmende M30 oder bis zu einem weiteren #FILENAME [G8x="<prog_name>"] gültig [PROG].

Nach RESET oder Programmstart gelten dann wieder die Einträge von "g8x_prog_file" aus der Kanalparameterliste.

Variablenname | Typ | erlaubter Bereich | Dimension
g80_prog_file - g89_prog_file | PROG_NAME | String | ----

Auszug aus Kanalparameterliste:

g80_prog_file G80_up_test.nc (Name des UP bei G80)

g81_prog_file G81_up_test.nc (Name des UP bei G81)

g82_prog_file G82_up_test.nc (Name des UP bei G82)

g83_prog_file G83_up_test.nc (Name des UP bei G83)

g84_prog_file G84_up_test.nc (Name des UP bei G84)

g85_prog_file G85_up_test.nc (Name des UP bei G85)

g86_prog_file G86_up_test.nc (Name des UP bei G86)

g87_prog_file G87_up_test.nc (Name des UP bei G87)

g88_prog_file G88_up_test.nc (Name des UP bei G88)

g89_prog_file G89_up_test.nc (Name des UP bei G89)


Zusätzliche implizite Aufrufe bei G800-G819 (P-CHAN-00187)

TwinCAT CNC: Überblick

Zusätzliche implizite Aufrufe bei G800G819 (P-CHAN-00187)

In Erweiterung zum impliziten Unterprogrammaufruf mit G80-G89 bietet der indizierte Parameter "g800_prog_file[i]" die Möglichkeit, 20 weitere Namen globaler Unterprogramme zu definieren, welche implizit aufgerufen werden, wenn im NC-Programm ein G800  G819 erkannt wurde.

Ist der entsprechende Parameter nicht belegt oder in der Kanalparameterliste nicht vorhanden, so wird bei Programmierung von G800  G819 die Fehlermeldung P-ERR-20131 "Unbekannte G-Funktion" erzeugt.

Die über die Kanalparameter definierten Unterprogrammnamen können auch im NC-Programm über den Befehl #FILENAME [G8xx="<prog_name>"] überschrieben bzw. temporär belegt werden. Diese Unterprogrammnamen sind dann bis zum Programmende M30 oder bis zu einem weiteren #FILENAME [G8xx="<prog_name>"] gültig [PROG].

Nach RESET oder Programmstart gelten dann wieder die Einträge von "g800_prog_file[i]" aus der Kanalparameterliste.

Variablenname | Typ | erlaubter Bereich | Dimension
g800_prog_file[i] | PROG_NAME | String | ----
i | UNS16 | 0 ... 19 | ----

Auszug aus Kanalparameterliste:

g800_prog_file[0] G800_up_test.nc (Name des UP bei G800)

g800_prog_file[1] G801_up_test.nc (Name des UP bei G801)

g800_prog_file[2] G802_up_test.nc (Name des UP bei G802)

g800_prog_file[3] G803_up_test.nc (Name des UP bei G803)

g800_prog_file[4] G804_up_test.nc (Name des UP bei G804)

g800_prog_file[5] G805_up_test.nc (Name des UP bei G805)

g800_prog_file[6] G806_up_test.nc (Name des UP bei G806)

g800_prog_file[7] G807_up_test.nc (Name des UP bei G807)

g800_prog_file[8] G808_up_test.nc (Name des UP bei G808)

g800_prog_file[9] G809_up_test.nc (Name des UP bei G809)

g800_prog_file[10] G810_up_test.nc (Name des UP bei G810)

g800_prog_file[11] G811_up_test.nc (Name des UP bei G811)

g800_prog_file[12] G812_up_test.nc (Name des UP bei G812)

g800_prog_file[13] G813_up_test.nc (Name des UP bei G813)

g800_prog_file[14] G814_up_test.nc (Name des UP bei G814)

g800_prog_file[15] G815_up_test.nc (Name des UP bei G815)

g800_prog_file[16] G816_up_test.nc (Name des UP bei G816)

g800_prog_file[17] G817_up_test.nc (Name des UP bei G817)

g800_prog_file[18] G818_up_test.nc (Name des UP bei G818)

g800_prog_file[19] G819_up_test.nc (Name des UP bei G819)


Aktive Prüfung ob Achsgruppe "in Position" (P-CHAN-00173)

Über diesen Parameter kann für Einzelschrittbetrieb, programmierten Halt oder wahlweisen Halt (also typische Funktionen bei denen ein Handshake mit dem Bediener erforderlich ist) die istwertseitige Prüfung auf das Genauhaltfenster unterdrückt werden.

Bei anderen Funktionen, wie z. B. bei programmiertem Genauhalt G60, erfolgt die Prüfung, ob sich die Achsgruppe im istwertigen Genauhaltfenster befindet, immer und unabhängig von diesem Parameter.

Variablenname | Typ | erlaubter Bereich | Dimension
suppress_ax_group_in_pos_check | BOOLEAN | 0/1 | ---

0 | Istwertseitige Prüfung wird vor Wechsel in den nächsten Bewegungssatz auch für Einzelschrittbetrieb, programmierten Halt oder wahlweisen Halt durchgeführt (Default).
1 | Istwertseitige Prüfung wird vor Wechsel in den nächsten Bewegungssatz für Einzelschrittbetrieb, programmierten Halt oder wahlweisen Halt nicht durchgeführt.

BEISPIEL: Keine In Window Prüfung bei programmiertem, wahlweisem Halt, Einzelschrittbetrieb.

Auszug aus Kanalparameterliste:

# Prüfung Achsgruppe in Position inaktiv für Einzelschritt,prog. wahlw. Halt

suppress_axgr_in_pos_check 1


Definition von Kanalanzeigeinformationen

Mehr:

button Kanalname (P-CHAN-00174)

button Kanaltyp (P-CHAN-00175)


Kanalname (P-CHAN-00174)

Dieser Parameter ermöglicht die anwenderspezifische Definition eines Kanalnamens, der im SPS-Interface (HLI) zur Anzeige bereitgestellt wird.

Variablenname | Typ | erlaubter Bereich | Dimension
channel_name | CHANNEL_NAME | String | ----

<Leerstring> | Keine Anzeige eines Kanalnamens (Default).
<Channel_name> | Name des NC-Kanals (Stringlänge 16 Zeichen bzw. applikationsabhängig).

Auszug aus Kanalparameterliste:

channel_name KANAL-1 (Name des NC-Kanals für Anzeige)


Kanaltyp (P-CHAN-00175)

Dieser Parameter ermöglicht die anwenderspezifische Definition einer Kanalkennung, die im SPS-Interface (HLI) zur Anzeige bereitgestellt wird.

Variablenname | Typ | erlaubter Bereich | Dimension
channel_type | SGN32 | MIN(SGN32) < channel_type < MAX(SGN32) | ----

Auszug aus Kanalparameterliste:

channel_type 123 (Kennung des NC-Kanals für Anzeige)


Defaultachskonfiguration im Kanal nach Reset (P-CHAN-00179)

Über den Parameter "ax_default_config_after_reset" kann festgelegt werden, ob nach einem Reset im NC-Kanal die Achskonfiguration gemäß der Kanalparameterliste wiederhergestellt werden soll.

Die Verwendung dieses Parameters ist nur sinnvoll, wenn P-CHAN-00075
(reset_no_axis_to_axv) mit FALSE belegt ist.

Variablenname | Typ | erlaubter Bereich | Dimension
ax_default_config_after_reset | BOOLEAN | 0/1 | ----

0 | Behandlung der Bahnachsen gemäß P-CHAN-00075 und P-CHAN-00115 (Default).
1 | Wiederherstellen der Grundkonfiguration der Achsen nach Reset gemäß Kanalparameterliste.


Anzeigeunterdrückung von Dateiname / Dateioffset (P-CHAN-00180)

Über den Parameter "suppress_prg_display_level" kann festgelegt werden, bis zu welcher Programmebene der aktive Dateiname und Dateioffset für die Anzeige aktualisiert werden. In allen Programmebenen unterhalb dieser Grenze wird dann die Anzeige von Dateiname und Dateioffset eingefroren. Ist der Parameter nicht oder mit 0 belegt, so werden Dateiname und Dateioffset für alle zulässigen Programmebenen angezeigt.

Wird der Parameter mit dem Wert 1 belegt, sind die Daten nur für das Hauptprogramm aktuell. Mit jeder Erhöhung des Parameters werden die Daten für eine weitere Unterprogrammebene aktualisiert.

Variablenname | Typ | erlaubter Bereich | Dimension
suppress_prg_display_level | UNS16 | 0. MAX(UNS16) | ----

Defaultwert

50 (maximal zulässige Schachtelungstiefe von NC-Programmen)


Ignorieren der internen Stopbedingungen bei schneller Konturvisualisierung (P-CHAN-00183)

Durch den Parameter "simu_ignore_internal_stop_cond" kann das Anhalten des CNC-Programms aufgrund von internen Stoppbedingungen (z. B. M00) bei der schnellen Konturvisualisierung verhindert werden.

Variablenname | Typ | erlaubter Bereich | Dimension
simu_ignore_internal_stop_cond | BOOLEAN | 0/1 | ----

0 | Interne Stopbedingungen sind wirksam (Default).
1 | Interne Stopbedingungen werden ignoriert.


Orientierungsprogrammierung (ori.*)

Bei der 5-Achs-Bearbeitung mit aktiver vollst. kin. Trafo werden die kartesischen Koordinaten entweder in Punkt/ Euler-Winkel-Darstellung oder in Punkt/ Richtungsvektordarstellung programmiert.

Die Orientierungsvorgabe erfolgt dabei über die Adressbuchstaben A/B/C oder auch I/J/K.

In der Grundeinstellung ist im NC-Kanal die Punkt/ Euler-Winkel-Darstellung aktiv (Orientierungsvorgabe über die Drehwinkel A, B, C), wobei typischerweise 2 Drehwinkel für die 5-Achs-Bearbeitung ausreichend sind. Alle 3 Drehwinkel werden typischerweise nur bei Maschinen mit 6 Achsen (z.B. Roboter) für die Festlegung des Handkoordinatensystems verwendet.

In CAD/CAM-Systemen werden die Koordinaten eines Werkstücks üblicherweise in Vektordarstellung gespeichert und auch in den automatisch generierten NC-Programmen sind dann die Achskoordinaten in Vektorschreibweise dargestellt.

Um solche NC-Programme direkt verarbeiten zu können, kann über die folgenden Kanalparameter eingestellt werden, ob die mit A,B,C bzw. I,J,K programmierten Werte als Winkelwerte oder als Vektorkomponenten zu interpretieren sind.

Alternativ kann die in den Kanalparametern gesetzte Defaulteinstellung im NC-Programm durch einen entsprechenden NC-Befehl [PROG - Befehl #ORI] jederzeit geändert werden.

Mehr:

button Art der Orientierungsdarstellung (P-CHAN-00177)

button Index der festen Drehachse (P-CHAN-00178)


Art der Orientierungsdarstellung (P-CHAN-00177)

Mit dem Parameter "mode" bestimmt der Anwender, ob im NC-Programm die mit A, B, C bzw. I, J, K programmierten Werte bei aktiver vollständiger kinematischer Transformation in Ihrer Bedeutung als Koordinaten- bzw. Winkelwerte eingelesen werden, oder als entsprechende Vektorkomponenten zu interpretieren sind.

Variablenname | Typ | erlaubter Bereich | Dimension
mode | String | ANGLE, VECTOR_ABC, VECTOR_IJK | ----

ANGLE | A, B, C bzw. I, J, K sind Koordinaten- bzw. Winkelwerte (Default).
VECTOR_ABC | A, B, C sind Vektorkomponenten.
VECTOR_IJK | I, J, K sind Vektorkomponenten.

Es ist zu beachten das die I, J, K Koordinatenwerte bei der Kreisprogrammierung nach DIN 66025 Verwendung finden, eine Kreisprogrammierung in Verbindung mit der Vektorkomponentenprogrammierung über I, J, K ist also nicht zulässig!


Index der festen Drehachse (P-CHAN-00178)

Über die drei Vektorkomponenten (z.B. "VECTOR_ABC") ist der Richtungsvektor des Werkzeugs definiert. Aus diesen Vektorkomponenten ergeben sich 2 Eulerdrehwinkel.

Wenn die Orientierung über mehr als zwei Winkel definiert werden kann (z.B. Roboter), muß der freie dritte Eulerwinkel bei Einsatz der Vektordarstellung über den Parameter "fixed_axis_index" angegeben werden.

Dieser Index ergibt sich aus der Betrachtung der Reihenfolge der Achsen, über die die Position und Handorientierung der Maschine (z.B. Roboter) definiert wird.

Variablenname | Typ | erlaubter Bereich | Dimension
fixed_axis_index | UNS32 | 0. MAX(UNS32) | ----

Beispiel: Kinematischer Aufbau mit 3 Hauptachsen X, Y, Z und 3 Drehachsen A, B, C (Roboter):

Die Drehkonvention ist: A um Z -> B um Y -> C um X

Achsname | Index | Achstyp
X Y Z A B C | 0 1 2 3 4 5 | 1. Hauptachse 2. Hauptachse 3. Hauptachse 1. Drehachse 2. Drehachse 3. Drehachse

Nach obiger Drehkonvention dreht die letzte Achse (C) um die X-Achse. Ist diese Achse gleichzeitig Werkzeugachse, so bewirkt eine Drehung um diese Achse nur eine Änderung der Lage des Handkoordinatensystems.

Soll z.B. die Drehachse (C) die feste Achse sein, so ist "fixed_axis_index" mit dem Wert 5 zu belegen.


Wegabhängige Dynamikgewichtung

Bei bestimmten Technologien (z.B. "Punching") ist es zur Minimierung der Maschinenanregungen erforderlich, alle Dynamikgrenzwerte (Geschwindigkeit, Beschleunigung und Ruck) bei Eilgangbewegungen abhängig vom Profilweg (Bahnfahrweg) zu gewichten.

Eine im NC Programm programmierte Gewichtung über G129 überschreibt die Werte der wegabhängigen Gewichtungsfunktion!

Mehr:

button Aktivierung der Dynamikgewichtung (P-CHAN-00190)

button Tabelle der Dynamikgewichtung (dynamic_weighting[i].*)

button Fahrweggrenze (P-CHAN-00191)

button Gewichtungsfaktor Eilganggeschwindigkeit (P-CHAN-00192)

button Gewichtungsfaktor Eilgangbeschleunigung (P-CHAN-00193)

button Gewichtungsfaktor Eilgangrampenzeit (P-CHAN-00194)

button Tabellenbeispiel


Aktivierung der Dynamikgewichtung (P-CHAN-00190)

Über dieses Element wird die wegabhängige Dynamikgewichtung generell aktiviert.

Variablenname | Typ | erlaubter Bereich | Dimension
dynamic_weighting_active | BOOLEAN | 0/1 | ----

0 | Tabelle der Dynamikgewichtung inaktiv. Wegabhängige Gewichtungsfaktoren nicht wirksam.
1 | Tabelle der Dynamikgewichtung aktiv. Wegabhängige Gewichtungsfaktoren sind wirksam.


Tabelle der Dynamikgewichtung (dynamic_weighting[i].*)

Im Kanalbereich der CNC liegt eine Tabelle vor, in der abhängig vom Raumfahrweg Gewichtungsfaktoren für die dynamischen Kenngrössen (v, a, tr) definiert werden können. Der Gewichtungsfaktor eines Tabellenindexeintrags wird verwendet, wenn der Raumfahrweg kleiner als der zugehörige Fahrweggrenzwert in der Tabelle ist. Liegt der Raumfahrweg auf dem Fahrweggrenzwert, wird die Dynamik des nachfolgenden Index verwendet.

Variablenname | Typ | Index | Dimension
dynamic_weighting[i] | DYN_WEIGHT_DATA | i = 0 .. [MAX_NBR_DYN_WEIGHT - 1] | ----

Wert MAX_NBR_DYN_WEIGHT | Bedeutung
10 (applikationsabhängig) | Maximale Anzahl von Tabelleneinträgen

Folgende weitere Bedingungen müssen bei der Definition der Tabelleneinträge beachtet werden:

q Der Fahrweggrenzwert in der Tabelle nimmt zu grösseren Indexwerten hin zu.

q Die Achsen, die den Raumfahrweg für die Dynamikgewichtung bilden, müssen entsprechend markiert sein (P-AXIS-00015). Nur für diese Achsen wird die Gewichtung durchgeführt.

q Der Gewichtungsfaktor ist auf einen Minimalwert von 1% beschränkt. Bei der Rampenzeit ist zusätzlich die minimale Rampenzeit tr_min (P-AXIS-00201) als unterer Grenzwert zu berücksichtigen.

q Die Gewichtung ist nach oben hin bis zu den Maximalwerten vb_max (P-AXIS-00212) und a_max (P-AXIS-00008) möglich. Bei der Rampenzeit tr_grenz (P-AXIS-00200) ist die Gewichtung nach oben nicht beschränkt.


Fahrweggrenze (P-CHAN-00191)

Über dieses Element wird die obere Fahrweggrenze definiert, bis zu der die Gewichtungsfaktoren der aktuellen Einträge unter dem gleichem Index i wirksam sind.

Dem höchsten Index i in der Tabelle kommt eine besondere Bedeutung zu:

Hier entspricht die obere Fahrweggrenze dem maximal möglichen maschinenspezifischen Raumfahrweg. D.h. in diesen Bereich fallen alle Bewegungssätze, die nicht durch die Fahrweggrenzwerte im unteren Bereich der Tabelle abgedeckt sind.

Variablenname | Typ | Erlaubter Bereich | Dimension
path_limit | UNS32 | 0 < path_limit < MAX(UNS32) | 0.1µm oder 0.0001º


Gewichtungsfaktor Eilganggeschwindigkeit (P-CHAN-00192)

Über dieses Element wird der Gewichtungsfaktor für die Eilganggeschwindigkeit unter Index i festgelegt.

Variablenname | Typ | Erlaubter Bereich | Dimension
velocity_fact | UNS32 | 10 < velocity_fact < MAX(UNS32) | 0.1%


Gewichtungsfaktor Eilgangbeschleunigung (P-CHAN-00193)

Über dieses Element wird der Gewichtungsfaktor für die Eilgangbeschleunigung unter Index i festgelegt.

Variablenname | Typ | Erlaubter Bereich | Dimension
acceleration_fact | UNS32 | 10 < acceleration_fact < MAX(UNS32) | 0.1%


Gewichtungsfaktor Eilgangrampenzeit (P-CHAN-00194)

Über dieses Element wird der Gewichtungsfaktor für die Eilgangrampenzeit unter Index i festgelegt.

Variablenname | Typ | Erlaubter Bereich | Dimension
ramp_time_fact | UNS32 | 10 < ramp_time_fact < MAX(UNS32) | 0.1%


Tabellenbeispiel

Als Grundlage dient eine Dynamikgewichtungstabelle mit 6 Elementen:

Index | Grenzwert Fahrweg path_limit [0.1 µm] (Bereichsgrenzen) | Gewichtungsfaktor velocity_fact [0.1%] | Gewichtungsfaktor acceleration_fact [0.1%] | Gewichtungsfaktor ramp_time_fact [0.1%]
0 | 10000 (0-10000) | 100 | 1000 | 1000
1 | 20000 (10000-20000) | 200 | 900 | 1500
2 | 40000 (20000-40000) | 300 | 800 | 2000
3 | 80000 (40000-80000) | 400 | 700 | 3000
4 | 160000 (80000-160000) | 500 | 600 | 4000
5 | 200000000 (160000-200000000) | 1000 | 500 | 5000

Abbildung der Dynamikgewichtungstabelle auf die Kanalparameterstruktur:

# Path dependend dynamic weighting

# ================================

dynamic_weighting_active 1 0: not active 1: active

#

dynamic_weighting[0].path_limit 10000 [0.1µm]

dynamic_weighting[0].velocity_fact 100 [0.1%]

dynamic_weighting[0].acceleration_fact 1000 [0.1%]

dynamic_weighting[0].ramp_time_fact 1000 [0.1%]

dynamic_weighting[1].path_limit 20000 [0.1µm]

dynamic_weighting[1].velocity_fact 200 [0.1%]

dynamic_weighting[1].acceleration_fact 900 [0.1%]

dynamic_weighting[1].ramp_time_fact 1500 [0.1%]

dynamic_weighting[2].path_limit 40000 [0.1µm]

dynamic_weighting[2].velocity_fact 300 [0.1%]

dynamic_weighting[2].acceleration_fact 800 [0.1%]

dynamic_weighting[2].ramp_time_fact 2000 [0.1%]

dynamic_weighting[3].path_limit 80000 [0.1µm]

dynamic_weighting[3].velocity_fact 400 [0.1%]

dynamic_weighting[3].acceleration_fact 700 [0.1%]

dynamic_weighting[3].ramp_time_fact 3000 [0.1%]

dynamic_weighting[4].path_limit 160000 [0.1µm]

dynamic_weighting[4].velocity_fact 500 [0.1%]

dynamic_weighting[4].acceleration_fact 600 [0.1%]

dynamic_weighting[4].ramp_time_fact 4000 [0.1%]

dynamic_weighting[5].path_limit 200000000 [0.1µm]

dynamic_weighting[5].velocity_fact 1000 [0.1%]

dynamic_weighting[5].acceleration_fact 500 [0.1%]

dynamic_weighting[5].ramp_time_fact 5000 [0.1%]

2.57

Spezielle Handbetriebsdaten (man_mode.*)

Diese Struktur beeinhaltet nicht achsspezifische Parameter für den Handbetrieb.

2.57.1

Einstellungen für den kart. Handbetrieb (man_mode.vector_limit.*)

Diese Parameter dienen zur Einstellung der Dynamik für den kartesischen Handbetrieb bei nicht kartesischem Maschinenaufbau, wenn mit aktiver kinematischer Transformation gefahren werden soll. Z.B. muß die Handbetriebsgeschwindigkeit bei kartesischer X-Bewegung bei einem Roboter grösser sein, als wenn eine Bewegung auf Gelenkwinkelebene ausgeführt wird.

2.57.1.1

Dynamikdaten für Linearachsen (P-CHAN-00195/-00196/-00197)

Über diese Parameter wird die kartesische Dynamik bei einer X, Y, Z Bewegung einer Handbetriebsachse festgelegt.

Sollgeschwindigkeit P-AXIS-00195:

Variablenname | Typ | Erlaubter Bereich | Dimension
v_max_pos | UNS32 | 1 < v_max_pos < MAX(UNS32) | µm/s oder 0.001°/s

Sollbeschleunigung P-AXIS-00196:

Variablenname | Typ | Erlaubter Bereich | Dimension
a_max_pos | UNS32 | 1 < a_max_pos < MAX(UNS32) | mm/s2 oder °/s2

Rampenzeit P-AXIS-00197:

Variablenname | Typ | Erlaubter Bereich | Dimension
tr_pos | UNS32 | 1 < tr_pos < MAX(UNS32) | µs

2.57.1.2

Dynamikdaten für Orientierungsachsen (P-CHAN-00198/-00199/-00200)

Über diese Parameter wird die kartesische Dynamik bei einer A, B, C Bewegung einer Handbetriebsachse festgelegt.

Sollgeschwindigkeit P-AXIS-00198:

Variablenname | Typ | Erlaubter Bereich | Dimension
v_max_ori | UNS32 | 1 < v_max_ori < MAX(UNS32) | µm/s oder 0.001°/s

Sollbeschleunigung P-AXIS-00199:

Variablenname | Typ | Erlaubter Bereich | Dimension
a_max_ori | UNS32 | 1 < a_max_ori < MAX(UNS32) | mm/s2 oder °/s2

Rampenzeit P-AXIS-00200:

Variablenname | Typ | Erlaubter Bereich | Dimension
tr_ori | UNS32 | 1 < tr_ori < MAX(UNS32) | µs

Beispiel:

Auszug aus Kanalparameterliste:

man_mode.vector_limit.v_max_pos 100000 [µm/s]

man_mode.vector_limit.a_max_pos 1000 [mm/s2]

man_mode.vector_limit.tr_pos 100000 [µs]

man_mode.vector_limit.v_max_ori 50000 [µm/s]

man_mode.vector_limit.a_max_ori 500 [mm/s2]

man_mode.vector_limit.tr_ori 100000 [µs]


Einstellungen für die Zyklenprogrammierung

Mehr:

button Modale Wirkung von Änderungen im Zyklus (P-CHAN-00210)

button Zyklensätze in Tracedaten und Anzeige ausblenden (P-CHAN-00211)


Modale Wirkung von Änderungen im Zyklus (P-CHAN-00210)

Die vor einem Zyklusaufruf aktiven modalen G-Funktionen, Kreisgeometriedaten und der aktuelle Vorschub werden nach Zyklusende wieder hergestellt, d.h. Änderungen im Zyklus bzgl. dieser Daten bleiben nicht erhalten.

Wird der Parameter "cycle_changes_modal" mit 1 belegt, so bleiben Änderungen im Zyklus bzgl. dieser Daten nach Zyklusende erhalten (modal). Der Zyklus verhält sich bzgl. der Wirksamkeit dann wie ein normales Unterprogramm.

Variablenname | Typ | erlaubter Bereich | Dimension
cycle_changes_modal | BOOLEAN | 0/1 | ----

0 | Änderungen modaler G-Funktionen, Kreisdaten und Vorschub im Zyklus sind nur bis Zyklusende wirksam (Default).
1 | Änderungen modaler G-Funktionen, Kreisdaten und Vorschub im Zyklus sind auch nach Zyklusende wirksam (modal).


Zyklensätze in Tracedaten und Anzeige ausblenden (P-CHAN-00211)

Der Parameter "suppress_cycle_logging" legt fest, ob im laufenden NC-Programm oder im Einzelsatzbetrieb während der Ausführung eines Zyklus in der Anzeige die Zyklensätze ausgeblendet oder sichtbar sind und ob diese in den Tracedaten aufgezeichnet werden. Bei aktiver Ausblendung wird in dieser Zeit nur der Zyklusaufruf angezeigt.

Bei TwinCat-Systemen sind in der Grundeinstellung in der Anzeige alle Zykluszeilen sichtbar.

Variablenname | Typ | erlaubter Bereich | Dimension
suppress_cycle_logging | BOOLEAN | 0/1 | ----

0 | Zyklensätze werden angezeigt und im Trace aufgezeichnet (Default).
1 | Keine Anzeige und Aufzeichnung von Zyklensätzen.